*set more off
*include locals.do

*cd "`PATH'"
cd "F:\Data\SIPP\Extracts"
*cd "C:\Uni Felix\Ariel"
/***********************************************************
Full panel data file
**********************************************************/
use "84fp.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

#delimit ;
keep(suseqnum su_id pp_entry pp_pnum rot hh_add* su_totpp pnlwgt fnlwgt84 fnlwgt85 pp_mis* sex race ethnicty disab att_sch* age_* ms_* higrade* grd_cmp* state_* 
esr_* wksper* jobid1* jobid2* ws1_oc* ws2_oc* ws1_in* ws2_in* ws1_wk* ws2_wk* w2024_* w2124_* w2028_* w2128_* clswk1* clswk2*
ws1_am* ws2_am* se1_am* se2_am* se1_wk* se2_wk* s2212* s2312*) 
;
#delimit cr
egen id = group(su_id pp_entry pp_pnum)


*make quarterly variables monthly
forval j=1/4 {
gen grade`j' = higrade1
gen grd_comp`j' = grd_cmp1
gen state`j' = state_1
*gen metro`j' = metro_1
gen school`j' = att_sch1
}
forval j=5/8 {
gen grade`j' = higrade2
gen grd_comp`j' = grd_cmp2
gen state`j' = state_2
*gen metro`j' = metro_2
gen school`j' = att_sch2
}
forval j=9/12 {
gen grade`j' = higrade3
gen grd_comp`j' = grd_cmp3
gen state`j' = state_3
*gen metro`j' = metro_3
gen school`j' = att_sch3
}
forval j=13/16 {
gen grade`j' = higrade4
gen grd_comp`j' = grd_cmp4
gen state`j' = state_4
*gen metro`j' = metro_4
gen school`j' = att_sch4
}
forval j=17/20 {
gen grade`j' = higrade5
gen grd_comp`j' = grd_cmp5
gen state`j' = state_5
*gen metro`j' = metro_5
gen school`j' = att_sch5
}
forval j=21/24 {
gen grade`j' = higrade6
gen grd_comp`j' = grd_cmp6
gen state`j' = state_6
*gen metro`j' = metro_6
gen school`j' = att_sch6
}
forval j=25/28 {
gen grade`j' = higrade7
gen grd_comp`j' = grd_cmp7
gen state`j' = state_7
*gen metro`j' = metro_7
gen school`j' = att_sch7
}
forval j=29/32 {
gen grade`j' = higrade8
gen grd_comp`j' = grd_cmp8
gen state`j' = state_8
*gen metro`j' = metro_8
gen school`j' = att_sch8
}
forval j=1/8 {
drop higrade`j'
drop grd_cmp`j'
drop state_`j'
*drop metro_`j'
drop att_sch`j'
}

renpfix pp_mis0 pp_mis
renpfix age_0 age_
renpfix ms_0 ms_
renpfix esr_0 esr_
renpfix wksper0 wksper
renpfix jobid10 jobid1
renpfix jobid20 jobid2
renpfix ws1_oc0 ws1_oc
renpfix ws2_oc0 ws2_oc
renpfix ws1_in0 ws1_in
renpfix ws2_in0 ws2_in
renpfix ws1_wk0 ws1_wk
renpfix ws2_wk0 ws2_wk
renpfix ws1_am0 ws1_am
renpfix ws2_am0 ws2_am
renpfix hh_add0 hh_add
renpfix w2024_ ws1_hr
renpfix w2124_ ws2_hr
renpfix ws1_hr0 ws1_hr
renpfix ws2_hr0 ws2_hr
renpfix w2028_ ws1_ra
renpfix w2128_ ws2_ra
renpfix ws1_ra0 ws1_ra
renpfix ws2_ra0 ws2_ra
renpfix clswk1 ws1_cl
renpfix clswk2 ws2_cl
renpfix ws1_cl0 ws1_cl
renpfix ws2_cl0 ws2_cl

renpfix se1_am0 se1_am
renpfix se2_am0 se2_am
renpfix se1_wk0 se1_wk
renpfix se2_wk0 se2_wk
renpfix s2212_ se1_hr
renpfix s2312_ se2_hr
renpfix se1_hr0 se1_hr
renpfix se2_hr0 se2_hr


/*
**Get number of weeks worked at each firm by month**
forval j=1/32 {
gen weeks1_worked`j'=.
replace weeks1_worked`j'=1 if ws1_am`j'>0 & ws1_am`j'!=.
gen weeks2_worked`j'=.
replace weeks2_worked`j'=1 if ws2_am`j'>0 & ws2_am`j'!=.
}
*/
reshape long hh_add pp_mis age_ ms_ esr_ wksper jobid1 jobid2 ws1_oc ws2_oc ws1_in ws2_in ws1_wk ws2_wk ws1_am ws2_am ws1_hr ws2_hr ws1_ra ws2_ra grade grd_comp state school ws1_cl ws2_cl se1_am se2_am se1_wk se2_wk se1_hr se2_hr, i(id) j(month)

*generate month and year
gen h_month_ = 0
gen h_year_ = 0

replace h_month_ = 6 if rot==1 & month==1
replace h_year_ = 83 if rot==1 & month==1
replace h_month_ = 7 if rot==1 & month==2
replace h_year_ = 83 if rot==1 & month==2
replace h_month_ = 8 if rot==1 & month==3
replace h_year_ = 83 if rot==1 & month==3
replace h_month_ = 9 if rot==1 & month==4
replace h_year_ = 83 if rot==1 & month==4
replace h_month_ = 10 if rot==1 & month==5
replace h_year_ = 83 if rot==1 & month==5
replace h_month_ = 11 if rot==1 & month==6
replace h_year_ = 83 if rot==1 & month==6
replace h_month_ = 12 if rot==1 & month==7
replace h_year_ = 83 if rot==1 & month==7
replace h_month_ = 1 if rot==1 & month==8
replace h_year_ = 84 if rot==1 & month==8
replace h_month_ = 2 if rot==1 & month==9
replace h_year_ = 84 if rot==1 & month==9
replace h_month_ = 3 if rot==1 & month==10
replace h_year_ = 84 if rot==1 & month==10
replace h_month_ = 4 if rot==1 & month==11
replace h_year_ = 84 if rot==1 & month==11
replace h_month_ = 5 if rot==1 & month==12
replace h_year_ = 84 if rot==1 & month==12
replace h_month_ = 6 if rot==1 & month==13
replace h_year_ = 84 if rot==1 & month==13
replace h_month_ = 7 if rot==1 & month==14
replace h_year_ = 84 if rot==1 & month==14
replace h_month_ = 8 if rot==1 & month==15
replace h_year_ = 84 if rot==1 & month==15
replace h_month_ = 9 if rot==1 & month==16
replace h_year_ = 84 if rot==1 & month==16
replace h_month_ = 10 if rot==1 & month==17
replace h_year_ = 84 if rot==1 & month==17
replace h_month_ = 11 if rot==1 & month==18
replace h_year_ = 84 if rot==1 & month==18
replace h_month_ = 12 if rot==1 & month==19
replace h_year_ = 84 if rot==1 & month==19
replace h_month_ = 1 if rot==1 & month==20
replace h_year_ = 85 if rot==1 & month==20
replace h_month_ = 2 if rot==1 & month==21
replace h_year_ = 85 if rot==1 & month==21
replace h_month_ = 3 if rot==1 & month==22
replace h_year_ = 85 if rot==1 & month==22
replace h_month_ = 4 if rot==1 & month==23
replace h_year_ = 85 if rot==1 & month==23
replace h_month_ = 5 if rot==1 & month==24
replace h_year_ = 85 if rot==1 & month==24
replace h_month_ = 6 if rot==1 & month==25
replace h_year_ = 85 if rot==1 & month==25
replace h_month_ = 7 if rot==1 & month==26
replace h_year_ = 85 if rot==1 & month==26
replace h_month_ = 8 if rot==1 & month==27
replace h_year_ = 85 if rot==1 & month==27
replace h_month_ = 9 if rot==1 & month==28
replace h_year_ = 85 if rot==1 & month==28
replace h_month_ = 10 if rot==1 & month==29
replace h_year_ = 85 if rot==1 & month==29
replace h_month_ = 11 if rot==1 & month==30
replace h_year_ = 85 if rot==1 & month==30
replace h_month_ = 12 if rot==1 & month==31
replace h_year_ = 85 if rot==1 & month==31
replace h_month_ = 1 if rot==1 & month==32
replace h_year_ = 86 if rot==1 & month==32

replace h_month_ = 7 if rot==2 & month==1
replace h_year_ = 83 if rot==2 & month==1
replace h_month_ = 8 if rot==2 & month==2
replace h_year_ = 83 if rot==2 & month==2
replace h_month_ = 9 if rot==2 & month==3
replace h_year_ = 83 if rot==2 & month==3
replace h_month_ = 10 if rot==2 & month==4
replace h_year_ = 83 if rot==2 & month==4
replace h_month_ = 11 if rot==2 & month==5
replace h_year_ = 83 if rot==2 & month==5
replace h_month_ = 12 if rot==2 & month==6
replace h_year_ = 83 if rot==2 & month==6
replace h_month_ = 1 if rot==2 & month==7
replace h_year_ = 84 if rot==2 & month==7
replace h_month_ = 2 if rot==2 & month==8
replace h_year_ = 84 if rot==2 & month==8
replace h_month_ = 3 if rot==2 & month==9
replace h_year_ = 84 if rot==2 & month==9
replace h_month_ = 4 if rot==2 & month==10
replace h_year_ = 84 if rot==2 & month==10
replace h_month_ = 5 if rot==2 & month==11
replace h_year_ = 84 if rot==2 & month==11
replace h_month_ = 6 if rot==2 & month==12
replace h_year_ = 84 if rot==2 & month==12
replace h_month_ = 7 if rot==2 & month==13
replace h_year_ = 84 if rot==2 & month==13
replace h_month_ = 8 if rot==2 & month==14
replace h_year_ = 84 if rot==2 & month==14
replace h_month_ = 9 if rot==2 & month==15
replace h_year_ = 84 if rot==2 & month==15
replace h_month_ = 10 if rot==2 & month==16
replace h_year_ = 84 if rot==2 & month==16
replace h_month_ = 11 if rot==2 & month==17
replace h_year_ = 84 if rot==2 & month==17
replace h_month_ = 12 if rot==2 & month==18
replace h_year_ = 84 if rot==2 & month==18
replace h_month_ = 1 if rot==2 & month==19
replace h_year_ = 85 if rot==2 & month==19
replace h_month_ = 2 if rot==2 & month==20
replace h_year_ = 85 if rot==2 & month==20
replace h_month_ = 3 if rot==2 & month==21
replace h_year_ = 85 if rot==2 & month==21
replace h_month_ = 4 if rot==2 & month==22
replace h_year_ = 85 if rot==2 & month==22
replace h_month_ = 5 if rot==2 & month==23
replace h_year_ = 85 if rot==2 & month==23
replace h_month_ = 6 if rot==2 & month==24
replace h_year_ = 85 if rot==2 & month==24
replace h_month_ = 7 if rot==2 & month==25
replace h_year_ = 85 if rot==2 & month==25
replace h_month_ = 8 if rot==2 & month==26
replace h_year_ = 85 if rot==2 & month==26
replace h_month_ = 9 if rot==2 & month==27
replace h_year_ = 85 if rot==2 & month==27
replace h_month_ = 10 if rot==2 & month==28
replace h_year_ = 85 if rot==2 & month==28
replace h_month_ = 11 if rot==2 & month==29
replace h_year_ = 85 if rot==2 & month==29
replace h_month_ = 12 if rot==2 & month==30
replace h_year_ = 85 if rot==2 & month==30
replace h_month_ = 1 if rot==2 & month==31
replace h_year_ = 86 if rot==2 & month==31
replace h_month_ = 2 if rot==2 & month==32
replace h_year_ = 86 if rot==2 & month==32


replace h_month_ = 8 if rot==3 & month==1
replace h_year_ = 83 if rot==3 & month==1
replace h_month_ = 9 if rot==3 & month==2
replace h_year_ = 83 if rot==3 & month==2
replace h_month_ = 10 if rot==3 & month==3
replace h_year_ = 83 if rot==3 & month==3
replace h_month_ = 11 if rot==3 & month==4
replace h_year_ = 83 if rot==3 & month==4
replace h_month_ = 12 if rot==3 & month==5
replace h_year_ = 83 if rot==3 & month==5
replace h_month_ = 1 if rot==3 & month==6
replace h_year_ = 84 if rot==3 & month==6
replace h_month_ = 2 if rot==3 & month==7
replace h_year_ = 84 if rot==3 & month==7
replace h_month_ = 3 if rot==3 & month==8
replace h_year_ = 84 if rot==3 & month==8
replace h_month_ = 4 if rot==3 & month==9
replace h_year_ = 84 if rot==3 & month==9
replace h_month_ = 5 if rot==3 & month==10
replace h_year_ = 84 if rot==3 & month==10
replace h_month_ = 6 if rot==3 & month==11
replace h_year_ = 84 if rot==3 & month==11
replace h_month_ = 7 if rot==3 & month==12
replace h_year_ = 84 if rot==3 & month==12
replace h_month_ = 8 if rot==3 & month==13
replace h_year_ = 84 if rot==3 & month==13
replace h_month_ = 9 if rot==3 & month==14
replace h_year_ = 84 if rot==3 & month==14
replace h_month_ = 10 if rot==3 & month==15
replace h_year_ = 84 if rot==3 & month==15
replace h_month_ = 11 if rot==3 & month==16
replace h_year_ = 84 if rot==3 & month==16
replace h_month_ = 12 if rot==3 & month==17
replace h_year_ = 84 if rot==3 & month==17
replace h_month_ = 1 if rot==3 & month==18
replace h_year_ = 85 if rot==3 & month==18
replace h_month_ = 2 if rot==3 & month==19
replace h_year_ = 85 if rot==3 & month==19
replace h_month_ = 3 if rot==3 & month==20
replace h_year_ = 85 if rot==3 & month==20
replace h_month_ = 4 if rot==3 & month==21
replace h_year_ = 85 if rot==3 & month==21
replace h_month_ = 5 if rot==3 & month==22
replace h_year_ = 85 if rot==3 & month==22
replace h_month_ = 6 if rot==3 & month==23
replace h_year_ = 85 if rot==3 & month==23
replace h_month_ = 7 if rot==3 & month==24
replace h_year_ = 85 if rot==3 & month==24
replace h_month_ = 8 if rot==3 & month==25
replace h_year_ = 85 if rot==3 & month==25
replace h_month_ = 9 if rot==3 & month==26
replace h_year_ = 85 if rot==3 & month==26
replace h_month_ = 10 if rot==3 & month==27
replace h_year_ = 85 if rot==3 & month==27
replace h_month_ = 11 if rot==3 & month==28
replace h_year_ = 85 if rot==3 & month==28
replace h_month_ = 12 if rot==3 & month==29
replace h_year_ = 85 if rot==3 & month==29
replace h_month_ = 1 if rot==3 & month==30
replace h_year_ = 86 if rot==3 & month==30
replace h_month_ = 2 if rot==3 & month==31
replace h_year_ = 86 if rot==3 & month==31
replace h_month_ = 3 if rot==3 & month==32
replace h_year_ = 86 if rot==3 & month==32


replace h_month_ = 9 if rot==4 & month==1
replace h_year_ = 83 if rot==4 & month==1
replace h_month_ = 10 if rot==4 & month==2
replace h_year_ = 83 if rot==4 & month==2
replace h_month_ = 11 if rot==4 & month==3
replace h_year_ = 83 if rot==4 & month==3
replace h_month_ = 12 if rot==4 & month==4
replace h_year_ = 83 if rot==4 & month==4
replace h_month_ = 1 if rot==4 & month==5
replace h_year_ = 84 if rot==4 & month==5
replace h_month_ = 2 if rot==4 & month==6
replace h_year_ = 84 if rot==4 & month==6
replace h_month_ = 3 if rot==4 & month==7
replace h_year_ = 84 if rot==4 & month==7
replace h_month_ = 4 if rot==4 & month==8
replace h_year_ = 84 if rot==4 & month==8
replace h_month_ = 5 if rot==4 & month==9
replace h_year_ = 84 if rot==4 & month==9
replace h_month_ = 6 if rot==4 & month==10
replace h_year_ = 84 if rot==4 & month==10
replace h_month_ = 7 if rot==4 & month==11
replace h_year_ = 84 if rot==4 & month==11
replace h_month_ = 8 if rot==4 & month==12
replace h_year_ = 84 if rot==4 & month==12
replace h_month_ = 9 if rot==4 & month==13
replace h_year_ = 84 if rot==4 & month==13
replace h_month_ = 10 if rot==4 & month==14
replace h_year_ = 84 if rot==4 & month==14
replace h_month_ = 11 if rot==4 & month==15
replace h_year_ = 84 if rot==4 & month==15
replace h_month_ = 12 if rot==4 & month==16
replace h_year_ = 84 if rot==4 & month==16
replace h_month_ = 1 if rot==4 & month==17
replace h_year_ = 85 if rot==4 & month==17
replace h_month_ = 2 if rot==4 & month==18
replace h_year_ = 85 if rot==4 & month==18
replace h_month_ = 3 if rot==4 & month==19
replace h_year_ = 85 if rot==4 & month==19
replace h_month_ = 4 if rot==4 & month==20
replace h_year_ = 85 if rot==4 & month==20
replace h_month_ = 5 if rot==4 & month==21
replace h_year_ = 85 if rot==4 & month==21
replace h_month_ = 6 if rot==4 & month==22
replace h_year_ = 85 if rot==4 & month==22
replace h_month_ = 7 if rot==4 & month==23
replace h_year_ = 85 if rot==4 & month==23
replace h_month_ = 8 if rot==4 & month==24
replace h_year_ = 85 if rot==4 & month==24
replace h_month_ = 9 if rot==4 & month==25
replace h_year_ = 85 if rot==4 & month==25
replace h_month_ = 10 if rot==4 & month==26
replace h_year_ = 85 if rot==4 & month==26
replace h_month_ = 11 if rot==4 & month==27
replace h_year_ = 85 if rot==4 & month==27
replace h_month_ = 12 if rot==4 & month==28
replace h_year_ = 85 if rot==4 & month==28
replace h_month_ = 1 if rot==4 & month==29
replace h_year_ = 86 if rot==4 & month==29
replace h_month_ = 2 if rot==4 & month==30
replace h_year_ = 86 if rot==4 & month==30
replace h_month_ = 3 if rot==4 & month==31
replace h_year_ = 86 if rot==4 & month==31
replace h_month_ = 4 if rot==4 & month==32
replace h_year_ = 86 if rot==4 & month==32

drop month id rot

sort su_id pp_entry pp_pnum h_year_ h_month_

save "84fp_edit.dta", replace

clear


/***********************************************************
Core data files
**********************************************************/

*create id variables and sort data
use "sipp84w1.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

*ws1imp04 ws1imp05(paid by the hour?,pay rate?)
#delimit ;
keep (id suseqnum su_id su_rot su_totse it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5


sort id pp_wave
save "84_1.dta", replace
clear



use "sipp84w2.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)

;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_2.dta", replace
clear



use "sipp84rt3.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)


*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220
rename tm8166 tempsiz1
rename tm8170 tempall1

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
tm8176 tm8178 tm8194 tm8196 tm8288 tm8290 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ tempsiz1 tempall1
se1cal* se2cal*
sc1346 sc1348 u_comp*)

;
#delimit cr

replace tm8176=0 if tm8176==.
replace tm8178=0 if tm8178==.
replace tm8194=0 if tm8194==.
replace tm8196=0 if tm8196==.
replace tm8288=0 if tm8288==.
replace tm8290=0 if tm8290==.


*tenure cannot be larger than experience
gen year_aux = h_year_4+1900
gen aux = year_aux-tm8288 if tm8288>0
replace aux = 0 if aux==.
gen aux2 = min(aux,tm8176)
replace tm8176 = aux2
drop aux aux2 year_aux


drop fnlwgt_5 rrp_5


sort id pp_wave
save "84_3.dta", replace
clear




use "sipp84rt4.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

rename tmbusvl1 hhbusval1
rename tmbusvl2 hhbusval2
rename tmbusdt1 hhbusdbt1
rename tmbusdt2 hhbusdbt2

gen leqasset = hhstk + hhintot + hhintbk

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusval2 hhbusdbt1 hhbusdbt2 leqasset)

;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_4.dta", replace
clear




use "84rt5.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_5.dta", replace
clear





use "sipp84w6.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026 
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_6.dta", replace
clear



use "sipp84rt7.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

rename tmbusvl1 hhbusval1
rename tmbusvl2 hhbusval2
rename tmbusdt1 hhbusdbt1
rename tmbusdt2 hhbusdbt2

gen leqasset = hhstk + hhintot + hhintbk
#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusval2 hhbusdbt1 hhbusdbt2 leqasset)

;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_7.dta", replace
clear




use "sipp84rt8.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)

;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_8.dta", replace
clear




use "sipp84w9.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename se1ind se1_ind
rename se2ind se2_ind
rename se1occ se1_occ
rename se2occ se2_occ
rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

#delimit ;
keep (id suseqnum su_id su_rot it7a h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1234 sc1236 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 ise12218 ise22218 se12220 se22220 ise12220 ise22220
se1_ind se2_ind se1_occ se2_occ
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8176 =-99
gen tm8178 =-99
gen tm8194 =-99
gen tm8196 =-99
gen tm8288 =-99
gen tm8290 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save "84_9.dta", replace
clear



/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "84_1.dta", clear
merge id pp_wave using "84_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_3.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_4.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_5.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_6.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_7.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_8.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "84_9.dta"
tab _merge
drop _merge

*reorder imputation
rename ws1cal01 ws1calc4
rename ws1cal02 ws1calc3
rename ws1cal03 ws1calc2
rename ws1cal04 ws1calc1
rename ws2cal01 ws2calc4
rename ws2cal02 ws2calc3
rename ws2cal03 ws2calc2
rename ws2cal04 ws2calc1

rename se1cal01 se1cal4
rename se1cal02 se1cal3
rename se1cal03 se1cal2
rename se1cal04 se1cal1
rename se2cal01 se2cal4
rename se2cal02 se2cal3
rename se2cal03 se2cal2
rename se2cal04 se2cal1

drop id
egen id = group(su_id pp_entry pp_pnum pp_wave)
sort id 


reshape long h_month_ h_year_ h_refper_ h_np_ h_wgt_ h_metro_ h_povd_ h_totinc_ h_earn_ h_prop_ h_tran_ h_other_ h_noncsh_ h_socsec_ h_ssi_ h_unemp_ h_vets_ h_afdc_ h_fdstp_ fnlwgt_ rrp_ pptotin pp_earn pp_prop pp_tran ppother i05amt i06amt i07amt i31amt i34amt i35amt ws1calc ws2calc h_tenur_ f_oklt18_ se1cal se2cal u_comp caidcov, i(id) j(n_obs)


drop tm8194 tm8196 
rename tm8176 year_tenure
rename tm8178 month_tenure
rename tm8288 first_exp
rename tm8290 years_exp


*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month_
replace tejdate1 = 0 if ws1_2020 != h_month_
replace tsjdate2 = 0 if ws2_2016 != h_month_
replace tejdate2 = 0 if ws2_2020 != h_month_

replace h_metro_=2 if h_metro_==0

drop id n_obs
sort su_id pp_entry pp_pnum h_year_ h_month_
merge su_id pp_entry pp_pnum h_year_ h_month_ using "84fp_edit.dta"
tab _merge
drop if _merge == 1
drop if _merge == 2
drop _merge

drop if pp_mis !=1
drop pp_mis
drop it7a

/*
gen  hhscdbt_tc = 0
replace  hhscdbt_tc = 1 if hhscdbt>=1700000 & hhscdbt~=.
local T=1700000
qui sum hhscdbt_tc if hhscdbt~=.
local F2=r(mean)
_pctile hhscdbt if hhscdbt!=. , p(95)
local y8=r(r1)
local alpha8=ln((1-0.95)/(`F2'))/ln(`T'/`y8')
gen check=`T'/((1-runiform())^(1/`alpha8')) if hhscdbt_tc==1
replace hhscdbt=check if hhscdbt_tc==1
cap drop check hhscdbt_tc
*/

*clean tenure
gen emp = esr>0 & esr<=4 & (jobid1>0| jobid2>0)
*replace year_tenure=1 if year_tenure<=0 & month_tenure>=6
*replace year_tenure = -99 if jobid1==0
replace month_tenure= year_tenure*12 if year_tenure>0 & month_tenure==0
replace month_tenure = -99 if emp==0 | jobid1==0

*clean experience
egen id = group(su_id pp_entry pp_pnum)
sort id
by id: egen index = max(first_exp)
replace first_exp = index
*replace first_exp = first_exp-1900 if first_exp>=1900
drop index
gen index = years_exp==-5
by id: egen index2 = sum(index)
replace years_exp=-5 if index2>0
drop index
gen index = years_exp>0
by id: egen index3 = sum(index)
by id: egen index4 = max(years_exp)
replace years_exp=index4 if index3>0 & index2==0
drop index index2 index3 index4

replace h_year = h_year+1900
gen disab2  = sc1386==1
drop sc1386

rename h_month_ h_month
rename h_year_ h_year
rename h_refper_ h_refper
rename h_np_ h_np
rename h_wgt_ h_wgt
rename h_metro_ h_metro
rename h_povd_ h_povd
rename h_totinc_ h_totinc
rename h_earn_ h_earn
rename h_prop_ h_prop
rename h_tran_ h_tran
rename h_other_ h_other
rename h_noncsh_ h_noncsh
rename h_socsec_ h_socsec
rename h_ssi_ h_ssi
rename h_unemp_ h_unemp
rename h_vets_ h_vets
rename h_afdc_ h_afdc
rename h_fdstp_ h_fdstp
rename fnlwgt_ fnlwgt
rename rrp_ rrp
rename age_ age
rename ms_ ms
rename esr_ esr
rename ppother pp_other
rename pptotin pp_totin
rename h_tenur_ h_tenur
rename f_oklt18_ f_oklt18
rename hh_add h_add
rename sc1346 socsr1
rename sc1348 socsr2
rename sc1360 retird

*define disability insurance
gen index = socsr1==2 | socsr2==2
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 socsr2 index

****************generate experience****************************
*generate experience accumulated in panel: One additional year if worked at least 6 months
sort id h_year h_month
egen id_year = group(id h_year)
sort id_year
by id_year: gen obs_month = _N
by id_year: egen extra_exp_aux = sum(emp)
replace extra_exp_aux = extra_exp_aux/obs_month
replace extra_exp_aux=1 if extra_exp_aux>=0.5
replace extra_exp_aux=0 if extra_exp_aux<0.5
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux=0 if index!=.
sort id h_year h_month
sort id
by id: gen index2 = extra_exp_aux[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp = sum(index2)
drop id_year obs_month index emp index2
*generate potential experience based on first calendeer year
gen pot_exp_aux = 0
sort id h_year h_month
by id: gen count=_n
by id: replace pot_exp_aux = h_year-first_exp if first_exp>0 & count==1
replace pot_exp_aux = 0 if pot_exp_aux<0
by id: egen pot_exp = max(pot_exp_aux)
drop pot_exp_aux count extra_exp_aux
*generate actual experience 
gen exper = 0
gen index3 = pot_exp==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp==-5 & exper==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp>0 & exper==0
replace exper = years_exp+extra_exp if index3==1
drop index index3 extra_exp pot_exp
drop first_exp years_exp

****************generate tenure****************************
*find the main job to which tenure belongs
sort id pp_wave h_month
egen wave_month = group(id pp_wave)
sort wave_month
by wave_month: gen index = _n
drop wave_month
gen ref_m = 0
replace ref_m = 1 if pp_wave==3 & index==4
gen aux = 0
replace aux = jobid1 if pp_wave==3 & index==4
sort id
by id: egen ten_job = max(aux)
drop aux
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==3 & index==3
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==3 & index==2
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==3 & index==1
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index index2 index3 ten_job2
gen index_job = jobid1==ten_job
replace index_job=0 if jobid1<=0
*generate tenure for all jobs of jobid1
sort id h_year h_month
egen id_job = group(id jobid1)
sort id_job h_year h_month
by id_job: gen tenure1 = _n
egen time = group(h_year h_month)
gen index2 = time if ref_m==1 
replace index2=0 if index2==.
by id_job: egen index3 = max(index2)
by id_job: egen index4 = max(month_tenure)
replace index4=0 if index_job==0
gen tenure_main = index4+time-index3
replace tenure1 = tenure_main if index_job==1 & tenure_main>tenure1
drop ten_job ref_m index_job id_job tenure_main time index2 index3 index4
replace tenure1 = 0 if jobid1<=0
*generate tenure for all jobs of jobid2
egen id_job = group(id jobid2)
sort id_job h_year h_month
by id_job: gen tenure2 = _n
drop id_job
replace tenure2 = 0 if jobid2<=0
drop year_tenure month_tenure


replace ws1_hr = 40 if jobid2==0 & jobid1>0 & ws1_hr<=0 & sc1234==2
replace ws2_hr = 40 if jobid1==0 & jobid2>0 & ws2_hr<=0 & sc1234==2
drop sc1234 sc1236

label variable ws1_cl   "Worker class"
label define ws1_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws1_cl ws1_class	
label variable ws2_cl   "Worker class"
label define ws2_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws2_cl ws2_class

gen gov_pension = i31amt+i34amt+i35amt

gen panel = 84

sort su_id pp_entry pp_pnum h_year h_month panel

save "84_panel.dta", replace
clear
