*directory
set mem 900m
*cd "F:\Data\SIPP\Extracts"
cd "F:\Data\SIPP\Extracts"

/***********************************************************
Full panel data file
**********************************************************/


use "85fp.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

#delimit ;
keep(suseqnum su_id pp_entry pp_pnum rot pnlwgt hh_add* su_totpp fnlwgt85 fnlwgt86 pp_mis* sex race ethnicty disab att_sch* age_* ms_* higrade* grd_cmp* state_* esr_* 
wksper* ws1_ei* ws2_ei* ws1_oc* ws2_oc* ws1_in* ws2_in* ws1_wk* ws2_wk* ws1_ra* ws2_ra*
ws1_am* ws2_am* ws1_hr* ws2_hr* ws1_cl* ws2_cl* se1_am* se2_am* se1_wk* se2_wk* se1_hr* se2_hr* se1_in* se2_in* se1_oc* se2_oc*) 
;
#delimit cr
egen id = group(su_id pp_entry pp_pnum)


*make quarterly variables monthly
forval j=1/4 {
gen grade`j' = higrade1
gen grd_comp`j' = grd_cmp1
gen state`j' = state_1
*gen metro`j' = metro_1
gen school`j' = att_sch1
}
forval j=5/8 {
gen grade`j' = higrade2
gen grd_comp`j' = grd_cmp2
gen state`j' = state_2
*gen metro`j' = metro_2
gen school`j' = att_sch2
}
forval j=9/12 {
gen grade`j' = higrade3
gen grd_comp`j' = grd_cmp3
gen state`j' = state_3
*gen metro`j' = metro_3
gen school`j' = att_sch3
}
forval j=13/16 {
gen grade`j' = higrade4
gen grd_comp`j' = grd_cmp4
gen state`j' = state_4
*gen metro`j' = metro_4
gen school`j' = att_sch4
}
forval j=17/20 {
gen grade`j' = higrade5
gen grd_comp`j' = grd_cmp5
gen state`j' = state_5
*gen metro`j' = metro_5
gen school`j' = att_sch5
}
forval j=21/24 {
gen grade`j' = higrade6
gen grd_comp`j' = grd_cmp6
gen state`j' = state_6
*gen metro`j' = metro_6
gen school`j' = att_sch6
}
forval j=25/28 {
gen grade`j' = higrade7
gen grd_comp`j' = grd_cmp7
gen state`j' = state_7
*gen metro`j' = metro_7
gen school`j' = att_sch7
}
forval j=29/32 {
gen grade`j' = higrade8
gen grd_comp`j' = grd_cmp8
gen state`j' = state_8
*gen metro`j' = metro_8
gen school`j' = att_sch8
}
forval j=1/8 {
drop higrade`j'
drop grd_cmp`j'
drop state_`j'
*drop metro_`j'
drop att_sch`j'
}


forval j=1/32 {
*join part time and full time school
replace school`j' =1 if school`j'==2
replace school`j' =2 if school`j'==3
}


forval j=1/9 {
rename pp_mis0`j'  pp_mis`j' 
rename age_0`j'    age_`j'
rename ms_0`j'     ms_`j' 
rename esr_0`j'    esr_`j' 
rename wksper0`j'  wksper`j'
*rename wksjb_0`j'  wksjb_`j'
rename ws1_ei0`j'  jobid1`j'
rename ws2_ei0`j'  jobid2`j'
rename ws1_oc0`j'  ws1_oc`j'
rename ws2_oc0`j'  ws2_oc`j'
rename ws1_in0`j'  ws1_in`j' 
rename ws2_in0`j'  ws2_in`j' 
rename ws1_wk0`j'  ws1_wk`j'
rename ws2_wk0`j'  ws2_wk`j' 
rename ws1_am0`j'  ws1_am`j' 
rename ws2_am0`j'  ws2_am`j' 
rename ws1_hr0`j'  ws1_hr`j' 
rename ws2_hr0`j'  ws2_hr`j'
rename ws1_ra0`j'  ws1_ra`j' 
rename ws2_ra0`j'  ws2_ra`j'
rename hh_add0`j'  hh_add`j'
rename ws1_cl0`j'  ws1_cl`j'
rename ws2_cl0`j'  ws2_cl`j'
}

forval j=10/32 {
rename ws1_ei`j'  jobid1`j'
rename ws2_ei`j'  jobid2`j'
}

renpfix se1_am0 se1_am
renpfix se2_am0 se2_am
renpfix se1_wk0 se1_wk
renpfix se2_wk0 se2_wk
renpfix se1_hr0 se1_hr
renpfix se2_hr0 se2_hr
renpfix se1_in se1_ind
renpfix se1_ind0 se1_ind
renpfix se2_in se2_ind
renpfix se2_ind0 se2_ind
renpfix se1_oc se1_occ
renpfix se1_occ0 se1_occ
renpfix se2_oc se2_occ
renpfix se2_occ0 se2_occ

reshape long hh_add pp_mis age_ ms_ esr_ wksper jobid1 jobid2 ws1_oc ws2_oc ws1_in ws2_in ws1_wk ws2_wk ws1_am ws2_am ws1_hr ws2_hr ws1_ra ws2_ra grade grd_comp state school ws1_cl ws2_cl se1_am se2_am se1_wk se2_wk se1_hr se2_hr se1_ind se2_ind se1_occ se2_occ, i(id) j(month)


*generate month and year
gen h_month_ = 0
gen h_year_ = 0


replace h_month_ = 1 if rot==1 & month==1
replace h_year_ = 85 if rot==1 & month==1
replace h_month_ = 2 if rot==1 & month==2
replace h_year_ = 85 if rot==1 & month==2
replace h_month_ = 3 if rot==1 & month==3
replace h_year_ = 85 if rot==1 & month==3
replace h_month_ = 4 if rot==1 & month==4
replace h_year_ = 85 if rot==1 & month==4
replace h_month_ = 5 if rot==1 & month==5
replace h_year_ = 85 if rot==1 & month==5
replace h_month_ = 6 if rot==1 & month==6
replace h_year_ = 85 if rot==1 & month==6
replace h_month_ = 7 if rot==1 & month==7
replace h_year_ = 85 if rot==1 & month==7
replace h_month_ = 8 if rot==1 & month==8
replace h_year_ = 85 if rot==1 & month==8
replace h_month_ = 9 if rot==1 & month==9
replace h_year_ = 85 if rot==1 & month==9
replace h_month_ = 10 if rot==1 & month==10
replace h_year_ = 85 if rot==1 & month==10
replace h_month_ = 11 if rot==1 & month==11
replace h_year_ = 85 if rot==1 & month==11
replace h_month_ = 12 if rot==1 & month==12
replace h_year_ = 85 if rot==1 & month==12
replace h_month_ = 1 if rot==1 & month==13
replace h_year_ = 86 if rot==1 & month==13
replace h_month_ = 2 if rot==1 & month==14
replace h_year_ = 86 if rot==1 & month==14
replace h_month_ = 3 if rot==1 & month==15
replace h_year_ = 86 if rot==1 & month==15
replace h_month_ = 4 if rot==1 & month==16
replace h_year_ = 86 if rot==1 & month==16
replace h_month_ = 5 if rot==1 & month==17
replace h_year_ = 86 if rot==1 & month==17
replace h_month_ = 6 if rot==1 & month==18
replace h_year_ = 86 if rot==1 & month==18
replace h_month_ = 7 if rot==1 & month==19
replace h_year_ = 86 if rot==1 & month==19
replace h_month_ = 8 if rot==1 & month==20
replace h_year_ = 86 if rot==1 & month==20
replace h_month_ = 9 if rot==1 & month==21
replace h_year_ = 86 if rot==1 & month==21
replace h_month_ = 10 if rot==1 & month==22
replace h_year_ = 86 if rot==1 & month==22
replace h_month_ = 11 if rot==1 & month==23
replace h_year_ = 86 if rot==1 & month==23
replace h_month_ = 12 if rot==1 & month==24
replace h_year_ = 86 if rot==1 & month==24
replace h_month_ = 1 if rot==1 & month==25
replace h_year_ = 87 if rot==1 & month==25
replace h_month_ = 2 if rot==1 & month==26
replace h_year_ = 87 if rot==1 & month==26
replace h_month_ = 3 if rot==1 & month==27
replace h_year_ = 87 if rot==1 & month==27
replace h_month_ = 4 if rot==1 & month==28
replace h_year_ = 87 if rot==1 & month==28
replace h_month_ = 5 if rot==1 & month==29
replace h_year_ = 87 if rot==1 & month==29
replace h_month_ = 6 if rot==1 & month==30
replace h_year_ = 87 if rot==1 & month==30
replace h_month_ = 7 if rot==1 & month==31
replace h_year_ = 87 if rot==1 & month==31
replace h_month_ = 8 if rot==1 & month==32
replace h_year_ = 87 if rot==1 & month==32


replace h_month_ = 10 if rot==2 & month==1
replace h_year_ = 84 if rot==2 & month==1
replace h_month_ = 11 if rot==2 & month==2
replace h_year_ = 84 if rot==2 & month==2
replace h_month_ = 12 if rot==2 & month==3
replace h_year_ = 84 if rot==2 & month==3
replace h_month_ = 1 if rot==2 & month==4
replace h_year_ = 85 if rot==2 & month==4
replace h_month_ = 2 if rot==2 & month==5
replace h_year_ = 85 if rot==2 & month==5
replace h_month_ = 3 if rot==2 & month==6
replace h_year_ = 85 if rot==2 & month==6
replace h_month_ = 4 if rot==2 & month==7
replace h_year_ = 85 if rot==2 & month==7
replace h_month_ = 5 if rot==2 & month==8
replace h_year_ = 85 if rot==2 & month==8
replace h_month_ = 6 if rot==2 & month==9
replace h_year_ = 85 if rot==2 & month==9
replace h_month_ = 7 if rot==2 & month==10
replace h_year_ = 85 if rot==2 & month==10
replace h_month_ = 8 if rot==2 & month==11
replace h_year_ = 85 if rot==2 & month==11
replace h_month_ = 9 if rot==2 & month==12
replace h_year_ = 85 if rot==2 & month==12
replace h_month_ = 10 if rot==2 & month==13
replace h_year_ = 85 if rot==2 & month==13
replace h_month_ = 11 if rot==2 & month==14
replace h_year_ = 85 if rot==2 & month==14
replace h_month_ = 12 if rot==2 & month==15
replace h_year_ = 85 if rot==2 & month==15
replace h_month_ = 1 if rot==2 & month==16
replace h_year_ = 86 if rot==2 & month==16
replace h_month_ = 2 if rot==2 & month==17
replace h_year_ = 86 if rot==2 & month==17
replace h_month_ = 3 if rot==2 & month==18
replace h_year_ = 86 if rot==2 & month==18
replace h_month_ = 4 if rot==2 & month==19
replace h_year_ = 86 if rot==2 & month==19
replace h_month_ = 5 if rot==2 & month==20
replace h_year_ = 86 if rot==2 & month==20
replace h_month_ = 6 if rot==2 & month==21
replace h_year_ = 86 if rot==2 & month==21
replace h_month_ = 7 if rot==2 & month==22
replace h_year_ = 86 if rot==2 & month==22
replace h_month_ = 8 if rot==2 & month==23
replace h_year_ = 86 if rot==2 & month==23
replace h_month_ = 9 if rot==2 & month==24
replace h_year_ = 86 if rot==2 & month==24
replace h_month_ = 10 if rot==2 & month==25
replace h_year_ = 86 if rot==2 & month==25
replace h_month_ = 11 if rot==2 & month==26
replace h_year_ = 86 if rot==2 & month==26
replace h_month_ = 12 if rot==2 & month==27
replace h_year_ = 86 if rot==2 & month==27
replace h_month_ = 1 if rot==2 & month==28
replace h_year_ = 87 if rot==2 & month==28
replace h_month_ = 2 if rot==2 & month==29
replace h_year_ = 87 if rot==2 & month==29
replace h_month_ = 3 if rot==2 & month==30
replace h_year_ = 87 if rot==2 & month==30
replace h_month_ = 4 if rot==2 & month==31
replace h_year_ = 87 if rot==2 & month==31
replace h_month_ = 5 if rot==2 & month==32
replace h_year_ = 87 if rot==2 & month==32



replace h_month_ = 11 if rot==3 & month==1
replace h_year_ = 84 if rot==3 & month==1
replace h_month_ = 12 if rot==3 & month==2
replace h_year_ = 84 if rot==3 & month==2
replace h_month_ = 1 if rot==3 & month==3
replace h_year_ = 85 if rot==3 & month==3
replace h_month_ = 2 if rot==3 & month==4
replace h_year_ = 85 if rot==3 & month==4
replace h_month_ = 3 if rot==3 & month==5
replace h_year_ = 85 if rot==3 & month==5
replace h_month_ = 4 if rot==3 & month==6
replace h_year_ = 85 if rot==3 & month==6
replace h_month_ = 5 if rot==3 & month==7
replace h_year_ = 85 if rot==3 & month==7
replace h_month_ = 6 if rot==3 & month==8
replace h_year_ = 85 if rot==3 & month==8
replace h_month_ = 7 if rot==3 & month==9
replace h_year_ = 85 if rot==3 & month==9
replace h_month_ = 8 if rot==3 & month==10
replace h_year_ = 85 if rot==3 & month==10
replace h_month_ = 9 if rot==3 & month==11
replace h_year_ = 85 if rot==3 & month==11
replace h_month_ = 10 if rot==3 & month==12
replace h_year_ = 85 if rot==3 & month==12
replace h_month_ = 11 if rot==3 & month==13
replace h_year_ = 85 if rot==3 & month==13
replace h_month_ = 12 if rot==3 & month==14
replace h_year_ = 85 if rot==3 & month==14
replace h_month_ = 1 if rot==3 & month==15
replace h_year_ = 86 if rot==3 & month==15
replace h_month_ = 2 if rot==3 & month==16
replace h_year_ = 86 if rot==3 & month==16
replace h_month_ = 3 if rot==3 & month==17
replace h_year_ = 86 if rot==3 & month==17
replace h_month_ = 4 if rot==3 & month==18
replace h_year_ = 86 if rot==3 & month==18
replace h_month_ = 5 if rot==3 & month==19
replace h_year_ = 86 if rot==3 & month==19
replace h_month_ = 6 if rot==3 & month==20
replace h_year_ = 86 if rot==3 & month==20
replace h_month_ = 7 if rot==3 & month==21
replace h_year_ = 86 if rot==3 & month==21
replace h_month_ = 8 if rot==3 & month==22
replace h_year_ = 86 if rot==3 & month==22
replace h_month_ = 9 if rot==3 & month==23
replace h_year_ = 86 if rot==3 & month==23
replace h_month_ = 10 if rot==3 & month==24
replace h_year_ = 86 if rot==3 & month==24
replace h_month_ = 11 if rot==3 & month==25
replace h_year_ = 86 if rot==3 & month==25
replace h_month_ = 12 if rot==3 & month==26
replace h_year_ = 86 if rot==3 & month==26
replace h_month_ = 1 if rot==3 & month==27
replace h_year_ = 87 if rot==3 & month==27
replace h_month_ = 2 if rot==3 & month==28
replace h_year_ = 87 if rot==3 & month==28
replace h_month_ = 3 if rot==3 & month==29
replace h_year_ = 87 if rot==3 & month==29
replace h_month_ = 4 if rot==3 & month==30
replace h_year_ = 87 if rot==3 & month==30
replace h_month_ = 5 if rot==3 & month==31
replace h_year_ = 87 if rot==3 & month==31
replace h_month_ = 6 if rot==3 & month==32
replace h_year_ = 87 if rot==3 & month==32



replace h_month_ = 12 if rot==4 & month==1
replace h_year_ = 84 if rot==4 & month==1
replace h_month_ = 1 if rot==4 & month==2
replace h_year_ = 85 if rot==4 & month==2
replace h_month_ = 2 if rot==4 & month==3
replace h_year_ = 85 if rot==4 & month==3
replace h_month_ = 3 if rot==4 & month==4
replace h_year_ = 85 if rot==4 & month==4
replace h_month_ = 4 if rot==4 & month==5
replace h_year_ = 85 if rot==4 & month==5
replace h_month_ = 5 if rot==4 & month==6
replace h_year_ = 85 if rot==4 & month==6
replace h_month_ = 6 if rot==4 & month==7
replace h_year_ = 85 if rot==4 & month==7
replace h_month_ = 7 if rot==4 & month==8
replace h_year_ = 85 if rot==4 & month==8
replace h_month_ = 8 if rot==4 & month==9
replace h_year_ = 85 if rot==4 & month==9
replace h_month_ = 9 if rot==4 & month==10
replace h_year_ = 85 if rot==4 & month==10
replace h_month_ = 10 if rot==4 & month==11
replace h_year_ = 85 if rot==4 & month==11
replace h_month_ = 11 if rot==4 & month==12
replace h_year_ = 85 if rot==4 & month==12
replace h_month_ = 12 if rot==4 & month==13
replace h_year_ = 85 if rot==4 & month==13
replace h_month_ = 1 if rot==4 & month==14
replace h_year_ = 86 if rot==4 & month==14
replace h_month_ = 2 if rot==4 & month==15
replace h_year_ = 86 if rot==4 & month==15
replace h_month_ = 3 if rot==4 & month==16
replace h_year_ = 86 if rot==4 & month==16
replace h_month_ = 4 if rot==4 & month==17
replace h_year_ = 86 if rot==4 & month==17
replace h_month_ = 5 if rot==4 & month==18
replace h_year_ = 86 if rot==4 & month==18
replace h_month_ = 6 if rot==4 & month==19
replace h_year_ = 86 if rot==4 & month==19
replace h_month_ = 7 if rot==4 & month==20
replace h_year_ = 86 if rot==4 & month==20
replace h_month_ = 8 if rot==4 & month==21
replace h_year_ = 86 if rot==4 & month==21
replace h_month_ = 9 if rot==4 & month==22
replace h_year_ = 86 if rot==4 & month==22
replace h_month_ = 10 if rot==4 & month==23
replace h_year_ = 86 if rot==4 & month==23
replace h_month_ = 11 if rot==4 & month==24
replace h_year_ = 86 if rot==4 & month==24
replace h_month_ = 12 if rot==4 & month==25
replace h_year_ = 86 if rot==4 & month==25
replace h_month_ = 1 if rot==4 & month==26
replace h_year_ = 87 if rot==4 & month==26
replace h_month_ = 2 if rot==4 & month==27
replace h_year_ = 87 if rot==4 & month==27
replace h_month_ = 3 if rot==4 & month==28
replace h_year_ = 87 if rot==4 & month==28
replace h_month_ = 4 if rot==4 & month==29
replace h_year_ = 87 if rot==4 & month==29
replace h_month_ = 5 if rot==4 & month==30
replace h_year_ = 87 if rot==4 & month==30
replace h_month_ = 6 if rot==4 & month==31
replace h_year_ = 87 if rot==4 & month==31
replace h_month_ = 7 if rot==4 & month==32
replace h_year_ = 87 if rot==4 & month==32

drop month id rot

sort su_id pp_entry pp_pnum h_year_ h_month_

save "85fp_edit.dta", replace
clear



/***********************************************************
Core data files
**********************************************************/

*create id variables and sort data
use "85w1.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2


forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr


drop fnlwgt_5 rrp_5


sort id pp_wave
save "85_1.dta", replace
clear



use "sipp85w2.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr



drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_2.dta", replace
clear



use "sipp85rt3.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

rename tm8008 hhbusval1
rename tm8012 hhbusdbt1
rename tm8024 hhbusval2
rename tm8028 hhbusdbt2

gen leqasset = hh_stk + hh_intot + hh_intbk

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt1 leqasset)
;
#delimit cr


drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_3.dta", replace
clear




use "sipp85rt4.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_4.dta", replace
clear




use "sipp85w5.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_5.dta", replace
clear





use "sipp85w6.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr



drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_6.dta", replace
clear



use "sipp85rt7.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)


forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

rename tm8008 hhbusval1
rename tm8012 hhbusdbt1
rename tm8024 hhbusval2
rename tm8028 hhbusdbt2

gen leqasset = hh_stk + hh_intot + hh_intbk

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt1 leqasset)
;
#delimit cr

drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_7.dta", replace
clear




use "sipp85w8.dta", clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)


forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

drop fnlwgt_5 rrp_5

sort id pp_wave
save "85_8.dta", replace
clear





/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "85_1.dta", clear
merge id pp_wave using "85_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_3.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_4.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_5.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_6.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_7.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "85_8.dta"
tab _merge
drop _merge

*reorder imputation
rename ws1cal01 ws1calc4
rename ws1cal02 ws1calc3
rename ws1cal03 ws1calc2
rename ws1cal04 ws1calc1
rename ws2cal01 ws2calc4
rename ws2cal02 ws2calc3
rename ws2cal03 ws2calc2
rename ws2cal04 ws2calc1

rename se1cal01 se1cal4
rename se1cal02 se1cal3
rename se1cal03 se1cal2
rename se1cal04 se1cal1
rename se2cal01 se2cal4
rename se2cal02 se2cal3
rename se2cal03 se2cal2
rename se2cal04 se2cal1

drop id
egen id = group(su_id pp_entry pp_pnum pp_wave)
sort id 


reshape long h_month_ h_year_ h_refper_ h_np_ h_wgt_ h_metro_ h_povd_ h_totinc_ h_earn_ h_prop_ h_tran_ h_other_ h_noncsh_ h_socsec_ h_ssi_ h_unemp_ h_vets_ h_afdc_ h_fdstp_ fnlwgt_ rrp_ pptotin pp_earn pp_prop pp_tran ppother i05amt i06amt i07amt i31amt i34amt i35amt ws1calc ws2calc h_tenur_ f_oklt18_ se1cal se2cal u_comp caidcov, i(id) j(n_obs)

rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month_
replace tejdate1 = 0 if ws1_2020 != h_month_
replace tsjdate2 = 0 if ws2_2016 != h_month_
replace tejdate2 = 0 if ws2_2020 != h_month_


drop id n_obs
sort su_id pp_entry pp_pnum h_year_ h_month_
merge su_id pp_entry pp_pnum h_year_ h_month_ using "85fp_edit.dta"
tab _merge
drop if _merge == 1
drop if _merge == 2
drop _merge
drop if pp_mis !=1
drop pp_mis
egen id = group(su_id pp_entry pp_pnum)

replace h_year = h_year+1900
gen disab2  = sc1386==1
drop sc1386

rename h_month_ h_month
rename h_year_ h_year
rename h_refper_ h_refper
rename h_np_ h_np
rename h_wgt_ h_wgt
rename h_metro_ h_metro
rename h_povd_ h_povd
rename h_totinc_ h_totinc
rename h_earn_ h_earn
rename h_prop_ h_prop
rename h_tran_ h_tran
rename h_other_ h_other
rename h_noncsh_ h_noncsh
rename h_socsec_ h_socsec
rename h_ssi_ h_ssi
rename h_unemp_ h_unemp
rename h_vets_ h_vets
rename h_afdc_ h_afdc
rename h_fdstp_ h_fdstp
rename fnlwgt_ fnlwgt
rename rrp_ rrp
rename age_ age
rename ms_ ms
rename esr_ esr
rename ppother pp_other
rename pptotin pp_totin
rename h_tenur_ h_tenur
rename f_oklt18_ f_oklt18
rename hh_add h_add
rename sc1346 socsr1
rename sc1348 socsr2
rename sc1360 retird

*define disability insurance
gen index = socsr1==2 | socsr2==2
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 socsr2 index


gen exper=.
gen tenure1 =.
gen tenure2 =.

replace ws1_hr = 40 if jobid2==0 & jobid1>0 & ws1_hr<=0 & sc1231==1
replace ws2_hr = 40 if jobid1==0 & jobid2>0 & ws2_hr<=0 & sc1231==1
drop sc1231

gen gov_pension = i31amt+i34amt+i35amt

gen panel = 85

sort su_id pp_entry pp_pnum h_year h_month panel

save "85_panel.dta", replace
clear


