*directory
*set mem 1000m
set mem 700m
local PATH "F:\Data\SIPP\Extracts"
*local PATH "C:\Users\Ariel\Desktop\SIPP\Extracts"

cd "`PATH'"

/***********************************************************
Full panel data file
**********************************************************/
use 87fp, clear

**jobid has been changed to ws1_ei and ws2_ei

#delimit ;
keep(suseqnum su_id pp_entry pp_pnum rot pnlwgt fnlwgt87 fnlwgt88 pp_mis* sex race ethnicty disab att_sch* age_* ms_* higrade* grd_cmp* state_* esr_* 
wksper* ws1_ei* ws2_ei* ws1_oc* ws2_oc* ws1_in* ws2_in* ws1_wk* ws2_wk* w2028_* w2128_* hh_add* su_totpp
ws1_am* ws2_am* w2024_* w2124_* ws1_cl* ws2_cl* s2202* s2302* se1_am* se2_am* se1_wk* se2_wk* s2212* s2312* se1_in* se2_in* se1_oc* se2_oc*) 
;
#delimit cr


**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)


*make quarterly variables monthly
forval j=1/4 {
gen grade`j' = higrade1
gen grd_comp`j' = grd_cmp1
gen state`j' = state_1
*gen metro`j' = metro_1
gen school`j' = att_sch1
}
forval j=5/8 {
gen grade`j' = higrade2
gen grd_comp`j' = grd_cmp2
gen state`j' = state_2
*gen metro`j' = metro_2
gen school`j' = att_sch2
}
forval j=9/12 {
gen grade`j' = higrade3
gen grd_comp`j' = grd_cmp3
gen state`j' = state_3
*gen metro`j' = metro_3
gen school`j' = att_sch3
}
forval j=13/16 {
gen grade`j' = higrade4
gen grd_comp`j' = grd_cmp4
gen state`j' = state_4
*gen metro`j' = metro_4
gen school`j' = att_sch4
}
forval j=17/20 {
gen grade`j' = higrade5
gen grd_comp`j' = grd_cmp5
gen state`j' = state_5
*gen metro`j' = metro_5
gen school`j' = att_sch5
}
forval j=21/24 {
gen grade`j' = higrade6
gen grd_comp`j' = grd_cmp6
gen state`j' = state_6
*gen metro`j' = metro_6
gen school`j' = att_sch6
}
forval j=25/28 {
gen grade`j' = higrade7
gen grd_comp`j' = grd_cmp7
gen state`j' = state_7
*gen metro`j' = metro_7
gen school`j' = att_sch7
}
forval j=29/32 {
gen grade`j' = higrade8
gen grd_comp`j' = grd_cmp8
gen state`j' = state_8
*gen metro`j' = metro_8
gen school`j' = att_sch8
}
forval j=1/8 {
drop higrade`j'
drop grd_cmp`j'
drop state_`j'
*drop metro_`j'
drop att_sch`j'
}

forval j=1/32 {
*join part time and full time school
replace school`j' =1 if school`j'==2
replace school`j' =2 if school`j'==3
}

forval j=1/9 {
rename pp_mis0`j'  pp_mis`j' 
rename age_0`j'    age_`j'
rename ms_0`j'     ms_`j' 
rename esr_0`j'    esr_`j' 
rename wksper0`j'  wksper`j'
rename ws1_oc0`j'  ws1_oc`j'
rename ws2_oc0`j'  ws2_oc`j'
rename ws1_in0`j'  ws1_in`j' 
rename ws2_in0`j'  ws2_in`j' 
rename ws1_wk0`j'  ws1_wk`j'
rename ws2_wk0`j'  ws2_wk`j' 
rename ws1_am0`j'  ws1_am`j' 
rename ws2_am0`j'  ws2_am`j' 
rename w2024_0`j'  ws1_hr`j' 
rename w2124_0`j'  ws2_hr`j'
rename w2028_0`j'  ws1_ra`j' 
rename w2128_0`j'  ws2_ra`j'
rename hh_add0`j'  hh_add`j'
rename ws1_cl0`j'  ws1_cl`j'
rename ws2_cl0`j'  ws2_cl`j'
}

forval j=10/32 {
rename w2024_`j'  ws1_hr`j' 
rename w2124_`j'  ws2_hr`j'
rename w2028_`j'  ws1_ra`j' 
rename w2128_`j'  ws2_ra`j'
}

forval j=1/9 {
rename ws1_ei0`j' jobid1`j'
rename ws2_ei0`j' jobid2`j'
}

forval j=10/32 {
rename ws1_ei`j' jobid1`j'
rename ws2_ei`j' jobid2`j'
}

renpfix se1_am0 se1_am
renpfix se2_am0 se2_am
renpfix se1_wk0 se1_wk
renpfix se2_wk0 se2_wk
renpfix se1_in se1_ind
renpfix se1_ind0 se1_ind
renpfix se2_in se2_ind
renpfix se2_ind0 se2_ind
renpfix se1_oc se1_occ
renpfix se1_occ0 se1_occ
renpfix se2_oc se2_occ
renpfix se2_occ0 se2_occ
renpfix s2212_ se1_hr
renpfix se1_hr0 se1_hr
renpfix s2312_ se2_hr
renpfix se2_hr0 se2_hr
renpfix s2202_ se1_id
renpfix se1_id0 se1_id
renpfix s2302_ se2_id
renpfix se2_id0 se2_id

reshape long hh_add pp_mis age_ ms_ esr_ wksper jobid1 jobid2 ws1_oc ws2_oc ws1_in ws2_in ws1_wk ws2_wk ws1_am ws2_am ws1_hr ws2_hr ws1_ra ws2_ra grade grd_comp state school ws1_cl ws2_cl se1_am se2_am se1_wk se2_wk se1_hr se2_hr se1_ind se2_ind se1_occ se2_occ se1_id se2_id, i(id) j(month)




**Only until 28, the rest is missing values (only 7 waves)** 
drop if month>=29 & month!=.

*generate month and year
gen h_month_ = 0
gen h_year_ = 0

*Rotation groups
*Group 1: Jan 87 
*Group 2: Oct 86
*Group 3: Nov 86
*Group 4: Dec 86

replace h_month_ = 10 if rot==2 & month==1
replace h_year_ = 86 if rot==2 & month==1
replace h_month_ = 11 if rot==2 & month==2
replace h_year_ = 86 if rot==2 & month==2
replace h_month_ = 12 if rot==2 & month==3
replace h_year_ = 86 if rot==2 & month==3
replace h_month_ = 1 if rot==2 & month==4
replace h_year_ = 87 if rot==2 & month==4
replace h_month_ = 2 if rot==2 & month==5
replace h_year_ = 87 if rot==2 & month==5
replace h_month_ = 3 if rot==2 & month==6
replace h_year_ = 87 if rot==2 & month==6
replace h_month_ = 4 if rot==2 & month==7
replace h_year_ = 87 if rot==2 & month==7
replace h_month_ = 5 if rot==2 & month==8
replace h_year_ = 87 if rot==2 & month==8
replace h_month_ = 6 if rot==2 & month==9
replace h_year_ = 87 if rot==2 & month==9
replace h_month_ = 7 if rot==2 & month==10
replace h_year_ = 87 if rot==2 & month==10
replace h_month_ = 8 if rot==2 & month==11
replace h_year_ = 87 if rot==2 & month==11
replace h_month_ = 9 if rot==2 & month==12
replace h_year_ = 87 if rot==2 & month==12
replace h_month_ = 10 if rot==2 & month==13
replace h_year_ = 87 if rot==2 & month==13
replace h_month_ = 11 if rot==2 & month==14
replace h_year_ = 87 if rot==2 & month==14
replace h_month_ = 12 if rot==2 & month==15
replace h_year_ = 87 if rot==2 & month==15
replace h_month_ = 1 if rot==2 & month==16
replace h_year_ = 88 if rot==2 & month==16
replace h_month_ = 2 if rot==2 & month==17
replace h_year_ = 88 if rot==2 & month==17
replace h_month_ = 3 if rot==2 & month==18
replace h_year_ = 88 if rot==2 & month==18
replace h_month_ = 4 if rot==2 & month==19
replace h_year_ = 88 if rot==2 & month==19
replace h_month_ = 5 if rot==2 & month==20
replace h_year_ = 88 if rot==2 & month==20
replace h_month_ = 6 if rot==2 & month==21
replace h_year_ = 88 if rot==2 & month==21
replace h_month_ = 7 if rot==2 & month==22
replace h_year_ = 88 if rot==2 & month==22
replace h_month_ = 8 if rot==2 & month==23
replace h_year_ = 88 if rot==2 & month==23
replace h_month_ = 9 if rot==2 & month==24
replace h_year_ = 88 if rot==2 & month==24
replace h_month_ = 10 if rot==2 & month==25
replace h_year_ = 88 if rot==2 & month==25
replace h_month_ = 11 if rot==2 & month==26
replace h_year_ = 88 if rot==2 & month==26
replace h_month_ = 12 if rot==2 & month==27
replace h_year_ = 88 if rot==2 & month==27
replace h_month_ = 1 if rot==2 & month==28
replace h_year_ = 89 if rot==2 & month==28
*replace h_month_ = 2 if rot==2 & month==29
*replace h_year_ = 89 if rot==2 & month==29
*replace h_month_ = 3 if rot==2 & month==30
*replace h_year_ = 89 if rot==2 & month==30
*replace h_month_ = 4 if rot==2 & month==31
*replace h_year_ = 89 if rot==2 & month==31
*replace h_month_ = 5 if rot==2 & month==32
*replace h_year_ = 89 if rot==2 & month==32

replace h_month_ = 11 if rot==3 & month==1
replace h_year_ = 86 if rot==3 & month==1
replace h_month_ = 12 if rot==3 & month==2
replace h_year_ = 86 if rot==3 & month==2
replace h_month_ = 1 if rot==3 & month==3
replace h_year_ = 87 if rot==3 & month==3
replace h_month_ = 2 if rot==3 & month==4
replace h_year_ = 87 if rot==3 & month==4
replace h_month_ = 3 if rot==3 & month==5
replace h_year_ = 87 if rot==3 & month==5
replace h_month_ = 4 if rot==3 & month==6
replace h_year_ = 87 if rot==3 & month==6
replace h_month_ = 5 if rot==3 & month==7
replace h_year_ = 87 if rot==3 & month==7
replace h_month_ = 6 if rot==3 & month==8
replace h_year_ = 87 if rot==3 & month==8
replace h_month_ = 7 if rot==3 & month==9
replace h_year_ = 87 if rot==3 & month==9
replace h_month_ = 8 if rot==3 & month==10
replace h_year_ = 87 if rot==3 & month==10
replace h_month_ = 9 if rot==3 & month==11
replace h_year_ = 87 if rot==3 & month==11
replace h_month_ = 10 if rot==3 & month==12
replace h_year_ = 87 if rot==3 & month==12
replace h_month_ = 11 if rot==3 & month==13
replace h_year_ = 87 if rot==3 & month==13
replace h_month_ = 12 if rot==3 & month==14
replace h_year_ = 87 if rot==3 & month==14
replace h_month_ = 1 if rot==3 & month==15
replace h_year_ = 88 if rot==3 & month==15
replace h_month_ = 2 if rot==3 & month==16
replace h_year_ = 88 if rot==3 & month==16
replace h_month_ = 3 if rot==3 & month==17
replace h_year_ = 88 if rot==3 & month==17
replace h_month_ = 4 if rot==3 & month==18
replace h_year_ = 88 if rot==3 & month==18
replace h_month_ = 5 if rot==3 & month==19
replace h_year_ = 88 if rot==3 & month==19
replace h_month_ = 6 if rot==3 & month==20
replace h_year_ = 88 if rot==3 & month==20
replace h_month_ = 7 if rot==3 & month==21
replace h_year_ = 88 if rot==3 & month==21
replace h_month_ = 8 if rot==3 & month==22
replace h_year_ = 88 if rot==3 & month==22
replace h_month_ = 9 if rot==3 & month==23
replace h_year_ = 88 if rot==3 & month==23
replace h_month_ = 10 if rot==3 & month==24
replace h_year_ = 88 if rot==3 & month==24
replace h_month_ = 11 if rot==3 & month==25
replace h_year_ = 88 if rot==3 & month==25
replace h_month_ = 12 if rot==3 & month==26
replace h_year_ = 88 if rot==3 & month==26
replace h_month_ = 1 if rot==3 & month==27
replace h_year_ = 89 if rot==3 & month==27
replace h_month_ = 2 if rot==3 & month==28
replace h_year_ = 89 if rot==3 & month==28
*replace h_month_ = 3 if rot==3 & month==29
*replace h_year_ = 89 if rot==3 & month==29
*replace h_month_ = 4 if rot==3 & month==30
*replace h_year_ = 89 if rot==3 & month==30
*replace h_month_ = 5 if rot==3 & month==31
*replace h_year_ = 89 if rot==3 & month==31
*replace h_month_ = 6 if rot==3 & month==32
*replace h_year_ = 89 if rot==3 & month==32


replace h_month_ = 12 if rot==4 & month==1
replace h_year_ = 86 if rot==4 & month==1
replace h_month_ = 1 if rot==4 & month==2
replace h_year_ = 87 if rot==4 & month==2
replace h_month_ = 2 if rot==4 & month==3
replace h_year_ = 87 if rot==4 & month==3
replace h_month_ = 3 if rot==4 & month==4
replace h_year_ = 87 if rot==4 & month==4
replace h_month_ = 4 if rot==4 & month==5
replace h_year_ = 87 if rot==4 & month==5
replace h_month_ = 5 if rot==4 & month==6
replace h_year_ = 87 if rot==4 & month==6
replace h_month_ = 6 if rot==4 & month==7
replace h_year_ = 87 if rot==4 & month==7
replace h_month_ = 7 if rot==4 & month==8
replace h_year_ = 87 if rot==4 & month==8
replace h_month_ = 8 if rot==4 & month==9
replace h_year_ = 87 if rot==4 & month==9
replace h_month_ = 9 if rot==4 & month==10
replace h_year_ = 87 if rot==4 & month==10
replace h_month_ = 10 if rot==4 & month==11
replace h_year_ = 87 if rot==4 & month==11
replace h_month_ = 11 if rot==4 & month==12
replace h_year_ = 87 if rot==4 & month==12
replace h_month_ = 12 if rot==4 & month==13
replace h_year_ = 87 if rot==4 & month==13
replace h_month_ = 1 if rot==4 & month==14
replace h_year_ = 88 if rot==4 & month==14
replace h_month_ = 2 if rot==4 & month==15
replace h_year_ = 88 if rot==4 & month==15
replace h_month_ = 3 if rot==4 & month==16
replace h_year_ = 88 if rot==4 & month==16
replace h_month_ = 4 if rot==4 & month==17
replace h_year_ = 88 if rot==4 & month==17
replace h_month_ = 5 if rot==4 & month==18
replace h_year_ = 88 if rot==4 & month==18
replace h_month_ = 6 if rot==4 & month==19
replace h_year_ = 88 if rot==4 & month==19
replace h_month_ = 7 if rot==4 & month==20
replace h_year_ = 88 if rot==4 & month==20
replace h_month_ = 8 if rot==4 & month==21
replace h_year_ = 88 if rot==4 & month==21
replace h_month_ = 9 if rot==4 & month==22
replace h_year_ = 88 if rot==4 & month==22
replace h_month_ = 10 if rot==4 & month==23
replace h_year_ = 88 if rot==4 & month==23
replace h_month_ = 11 if rot==4 & month==24
replace h_year_ = 88 if rot==4 & month==24
replace h_month_ = 12 if rot==4 & month==25
replace h_year_ = 88 if rot==4 & month==25
replace h_month_ = 1 if rot==4 & month==26
replace h_year_ = 89 if rot==4 & month==26
replace h_month_ = 2 if rot==4 & month==27
replace h_year_ = 89 if rot==4 & month==27
replace h_month_ = 3 if rot==4 & month==28
replace h_year_ = 89 if rot==4 & month==28
*replace h_month_ = 4 if rot==4 & month==29
*replace h_year_ = 89 if rot==4 & month==29
*replace h_month_ = 5 if rot==4 & month==30
*replace h_year_ = 89 if rot==4 & month==30
*replace h_month_ = 6 if rot==4 & month==31
*replace h_year_ = 89 if rot==4 & month==31
*replace h_month_ = 7 if rot==4 & month==32
*replace h_year_ = 89 if rot==4 & month==32


replace h_month_ = 1 if rot==1 & month==1
replace h_year_ = 87 if rot==1 & month==1
replace h_month_ = 2 if rot==1 & month==2
replace h_year_ = 87 if rot==1 & month==2
replace h_month_ = 3 if rot==1 & month==3
replace h_year_ = 87 if rot==1 & month==3
replace h_month_ = 4 if rot==1 & month==4
replace h_year_ = 87 if rot==1 & month==4
replace h_month_ = 5 if rot==1 & month==5
replace h_year_ = 87 if rot==1 & month==5
replace h_month_ = 6 if rot==1 & month==6
replace h_year_ = 87 if rot==1 & month==6
replace h_month_ = 7 if rot==1 & month==7
replace h_year_ = 87 if rot==1 & month==7
replace h_month_ = 8 if rot==1 & month==8
replace h_year_ = 87 if rot==1 & month==8
replace h_month_ = 9 if rot==1 & month==9
replace h_year_ = 87 if rot==1 & month==9
replace h_month_ = 10 if rot==1 & month==10
replace h_year_ = 87 if rot==1 & month==10
replace h_month_ = 11 if rot==1 & month==11
replace h_year_ = 87 if rot==1 & month==11
replace h_month_ = 12 if rot==1 & month==12
replace h_year_ = 87 if rot==1 & month==12
replace h_month_ = 1 if rot==1 & month==13
replace h_year_ = 88 if rot==1 & month==13
replace h_month_ = 2 if rot==1 & month==14
replace h_year_ = 88 if rot==1 & month==14
replace h_month_ = 3 if rot==1 & month==15
replace h_year_ = 88 if rot==1 & month==15
replace h_month_ = 4 if rot==1 & month==16
replace h_year_ = 88 if rot==1 & month==16
replace h_month_ = 5 if rot==1 & month==17
replace h_year_ = 88 if rot==1 & month==17
replace h_month_ = 6 if rot==1 & month==18
replace h_year_ = 88 if rot==1 & month==18
replace h_month_ = 7 if rot==1 & month==19
replace h_year_ = 88 if rot==1 & month==19
replace h_month_ = 8 if rot==1 & month==20
replace h_year_ = 88 if rot==1 & month==20
replace h_month_ = 9 if rot==1 & month==21
replace h_year_ = 88 if rot==1 & month==21
replace h_month_ = 10 if rot==1 & month==22
replace h_year_ = 88 if rot==1 & month==22
replace h_month_ = 11 if rot==1 & month==23
replace h_year_ = 88 if rot==1 & month==23
replace h_month_ = 12 if rot==1 & month==24
replace h_year_ = 88 if rot==1 & month==24
replace h_month_ = 1 if rot==1 & month==25
replace h_year_ = 89 if rot==1 & month==25
replace h_month_ = 2 if rot==1 & month==26
replace h_year_ = 89 if rot==1 & month==26
replace h_month_ = 3 if rot==1 & month==27
replace h_year_ = 89 if rot==1 & month==27
replace h_month_ = 4 if rot==1 & month==28
replace h_year_ = 89 if rot==1 & month==28
*replace h_month_ = 5 if rot==1 & month==29
*replace h_year_ = 89 if rot==1 & month==29
*replace h_month_ = 6 if rot==1 & month==30
*replace h_year_ = 89 if rot==1 & month==30
*replace h_month_ = 7 if rot==1 & month==31
*replace h_year_ = 89 if rot==1 & month==31
*replace h_month_ = 8 if rot==1 & month==32
*replace h_year_ = 89 if rot==1 & month==32

drop month id rot

sort su_id pp_entry pp_pnum h_year_ h_month_

save 87fp_edit, replace
clear


/***********************************************************
Core data files
**********************************************************/

*create id variables and sort data
use sipp87w1, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5


sort id pp_wave


save 87_1, replace
clear



use sipp87rt2, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename tm8224 tempsiz1
rename tm8228 tempall1

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
tm8218 tm8220 tm8274 tm8276 tm8278
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05 tempsiz1 tempall1
se1cal* se2cal* u_comp*
sc1346 sc1348)
;
#delimit cr


drop fnlwgt_5 rrp_5

replace tm8218=0 if tm8218==.
replace tm8220=0 if tm8220==.
replace tm8274=0 if tm8274==.
replace tm8276=0 if tm8276==.
replace tm8278=0 if tm8278==.

*generate amount of tenure months
gen aux = h_month_4-tm8218 if tm8218>0
replace aux =1 if aux==-11
replace aux =2 if aux==-10
replace aux =3 if aux==-9
replace aux =4 if aux==-8
replace aux =5 if aux==-7
replace aux =6 if aux==-6
replace aux =7 if aux==-5
replace aux =8 if aux==-4
replace aux =9 if aux==-3
replace aux =10 if aux==-2
replace aux =11 if aux==-1
replace tm8218=aux if aux>0 & aux!=.
drop aux

*tenure cannot be larger than experience
gen exp_aux = tm8274
replace exp_aux = h_year_4+1900 if exp_aux<=0
gen aux = max(tm8220,exp_aux) if tm8220>0
replace aux = 0 if aux==.
replace tm8220 = aux
drop aux exp_aux

sort id pp_wave
save 87_2, replace
clear



use sipp87rt3, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save 87_3, replace
clear




use sipp87rt4, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

rename tm8008 hhbusval1
rename tm8012 hhbusdbt1
rename tm8024 hhbusval2
rename tm8028 hhbusdbt2

gen leqasset = hh_stk + hh_intot + hh_intbk

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt1 leqasset)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save 87_4, replace
clear




use sipp87rt5, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save 87_5, replace
clear





use sipp87rt6, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save 87_6, replace
clear



use sipp87rt7, clear

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f

egen id = group(su_id pp_entry pp_pnum)

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

#delimit ;
keep (id suseqnum su_id su_rot h_month_* h_year_* h_refper_* h_np_* h_wgt_* h_metro_* h_povd_* fnlwgt_* h_tenur_* f_oklt18_*
h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* h_afdc_* h_fdstp_*
pptotin* pp_earn* pp_prop*  pp_tran* ppother* pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave fnlwgt_* rrp_* sc1714 sc1238 sc1231 sc1360 sc1386
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se12218 se22218 se12256 se22256 se1imp04 se2imp04 se12220 se22220 se1imp05 se2imp05
se1cal* se2cal*
sc1346 sc1348 u_comp*)
;
#delimit cr

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

drop fnlwgt_5 rrp_5

sort id pp_wave
save 87_7, replace
clear


/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "87_1.dta", clear
merge id pp_wave using "87_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "87_3.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "87_4.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "87_5.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "87_6.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "87_7.dta"
tab _merge
drop _merge

*reorder imputation
rename ws1cal01 ws1calc4
rename ws1cal02 ws1calc3
rename ws1cal03 ws1calc2
rename ws1cal04 ws1calc1
rename ws2cal01 ws2calc4
rename ws2cal02 ws2calc3
rename ws2cal03 ws2calc2
rename ws2cal04 ws2calc1

rename se1cal01 se1cal4
rename se1cal02 se1cal3
rename se1cal03 se1cal2
rename se1cal04 se1cal1
rename se2cal01 se2cal4
rename se2cal02 se2cal3
rename se2cal03 se2cal2
rename se2cal04 se2cal1

drop id
egen id = group(su_id pp_entry pp_pnum pp_wave)
sort id 


reshape long h_month_ h_year_ h_refper_ h_np_ h_wgt_ h_metro_ h_povd_ h_totinc_ h_earn_ h_prop_ h_tran_ h_other_ h_noncsh_ h_socsec_ h_ssi_ h_unemp_ h_vets_ h_afdc_ h_fdstp_ fnlwgt_ rrp_ pptotin pp_earn pp_prop pp_tran ppother i05amt i06amt i07amt i31amt i34amt i35amt ws1calc ws2calc h_tenur_ f_oklt18_ se1cal se2cal u_comp caidcov, i(id) j(n_obs)

rename tm8218 month_tenure
rename tm8220 year_tenure
rename tm8274 first_exp
rename tm8276 all_work
rename tm8278 years_exp

rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

drop id
egen id = group(su_id pp_entry pp_pnum)

*clean experience
replace years_exp=-5 if all_work==1
drop all_work
sort id
by id: egen index = max(first_exp)
replace first_exp = index
*replace first_exp = first_exp-1900 if first_exp>=1900
drop index
gen index = years_exp==-5
by id: egen index2 = sum(index)
replace years_exp=-5 if index2>0
drop index
gen index = years_exp>0
by id: egen index3 = sum(index)
by id: egen index4 = max(years_exp)
replace years_exp=index4 if index3>0 & index2==0
drop index index2 index3 index4


*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month_
replace tejdate1 = 0 if ws1_2020 != h_month_
replace tsjdate2 = 0 if ws2_2016 != h_month_
replace tejdate2 = 0 if ws2_2020 != h_month_

drop id n_obs
sort su_id pp_entry pp_pnum h_year_ h_month_
merge su_id pp_entry pp_pnum h_year_ h_month_ using "87fp_edit.dta"
tab _merge
drop if _merge == 1
drop if _merge == 2
drop _merge
drop if pp_mis !=1
drop pp_mis


egen id = group(su_id pp_entry pp_pnum)


*clean tenure
gen emp = esr>0 & esr<=4 & (jobid1>0| jobid2>0)
replace year_tenure = year_tenure-1900 if year_tenure>1900
replace year_tenure = h_year-year_tenure if year_tenure>0
*replace year_tenure=1 if year_tenure<=0 & month_tenure>=6
*replace year_tenure = -99 if jobid1==0
replace month_tenure= year_tenure*12+month_tenure if year_tenure>=0 & month_tenure>=0
replace month_tenure = -99 if emp==0 | jobid1==0

replace h_year = h_year+1900
gen disab2  = sc1386==1
drop sc1386 

rename h_month_ h_month
rename h_year_ h_year
rename h_refper_ h_refper
rename h_np_ h_np
rename h_wgt_ h_wgt
rename h_metro_ h_metro
rename h_povd_ h_povd
rename h_totinc_ h_totinc
rename h_earn_ h_earn
rename h_prop_ h_prop
rename h_tran_ h_tran
rename h_other_ h_other
rename h_noncsh_ h_noncsh
rename h_socsec_ h_socsec
rename h_ssi_ h_ssi
rename h_unemp_ h_unemp
rename h_vets_ h_vets
rename h_afdc_ h_afdc
rename h_fdstp_ h_fdstp
rename fnlwgt_ fnlwgt
rename rrp_ rrp
rename age_ age
rename ms_ ms
rename esr_ esr
rename ppother pp_other
rename pptotin pp_totin
rename h_tenur_ h_tenur
rename f_oklt18_ f_oklt18
rename hh_add h_add
rename sc1346 socsr1
rename sc1348 socsr2
rename sc1360 retird

*define disability insurance
gen index = socsr1==2 | socsr2==2
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 socsr2 index


****************generate experience****************************
*generate experience accumulated in panel: One additional year if worked at least 6 months
sort id h_year h_month
egen id_year = group(id h_year)
sort id_year
by id_year: gen obs_month = _N
by id_year: egen extra_exp_aux = sum(emp)
replace extra_exp_aux = extra_exp_aux/obs_month
replace extra_exp_aux=1 if extra_exp_aux>=0.5
replace extra_exp_aux=0 if extra_exp_aux<0.5
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux=0 if index!=.
sort id h_year h_month
sort id
by id: gen index2 = extra_exp_aux[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp = sum(index2)
drop id_year obs_month index index2
*generate potential experience based on first calendeer year
gen pot_exp_aux = 0
sort id h_year h_month
by id: gen count=_n
by id: replace pot_exp_aux = h_year-first_exp if first_exp>0 & count==1
replace pot_exp_aux = 0 if pot_exp_aux<0
by id: egen pot_exp = max(pot_exp_aux)
drop pot_exp_aux count extra_exp_aux emp
*generate actual experience 
gen exper = 0
gen index3 = pot_exp==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp==-5 & exper==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp>0 & exper==0
replace exper = years_exp+extra_exp if index3==1
drop index index3 extra_exp pot_exp
drop first_exp years_exp

****************generate tenure****************************
*find the main job to which tenure belongs
sort id pp_wave h_month
egen wave_month = group(id pp_wave)
sort wave_month
by wave_month: gen index = _n
drop wave_month
gen ref_m = 0
replace ref_m = 1 if pp_wave==2 & index==4
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==4
sort id
by id: egen ten_job = max(aux)
drop aux
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==3
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==2
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==1
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index index2 index3 ten_job2
gen index_job = jobid1==ten_job
replace index_job=0 if jobid1<=0
*generate tenure for all jobs of jobid1
sort id h_year h_month
egen id_job = group(id jobid1)
sort id_job h_year h_month
by id_job: gen tenure1 = _n
egen time = group(h_year h_month)
gen index2 = time if ref_m==1 
replace index2=0 if index2==.
by id_job: egen index3 = max(index2)
by id_job: egen index4 = max(month_tenure)
replace index4=0 if index_job==0
gen tenure_main = index4+time-index3
replace tenure1 = tenure_main if index_job==1 & tenure_main>tenure1
drop ten_job ref_m index_job id_job tenure_main time index2 index3 index4
replace tenure1 = 0 if jobid1<=0
*generate tenure for all jobs of jobid2
egen id_job = group(id jobid2)
sort id_job h_year h_month
by id_job: gen tenure2 = _n
drop id_job
replace tenure2 = 0 if jobid2<=0
drop year_tenure month_tenure



*make unpaid workers private
replace ws1_cl=1 if ws1_cl==6
replace ws2_cl=1 if ws2_cl==6

replace ws1_hr = 40 if jobid2==0 & jobid1>0 & ws1_hr<=0 & sc1231==1
replace ws2_hr = 40 if jobid1==0 & jobid2>0 & ws2_hr<=0 & sc1231==1
drop sc1231

gen gov_pension = i31amt+i34amt+i35amt

gen panel = 87

sort su_id pp_entry pp_pnum h_year h_month panel

save "87_panel.dta", replace
clear

