*directory
*set mem 1000m
*set mem 700m
local PATH "F:\Data\SIPP\Extracts"
*local PATH "D:\SIPP\Extracts"
cd "`PATH'"

/***********************************************************
No full panel data file available
*Not available: pnlwgt fnlwgt88 fnlwgt89 
*disability sc1336 (kind of)

**********************************************************/



/***********************************************************
Core data files
**********************************************************/


use sipp89w1, clear



*suseqnum seqnum
rename seqnum suseqnum

rename sc1656 att_sch
rename ws1_occ ws1_oc
rename ws2_occ ws2_oc
rename ws1_2002 jobid1
rename ws2_2102 jobid2
rename ws1_2025 ws1_hr
rename ws2_2125 ws2_hr
rename ws1_2028 ws1_ra
rename ws2_2128 ws2_ra
rename ws1_2012 ws1_cl
rename ws2_2112 ws2_cl
rename higrade grade
*gen disab = 0
*replace disab = 1 if sc1336>0

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen disab = 0
*replace disab = 1 if sc1460==1
replace disab = 1 if sc1386==1
gen disab2 = disab
replace disab = 1 if sc1326==1

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

rename ws1_wks`j' ws1_wk`j'
rename ws2_wks`j' ws2_wk`j'


*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}


forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =0 if ws1_cl==9
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =0 if ws2_cl==9
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*make imputation 0 1
replace ws1cal01 = 0 if ws1cal01==2 
replace ws1cal02 = 0 if ws1cal02==2
replace ws1cal03 = 0 if ws1cal03==2
replace ws1cal04 = 0 if ws1cal04==2
replace ws2cal01 = 0 if ws2cal01==2 
replace ws2cal02 = 0 if ws2cal02==2
replace ws2cal03 = 0 if ws2cal03==2
replace ws2cal04 = 0 if ws2cal04==2

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se1_2212 se1_hr 
rename se2_2312 se2_hr 
rename se1_indr se1_ind 
rename se2_indr se2_ind 

rename se2_2318 se2_2218
rename se2_2356 se2_2256
rename se2_2320 se2_2220

#delimit ;
keep (id suseqnum su_id su_rot sex race ethnicty state disab disab2 school h_month_* h_year_* age_* h_addid_* h_refper_* h_np_* h_wgt_* h_tenur_* f_oklt18_*
h_metro_* h_povd_* fnlwgt* h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* esr_*
h_afdc_* h_fdstp_* pptotin* pp_earn* pp_prop* pp_tran* ppother* pp_mis* ms_* grade grd_cmp rrp_* wksper* ws1_wk* ws2_wk*
jobid1 jobid2 ws1_oc ws2_oc ws1_ind ws2_ind ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt* ws2_amt* ws1_wk* ws2_wk*
pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave sc1714 sc1238 sc1231 sc1360
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se1_amt* se2_amt* se1_wks* se2_wks* se1_hr se2_hr se1_ind se2_ind se1_occ se2_occ
se1_2218 se2_2218 se1_2256 se2_2256 se1imp04 se2imp04 se1_2220 se2_2220 se1imp05 se2imp05
se1cal* se2cal* u_comp*
sc1346)
;
#delimit cr


drop fnlwgt5 rrp_5 pp_mis5 age_5 ms_5


sort id pp_wave


save 89_1, replace
clear




use sipp89w2, clear

*suseqnum seqnum
rename seqnum suseqnum

rename sc1656 att_sch
rename ws1_occ ws1_oc
rename ws2_occ ws2_oc
rename ws1_2002 jobid1
rename ws2_2102 jobid2
rename ws1_2025 ws1_hr
rename ws2_2125 ws2_hr
rename ws1_2028 ws1_ra
rename ws2_2128 ws2_ra
rename ws1_2012 ws1_cl
rename ws2_2112 ws2_cl
rename higrade grade
*gen disab = 0
*replace disab = 1 if sc1336>0

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen disab = 0
*replace disab = 1 if sc1460==1
replace disab = 1 if sc1386==1
gen disab2 = disab
replace disab = 1 if sc1326==1

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

rename ws1_wks`j' ws1_wk`j'
rename ws2_wks`j' ws2_wk`j'


*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =0 if ws1_cl==9
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =0 if ws2_cl==9
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*make imputation 0 1
replace ws1cal01 = 0 if ws1cal01==2 
replace ws1cal02 = 0 if ws1cal02==2
replace ws1cal03 = 0 if ws1cal03==2
replace ws1cal04 = 0 if ws1cal04==2
replace ws2cal01 = 0 if ws2cal01==2 
replace ws2cal02 = 0 if ws2cal02==2
replace ws2cal03 = 0 if ws2cal03==2
replace ws2cal04 = 0 if ws2cal04==2

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se1_2212 se1_hr 
rename se2_2312 se2_hr 
rename se1_indr se1_ind 
rename se2_indr se2_ind 

rename se2_2318 se2_2218
rename se2_2356 se2_2256
rename se2_2320 se2_2220

#delimit ;
keep (id suseqnum su_id su_rot sex race ethnicty state disab disab2 school h_month_* h_year_* age_* h_addid_* h_refper_* h_np_* h_wgt_* h_tenur_* f_oklt18_*
h_metro_* h_povd_* fnlwgt* h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* esr_*
h_afdc_* h_fdstp_* pptotin* pp_earn* pp_prop* pp_tran* ppother* pp_mis* ms_* grade grd_cmp rrp_* wksper* ws1_wk* ws2_wk*
jobid1 jobid2 ws1_oc ws2_oc ws1_ind ws2_ind ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt* ws2_amt* ws1_wk* ws2_wk*
pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave sc1714 sc1238 sc1231 sc1360
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se1_amt* se2_amt* se1_wks* se2_wks* se1_hr se2_hr se1_ind se2_ind se1_occ se2_occ
se1_2218 se2_2218 se1_2256 se2_2256 se1imp04 se2imp04 se1_2220 se2_2220 se1imp05 se2imp05
se1cal* se2cal* u_comp*
sc1346)
;
#delimit cr


drop fnlwgt5 rrp_5 pp_mis5 age_5 ms_5


sort id pp_wave


save 89_2, replace
clear





use sipp89rt3, clear

*suseqnum seqnum
rename seqnum suseqnum

rename sc1656 att_sch
rename ws1_occ ws1_oc
rename ws2_occ ws2_oc
rename ws1_2002 jobid1
rename ws2_2102 jobid2
rename ws1_2025 ws1_hr
rename ws2_2125 ws2_hr
rename ws1_2028 ws1_ra
rename ws2_2128 ws2_ra
rename ws1_2012 ws1_cl
rename ws2_2112 ws2_cl
rename higrade grade
*gen disab = 0
*replace disab = 1 if sc1336>0

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen disab = 0
*replace disab = 1 if sc1460==1
replace disab = 1 if sc1386==1
gen disab2 = disab
replace disab = 1 if sc1326==1

forval j=1/4 {
rename h`j'_addid h_addid_`j' 
rename h`j'_month h_month_`j'   
rename h`j'_year h_year_`j'
rename h`j'refper h_refper_`j'
rename h`j'_np h_np_`j'
rename h`j'_wgt h_wgt_`j'
rename h`j'_metro h_metro_`j'
rename h`j'_povd h_povd_`j'
rename h`j'_tenur h_tenur_`j'
rename f`j'oklt18 f_oklt18_`j'

rename h`j'totinc h_totinc_`j'
rename h`j'_earn h_earn_`j' 
rename h`j'_prop h_prop_`j'
rename h`j'_tran h_tran_`j'
rename h`j'_other h_other_`j'
rename h`j'noncsh h_noncsh_`j'
rename h`j'socsec h_socsec_`j'
rename h`j'_ssi h_ssi_`j' 
rename h`j'_unemp h_unemp_`j'
rename h`j'_vets h_vets_`j'
rename h`j'_afdc h_afdc_`j'
rename h`j'_fdstp h_fdstp_`j'

rename ws1_wks`j' ws1_wk`j'
rename ws2_wks`j' ws2_wk`j'


*rename h`j'_4804 h_4804_`j'
*rename h`j'_4814 h_4814_`j'
*rename h`j'_4824 h_4824_`j'
}

forval j=1/4 {
replace i05amt`j' =0 if i05amt`j' <0 
replace i06amt`j' =0 if i06amt`j' <0 
replace i07amt`j' =0 if i07amt`j' <0 
}
forval j=1/4 {
gen u_comp`j'= i05amt`j'+i06amt`j'+i07amt`j'
}

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =0 if ws1_cl==9
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =0 if ws2_cl==9
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*make imputation 0 1
replace ws1cal01 = 0 if ws1cal01==2 
replace ws1cal02 = 0 if ws1cal02==2
replace ws1cal03 = 0 if ws1cal03==2
replace ws1cal04 = 0 if ws1cal04==2
replace ws2cal01 = 0 if ws2cal01==2 
replace ws2cal02 = 0 if ws2cal02==2
replace ws2cal03 = 0 if ws2cal03==2
replace ws2cal04 = 0 if ws2cal04==2

rename ws2_2116 ws2_2016
rename ws2_2118 ws2_2018 
rename ws2_2120 ws2_2020
rename ws2_2122 ws2_2022 
rename ws2_2126 ws2_2026

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se1_2212 se1_hr 
rename se2_2312 se2_hr 
rename se1_indr se1_ind 
rename se2_indr se2_ind 

rename se2_2318 se2_2218
rename se2_2356 se2_2256
rename se2_2320 se2_2220

#delimit ;
keep (id suseqnum su_id su_rot sex race ethnicty state disab disab2 school h_month_* h_year_* age_* h_addid_* h_refper_* h_np_* h_wgt_* h_tenur_* f_oklt18_*
h_metro_* h_povd_* fnlwgt* h_totinc_* h_earn_* h_prop_* h_tran_* h_other_* h_noncsh_* h_socsec_* h_ssi_* h_unemp_* h_vets_* esr_*
h_afdc_* h_fdstp_* pptotin* pp_earn* pp_prop* pp_tran* ppother* pp_mis* ms_* grade grd_cmp rrp_* wksper* ws1_wk* ws2_wk*
jobid1 jobid2 ws1_oc ws2_oc ws1_ind ws2_ind ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt* ws2_amt* ws1_wk* ws2_wk*
pp_wave pp_entry pp_pnum vetstat in_af caidcov*
su_totse pp_wave sc1714 sc1238 sc1231 sc1360
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05 
ws1cal01 ws1cal02 ws1cal03 ws1cal04
ws2cal01 ws2cal02 ws2cal03 ws2cal04
i05amt* i06amt* i07amt* i31amt* i34amt* i35amt*
se1_amt* se2_amt* se1_wks* se2_wks* se1_hr se2_hr se1_ind se2_ind se1_occ se2_occ
se1_2218 se2_2218 se1_2256 se2_2256 se1imp04 se2imp04 se1_2220 se2_2220 se1imp05 se2imp05
se1cal* se2cal* u_comp*
sc1346)
;
#delimit cr


drop fnlwgt5 rrp_5 pp_mis5 age_5 ms_5


sort id pp_wave


save 89_3, replace
clear

/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "89_1.dta", clear
merge id pp_wave using "89_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "89_3.dta"
tab _merge
drop _merge

cap rename state_ state
cap rename ws1_ind ws1_in
cap rename ws2_ind ws2_in
cap rename ws1_amt ws1_am
cap rename ws2_amt ws2_am
cap rename grd_cmpl grd_comp

*reorder imputation
rename ws1cal01 ws1calc4
rename ws1cal02 ws1calc3
rename ws1cal03 ws1calc2
rename ws1cal04 ws1calc1
rename ws2cal01 ws2calc4
rename ws2cal02 ws2calc3
rename ws2cal03 ws2calc2
rename ws2cal04 ws2calc1

rename se1cal01 se1cal4
rename se1cal02 se1cal3
rename se1cal03 se1cal2
rename se1cal04 se1cal1
rename se2cal01 se2cal4
rename se2cal02 se2cal3
rename se2cal03 se2cal2
rename se2cal04 se2cal1

drop id
egen id = group(su_id pp_entry pp_pnum pp_wave)
sort id 


reshape long h_addid_ h_month_ h_year_ h_refper_ h_np_ h_wgt_ h_metro_ h_povd_ h_totinc_ h_earn_ h_prop_ h_tran_ h_other_ h_noncsh_ h_socsec_ h_ssi_ h_unemp_ h_vets_ h_afdc_ h_fdstp_ pp_mis fnlwgt rrp_ age_ ms_ pptotin pp_earn pp_prop pp_tran ppother esr_ wksper ws1_wk ws1_amt ws2_wk ws2_amt i05amt i06amt i07amt i31amt i34amt i35amt ws1calc ws2calc h_tenur_ f_oklt18_ se1_amt se2_amt se1_wks se2_wks se1cal se2cal u_comp, i(id) j(n_obs)

cap rename fnlwgt fnlwgt_

rename se1imp04 ise12218
rename se2imp04 ise22218
rename se1imp05 ise12220
rename se2imp05 ise22220

*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month_
replace tejdate1 = 0 if ws1_2020 != h_month_
replace tsjdate2 = 0 if ws2_2016 != h_month_
replace tejdate2 = 0 if ws2_2020 != h_month_

drop id n_obs

drop if pp_mis !=1
drop pp_mis
gen panel = 89
egen id = group(su_id pp_entry pp_pnum)

replace h_year = h_year+1900

rename h_addid_ h_add
rename h_month_ h_month
rename h_year_ h_year
rename h_refper_ h_refper
rename h_np_ h_np
rename h_wgt_ h_wgt
rename h_metro_ h_metro
rename h_povd_ h_povd
rename h_totinc_ h_totinc
rename h_earn_ h_earn
rename h_prop_ h_prop
rename h_tran_ h_tran
rename h_other_ h_other
rename h_noncsh_ h_noncsh
rename h_socsec_ h_socsec
rename h_ssi_ h_ssi
rename h_unemp_ h_unemp
rename h_vets_ h_vets
rename h_afdc_ h_afdc
rename h_fdstp_ h_fdstp
rename fnlwgt_ fnlwgt
rename rrp_ rrp
rename age_ age
rename ms_ ms
rename esr_ esr
rename ppother pp_other
rename pptotin pp_totin
rename ws1_amt ws1_am
rename ws2_amt ws2_am
rename h_tenur_ h_tenur
rename f_oklt18_ f_oklt18
rename sc1346 socsr1
rename sc1360 retird

*define disability insurance
gen index = socsr1==2 
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 index


gen exper=.
gen tenure1 =.
gen tenure2 =.

label variable ws1_cl   "Worker class"
label define ws1_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws1_cl ws1_class	
label variable ws2_cl   "Worker class"
label define ws2_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws2_cl ws2_class	

replace ws1_hr = 40 if jobid2==0 & jobid1>0 & ws1_hr<=0 & sc1231==1
replace ws2_hr = 40 if jobid1==0 & jobid2>0 & ws2_hr<=0 & sc1231==1
drop sc1231

gen gov_pension = i31amt+i34amt+i35amt

sort su_id pp_entry pp_pnum h_year h_month panel

save "89_panel.dta", replace
clear
