*directory
*set mem 1000m
set mem 700m
local PATH "F:\Data\SIPP\Extracts"
*local PATH "C:\Users\Ariel\Desktop\SIPP\Extracts"

cd "`PATH'"

/***********************************************************
Full panel data file
**********************************************************/

use pp_id pp_entry pp_pnum id rot occ1* occ2* ind1* ind2* age* esr* clswk1* clswk2* wksper* jobid1* jobid2* sex race ethnicty disab att_sch* higrad* grd_cmp* geo_st* ms* pp_mis* hh_add* pnlwgt fnlwgt90 fnlwgt91 disab using sipp90lfp1, clear

rename pp_id suid
rename pp_entry entry
rename pp_pnum pnum

destring entry, replace
destring pnum, replace

renpfix age_ age
renpfix age0 age
renpfix ms_ ms
renpfix ms0 ms
renpfix esr_ esr
renpfix esr0 esr
renpfix clswk10 clswk1
renpfix clswk20 clswk2
renpfix occ1_ occ1
renpfix occ10 occ1
renpfix occ2_ occ2
renpfix occ20 occ2
renpfix ind1_ ind1
renpfix ind10 ind1
renpfix ind2_ ind2
renpfix ind20 ind2
renpfix hh_add0 hh_add
renpfix pp_mis0 pp_mis
renpfix wksper0 wksper
renpfix jobid10 jobid1
renpfix jobid20 jobid2



*make quarterly variables monthly
forval j=1/4 {
gen grade`j' = higrade1
gen grdcmpl`j' = grd_cmp1
gen enrold`j' = att_sch1
gen hstate`j' = geo_ste1
}
forval j=5/8 {
gen grade`j' = higrade2
gen grdcmpl`j' = grd_cmp2
gen enrold`j' = att_sch2
gen hstate`j' = geo_ste2
}
forval j=9/12 {
gen grade`j' = higrade3
gen grdcmpl`j' = grd_cmp3
gen enrold`j' = att_sch3
gen hstate`j' = geo_ste3
}
forval j=13/16 {
gen grade`j' = higrade4
gen grdcmpl`j' = grd_cmp4
gen enrold`j' = att_sch4
gen hstate`j' = geo_ste4
}
forval j=17/20 {
gen grade`j' = higrade5
gen grdcmpl`j' = grd_cmp5
gen enrold`j' = att_sch5
gen hstate`j' = geo_ste5
}
forval j=21/24 {
gen grade`j' = higrade6
gen grdcmpl`j' = grd_cmp6
gen enrold`j' = att_sch6
gen hstate`j' = geo_ste6
}
forval j=25/28 {
gen grade`j' = higrade7
gen grdcmpl`j' = grd_cmp7
gen enrold`j' = att_sch7
gen hstate`j' = geo_ste7
}
forval j=29/32 {
gen grade`j' = higrade8
gen grdcmpl`j' = grd_cmp8
gen enrold`j' = att_sch8
gen hstate`j' = geo_ste8
}
drop higrade* grd_cmp* att_sch* geo_ste*


reshape long occ1 occ2 ind1 ind2 age esr clswk1 clswk2 wksper jobid1 jobid2 grade grdcmpl enrold hstate ms pp_mis hh_add, i(id) j(mnth)
rename hh_add h_addid
rename grade higrade
rename grdcmpl grd_cmp
rename hstate state

*join part time and full time school
gen school =0 if enrold==0
replace school =1 if enrold==1
replace school =1 if enrold==2
replace school =2 if enrold==3
drop enrold

*join private profit and non-profit
rename clswk1 ws1_cl
rename clswk2 ws2_cl
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

rename ind1 ws1_in
rename ind2 ws2_in
rename occ1 ws1_oc
rename occ2 ws2_oc

do "F:\Data\SIPP\Do Files\monthwave90.do"
rename month h_month
sort id wave h_month
save "F:\Data\SIPP\Temp\testm1", replace



use id rot wksem1* wksem2* ernam1* ernam2* wshrs1* wshrs2* hrrat1* hrrat2* busid1* busid2* se_oc1* se_oc2* seind1* seind2* se_wb1* se_wb2* se_am1* se_am2* se_hr1* se_hr2* using sipp90lfp2, clear

renpfix wksem10 wksem1
renpfix wksem20 wksem2
renpfix ernam10 ernam1
renpfix ernam20 ernam2
renpfix wshrs10 wshrs1
renpfix wshrs20 wshrs2
renpfix hrrat10 hrrat1
renpfix hrrat20 hrrat2

renpfix se_am1 se1_am
renpfix se_am2 se2_am
renpfix se1_am0 se1_am
renpfix se2_am0 se2_am
renpfix se_wb1 se1_wk
renpfix se_wb2 se2_wk
renpfix se1_wk0 se1_wk
renpfix se2_wk0 se2_wk
renpfix seind1 se1_ind
renpfix se1_ind0 se1_ind
renpfix seind2 se2_ind
renpfix se2_ind0 se2_ind
renpfix se_oc1 se1_occ
renpfix se1_occ0 se1_occ
renpfix se_oc2 se2_occ
renpfix se2_occ0 se2_occ
renpfix se_hr1 se1_hr
renpfix se1_hr0 se1_hr
renpfix se_hr2 se2_hr
renpfix se2_hr0 se2_hr
renpfix busid1 se1_id
renpfix se1_id0 se1_id
renpfix busid2 se2_id
renpfix se2_id0 se2_id

reshape long wksem1 wksem2 ernam1 ernam2 wshrs1 wshrs2 hrrat1 hrrat2 se1_am se2_am se1_wk se2_wk se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se1_id se2_id, i(id) j(mnth)
rename wksem1 ws1_wk
rename wksem2 ws2_wk
rename ernam1 ws1_amt
rename ernam2 ws2_amt
rename hrrat1 ws1_ra
rename hrrat2 ws2_ra
rename wshrs1 ws1_hr
rename wshrs2 ws2_hr

        
do "F:\Data\SIPP\Do Files\monthwave90.do"  
rename month h_month    
sort id wave h_month
merge id wave h_month using "F:\Data\SIPP\Temp\testm1"
tab _merge
drop _merge
rename entry pp_entry
rename pnum pp_pnum
rename suid su_id
rename wave pp_wave
destring su_id, replace
format su_id %11.0f
tostring pp_entry, replace
tostring pp_pnum, replace
sort su_id pp_entry pp_pnum pp_wave h_month
save 90fp_edit, replace




/***********************************************************
Core data files (are now long, not wide)
**********************************************************/

use sipp90w1, clear

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05


*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_1, replace
clear



use sipp90t2
rename id suid
sort suid entry pnum
keep suid entry pnum tm8218 tm8220 tm8274 tm8276 tm8278 tm8224 tm8228
save "sipp90t2_edit.dta", replace

use sipp90w2, clear
sort suid entry pnum
merge suid entry pnum using "F:\Data\SIPP\Extracts\sipp90t2_edit.dta"

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

rename tm8224 tempsiz1
rename tm8228 tempall1

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp
tm8218 tm8220 tm8274 tm8276 tm8278 tempsiz1 tempall1)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

replace tm8218=0 if tm8218==.
replace tm8220=0 if tm8220==.
replace tm8274=0 if tm8274==.
replace tm8276=0 if tm8276==.
replace tm8278=0 if tm8278==.

*generate amount of tenure months
gen aux = h_month-tm8218 if tm8218>0
replace aux =1 if aux==-11
replace aux =2 if aux==-10
replace aux =3 if aux==-9
replace aux =4 if aux==-8
replace aux =5 if aux==-7
replace aux =6 if aux==-6
replace aux =7 if aux==-5
replace aux =8 if aux==-4
replace aux =9 if aux==-3
replace aux =10 if aux==-2
replace aux =11 if aux==-1
replace tm8218=aux if aux>0 & aux!=.
drop aux

*tenure cannot be larger than experience
gen exp_aux = tm8274
replace exp_aux = h_year+1900 if exp_aux<=0
gen aux = max(tm8220,exp_aux) if tm8220>0
replace aux = 0 if aux==.
replace tm8220 = aux
drop aux exp_aux

sort id pp_wave


save 90_2, replace
clear



use sipp90w3, clear

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220

rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
socsr1 socsr2 u_comp
se1cal se2cal*)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_3, replace
clear



*read in asset data
use sipp90t4, clear
rename id suid

rename hh_twlth hhtwlth              
rename hh_scdbt hhscdbt                          
rename hh_usdbt hhusdbt                     
rename hh_debt hhdebt
rename hh_tnw hhtnw 
rename tm8008 hhbusval1
rename tm8012 hhbusdbt1
rename tm8024 hhbusval2
rename tm8028 hhbusdbt2

gen leqasset = hh_stk + hh_intot + hh_intbk

#delimit ;
keep (suid entry pnum addid hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr
sort suid entry pnum

save "F:\Data\SIPP\Extracts\90_t4", replace

use sipp90w4, clear
sort suid entry pnum
merge suid entry pnum using "F:\Data\SIPP\Extracts\90_t4.dta"
drop if _merge==2
drop _merge

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220


#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_4, replace
clear





use sipp90w5, clear

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_5, replace
clear





use sipp90w6, clear

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_6, replace
clear





use sipp90w7, clear

rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp


rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_7, replace
clear



use sipp90w8, clear


rename suid su_id
rename entry pp_entry
rename pnum pp_pnum
rename rot su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = s05amt+s06amt+s07amt

rename enrold att_sch
rename ws12002 jobid1
rename ws22102 jobid2
rename ws1occ ws1_oc
rename ws2occ ws2_oc
rename ws1ind ws1_in
rename ws2ind ws2_in
rename ws1amt ws1_amt
rename ws2amt ws2_amt
rename ws12025 ws1_hr
rename ws22125 ws2_hr
rename ws12028 ws1_ra
rename ws22128 ws2_ra
rename ws12012 ws1_cl
rename ws22112 ws2_cl
rename ws1wks ws1_wk
rename ws2wks ws2_wk
rename ws12016 ws1_2016 
rename ws22116 ws2_2016 
rename ws12018 ws1_2018 
rename ws22118 ws2_2018 
rename ws12020 ws1_2020 
rename ws22120 ws2_2020 
rename ws12022 ws1_2022 
rename ws22122 ws2_2022 
rename ws12026 ws1_2026
rename ws22126 ws2_2026

rename weeks wksper


rename addid h_addid
rename month h_month
rename year h_year
rename hstate state
rename hrefper h_refper
rename hnp h_np
rename hwgt h_wgt
rename hmetro h_metro
rename hpov h_povd

rename wksptr sc1238

rename htotinc h_totinc
rename hearn h_earn 
rename hprop h_prop
rename htran h_tran
rename hother h_other
rename hnoncsh h_noncsh
rename hsocsec h_socsec
rename hssi h_ssi
rename hunemp h_unemp
rename hvets h_vets
rename hafdc h_afdc
rename hfdstp h_fdstp

rename totin pp_totin 
rename earn pp_earn
rename prop pp_prop
rename tran pp_tran
rename other pp_other
rename wave pp_wave

rename mis5 pp_mis
rename grdcmpl grd_cmp
rename inaf in_af
rename empled sc1714
rename ethncty ethnicty

rename r05 i05amt
rename r06 i06amt
rename r07 i07amt

rename iws12026 ws1imp04
rename iws12028 ws1imp05
rename iws22126 ws2imp04
rename iws22128 ws2imp05

*join part time and full time school
gen school =0 if att_sch==0
replace school =1 if att_sch==1
replace school =1 if att_sch==2
replace school =2 if att_sch==3

*join private profit and non-profit
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =5 if ws1_cl==6
replace ws1_cl =2 if ws1_cl==7
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =5 if ws2_cl==6
replace ws2_cl =2 if ws2_cl==7

*rename job start and end
rename ws1_2018 tsjdate1
rename ws1_2022 tejdate1
rename ws2_2018 tsjdate2
rename ws2_2022 tejdate2

rename se22318 se22218
rename se22356 se22256
rename se22320 se22220
rename ise1amt se1cal
rename ise2amt se2cal
rename ise22318 ise22218
rename ise22320 ise22220

#delimit ;
keep (id suseqnum su_id su_rot h_month h_year h_refper h_np h_wgt htenure foklt18
h_metro h_povd fnlwgt h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp esr pp_totin pp_earn pp_prop pp_tran pp_other rrp caidcov
pp_wave pp_entry pp_pnum vetstat in_af sc1714 sc1238 retird uhours 
ws1_2016 tsjdate1 ws1_2020 tejdate1 ws1_2026
ws2_2016 tsjdate2 ws2_2020 tejdate2 ws2_2026
ws1imp04 ws1imp05
ws2imp04 ws2imp05
ws1calc 
ws2calc 
i05amt i06amt i07amt s31amt s34amt s35amt
se12218 se22218 ise12218 ise22218 se12256 se22256 se12220 se22220 ise12220 ise22220
se1cal se2cal*
socsr1 socsr2 u_comp)
;
#delimit cr
*jobid1 jobid2 ws1_oc ws2_oc wksper ws1_wk ws2_wk ws1_in ws2_in ws1_hr ws2_hr ws1_ra ws2_ra ws1_cl ws2_cl ws1_amt ws2_amt sex race ethnicty state disab school age h_addid pp_mis ms higrade grd_cmp

gen tm8218 =-99
gen tm8220 =-99
gen tm8274 =-99
gen tm8276 =-99
gen tm8278 =-99

sort id pp_wave


save 90_8, replace
clear


/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "90_1.dta", clear
merge id pp_wave using "90_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_3.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_4.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_5.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_6.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_7.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "90_8.dta"
tab _merge
drop _merge
drop id


*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month
replace tejdate1 = 0 if ws1_2020 != h_month
replace tsjdate2 = 0 if ws2_2016 != h_month
replace tejdate2 = 0 if ws2_2020 != h_month

rename tm8218 month_tenure
rename tm8220 year_tenure
rename tm8274 first_exp
rename tm8276 all_work
rename tm8278 years_exp

egen id = group(su_id pp_entry pp_pnum)

*clean experience
replace years_exp=-5 if all_work==1
drop all_work
sort id
by id: egen index = max(first_exp)
replace first_exp = index
*replace first_exp = first_exp-1900 if first_exp>=1900
drop index
gen index = years_exp==-5
by id: egen index2 = sum(index)
replace years_exp=-5 if index2>0
drop index
gen index = years_exp>0
by id: egen index3 = sum(index)
by id: egen index4 = max(years_exp)
replace years_exp=index4 if index3>0 & index2==0
drop index index2 index3 index4

sort su_id pp_entry pp_pnum pp_wave h_month
merge su_id pp_entry pp_pnum pp_wave h_month using "90fp_edit.dta"
tab _merge
drop if _merge == 1
drop if _merge == 2
drop _merge

replace disab=0 if disab==2

*merge with revised job id
sort su_id pp_entry pp_pnum pp_wave
merge su_id pp_entry pp_pnum pp_wave using "F:\Data\SIPP\Extracts\sipp90jid.dta"
tab _merge
drop _merge
drop id

replace jobid1=jobid1_rev if jobid1==jobid1_old & jobid1_old!=.
replace jobid1=jobid2_rev if jobid1==jobid2_old & jobid2_old!=. 
replace jobid2=jobid1_rev if jobid2==jobid1_old & jobid1_old!=.
replace jobid2=jobid2_rev if jobid2==jobid2_old & jobid2_old!=.
drop jobid1_old jobid1_rev jobid2_old jobid2_rev panel flag_jobid_chan

drop if pp_mis !=1
drop pp_mis


egen id = group(su_id pp_entry pp_pnum)

*clean tenure
gen emp = esr>0 & esr<=4 & (jobid1>0| jobid2>0)
replace year_tenure = year_tenure-1900 if year_tenure>1900
replace year_tenure = h_year-year_tenure if year_tenure>0
*replace year_tenure=1 if year_tenure<=0 & month_tenure>=6
*replace year_tenure = -99 if jobid1==0
replace month_tenure= year_tenure*12+month_tenure if year_tenure>=0 & month_tenure>=0
replace month_tenure = -99 if emp==0 | jobid1==0

replace h_year = h_year+1900


rename higrade grade
rename ws1_amt ws1_am
rename ws2_amt ws2_am
rename grd_cmp grd_comp
rename h_addid h_add
rename htenure h_tenur
rename foklt18 f_oklt18

*define disability insurance
gen index = socsr1==2 | socsr2==2
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 socsr2 index


****************generate experience****************************
*generate experience accumulated in panel: One additional year if worked at least 6 months
sort id h_year h_month
egen id_year = group(id h_year)
sort id_year
by id_year: gen obs_month = _N
by id_year: egen extra_exp_aux = sum(emp)
replace extra_exp_aux = extra_exp_aux/obs_month
replace extra_exp_aux=1 if extra_exp_aux>=0.5
replace extra_exp_aux=0 if extra_exp_aux<0.5
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux=0 if index!=.
sort id h_year h_month
sort id
by id: gen index2 = extra_exp_aux[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp = sum(index2)
drop id_year obs_month index index2
*generate potential experience based on first calendeer year
gen pot_exp_aux = 0
sort id h_year h_month
by id: gen count=_n
by id: replace pot_exp_aux = h_year-first_exp if first_exp>0 & count==1
replace pot_exp_aux = 0 if pot_exp_aux<0
by id: egen pot_exp = max(pot_exp_aux)
drop pot_exp_aux count extra_exp_aux emp
*generate actual experience 
gen exper = 0
gen index3 = pot_exp==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp==-5 & exper==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp>0 & exper==0
replace exper = years_exp+extra_exp if index3==1
drop index index3 extra_exp pot_exp
drop first_exp years_exp

****************generate tenure****************************
*find the main job to which tenure belongs
sort id pp_wave h_month
egen wave_month = group(id pp_wave)
sort wave_month
by wave_month: gen index = _n
drop wave_month
gen ref_m = 0
replace ref_m = 1 if pp_wave==2 & index==4
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==4
sort id
by id: egen ten_job = max(aux)
drop aux
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==3
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==2
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_ten>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==2 & index==1
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index index2 index3 ten_job2
gen index_job = jobid1==ten_job
replace index_job=0 if jobid1<=0
*generate tenure for all jobs of jobid1
sort id h_year h_month
egen id_job = group(id jobid1)
sort id_job h_year h_month
by id_job: gen tenure1 = _n
egen time = group(h_year h_month)
gen index2 = time if ref_m==1 
replace index2=0 if index2==.
by id_job: egen index3 = max(index2)
by id_job: egen index4 = max(month_tenure)
replace index4=0 if index_job==0
gen tenure_main = index4+time-index3
replace tenure1 = tenure_main if index_job==1 & tenure_main>tenure1
drop ten_job ref_m index_job id_job tenure_main time index2 index3 index4
replace tenure1 = 0 if jobid1<=0
*generate tenure for all jobs of jobid2
egen id_job = group(id jobid2)
sort id_job h_year h_month
by id_job: gen tenure2 = _n
drop id_job
replace tenure2 = 0 if jobid2<=0
drop year_tenure month_tenure


label variable ws1_cl   "Worker class"
label define ws1_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws1_cl ws1_class	
label variable ws2_cl   "Worker class"
label define ws2_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws2_cl ws2_class

replace ws1_hr = uhours if jobid2==0 & jobid1>0 & ws1_hr<=0 & uhours>0
replace ws2_hr = uhours if jobid1==0 & jobid2>0 & ws2_hr<=0 & uhours>0
drop uhours

gen gov_pension = s31amt+s34amt+s35amt

gen panel = 90

sort su_id pp_entry pp_pnum h_year h_month panel

save "90_panel.dta", replace

*clear
