*directory
*set mem 1000m
*set mem 1100m
*local PATH "D:\SIPP\Extracts"
*cd "`PATH'"
*cd "D:\SIPP\Extracts"

cd "F:\Data\SIPP\Extracts"




/***********************************************************
Core data files (are now long, not wide)
**********************************************************/

use sipp08t1, clear
*rename ssuid su_id
rename eanyoff eyrsince
rename ehowmany eyrsinc2

sort ssuid eentaid epppnum
keep ssuid eentaid epppnum tmakmnyr eyrsince eyrsinc2
save "sipp08t1_edit.dta", replace


use sipp08w1, clear
sort ssuid eentaid epppnum
merge ssuid eentaid epppnum using "sipp08t1_edit.dta"

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc

rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow


**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
tmakmnyr eyrsince eyrsinc2
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr



replace tmakmnyr=0 if tmakmnyr==.
replace eyrsince=0 if eyrsince==.
replace eyrsinc2=0 if eyrsinc2==.

*make years not worked to worked
replace eyrsinc2 = h_year-tmakmnyr-eyrsinc2 if eyrsinc2>0

foreach var in tsjdate1 tsjdate2 {
gen aux_`var'=`var'
tostring aux_`var', replace
gen aux2_`var'=substr(aux_`var',5,2)
destring aux2_`var', replace
rename aux2_`var' month_`var'
gen aux2_`var'=substr(aux_`var', 1,4)
destring aux2_`var', replace
rename aux2_`var' year_`var'
cap drop aux*
}
replace month_tsjdate1 = 0 if month_tsjdate1 ==.
replace month_tsjdate2 = 0 if month_tsjdate2 ==.
replace year_tsjdate1 = 0 if year_tsjdate1 ==.
replace year_tsjdate2 = 0 if year_tsjdate2 ==.


foreach var in tsbdate1 tsbdate2 {
gen aux_`var'=`var'
tostring aux_`var', replace
gen aux2_`var'=substr(aux_`var',5,2)
destring aux2_`var', replace
rename aux2_`var' month_`var'
gen aux2_`var'=substr(aux_`var', 1,4)
destring aux2_`var', replace
rename aux2_`var' year_`var'
cap drop aux*
}
drop tsbdate1 tsbdate2 tebdate1 tebdate2

replace month_tsbdate1 = -99 if month_tsbdate1 ==.
replace month_tsbdate2 = -99 if month_tsbdate2 ==.
replace year_tsbdate1 = -99 if year_tsbdate1 ==.
replace year_tsbdate2 = -99 if year_tsbdate2 ==.
replace month_tsbdate1 = -99 if month_tsbdate1 <=0
replace month_tsbdate2 = -99 if month_tsbdate2 <=0
replace year_tsbdate1 = -99 if year_tsbdate1 <=0
replace year_tsbdate2 = -99 if year_tsbdate2 <=0

*generate amount of tenure months
gen aux = h_month-month_tsjdate1 if month_tsjdate1>0
replace aux =1 if aux==-11
replace aux =2 if aux==-10
replace aux =3 if aux==-9
replace aux =4 if aux==-8
replace aux =5 if aux==-7
replace aux =6 if aux==-6
replace aux =7 if aux==-5
replace aux =8 if aux==-4
replace aux =9 if aux==-3
replace aux =10 if aux==-2
replace aux =11 if aux==-1
replace month_tsjdate1=aux if aux>0 & aux!=.
drop aux
gen aux = h_month-month_tsjdate2 if month_tsjdate2>0
replace aux =1 if aux==-11
replace aux =2 if aux==-10
replace aux =3 if aux==-9
replace aux =4 if aux==-8
replace aux =5 if aux==-7
replace aux =6 if aux==-6
replace aux =7 if aux==-5
replace aux =8 if aux==-4
replace aux =9 if aux==-3
replace aux =10 if aux==-2
replace aux =11 if aux==-1
replace month_tsjdate2=aux if aux>0 & aux!=.
drop aux


*tenure cannot be larger than experience
gen exp_aux = tmakmnyr
replace exp_aux = h_year if exp_aux<=0
gen aux = max(year_tsjdate1,exp_aux) if year_tsjdate1>0
replace aux = 0 if aux==.
replace year_tsjdate1 = aux
drop aux exp_aux
gen exp_aux = tmakmnyr
replace exp_aux = h_year if exp_aux<=0
gen aux = max(year_tsjdate2,exp_aux) if year_tsjdate2>0
replace aux = 0 if aux==.
replace year_tsjdate2 = aux
drop aux exp_aux

sort id pp_wave


save 2008_1, replace
clear




use sipp08w2, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026
**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave


save 2008_2, replace
clear




use sipp08w3, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow


**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_3, replace
clear



*read in asset data
use sipp08t4, clear

rename thhtwlth hhtwlth
rename thhscdbt hhscdbt                          
rename rhhuscbt hhusdbt                     
rename thhdebt hhdebt
rename thhtnw hhtnw 
rename tvbva1 hhbusval1
rename tvbde1 hhbusdbt1
rename tvbva2 hhbusval2
rename tvbde2 hhbusdbt2

gen leqasset = thhintbk + thhintot + rhhstk

#delimit ;
keep (ssuid eentaid epppnum hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr
sort ssuid eentaid epppnum

save "F:\Data\SIPP\Extracts\08_t4", replace

use sipp08w4, clear
sort ssuid eentaid epppnum
merge ssuid eentaid epppnum using "F:\Data\SIPP\Extracts\08_t4.dta"
drop if _merge==2
drop _merge

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave


save 2008_4, replace
clear



use sipp08w5, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_5, replace
clear



use sipp08w6, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_6, replace
clear




*read in asset data
use sipp08t7, clear

rename thhtwlth hhtwlth
rename thhscdbt hhscdbt                          
rename thhuscbt hhusdbt                     
rename thhdebt hhdebt
rename thhtnw hhtnw 
rename tvbva1 hhbusval1
rename tvbde1 hhbusdbt1
rename tvbva2 hhbusval2
rename tvbde2 hhbusdbt2

gen leqasset = thhintbk + thhintot + thhstk

#delimit ;
keep (ssuid eentaid epppnum hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr
sort ssuid eentaid epppnum

save "F:\Data\SIPP\Extracts\08_t7", replace

use sipp08w7, clear
sort ssuid eentaid epppnum
merge ssuid eentaid epppnum using "F:\Data\SIPP\Extracts\08_t7.dta"
drop if _merge==2
drop _merge

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99

drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_7, replace
clear




use sipp08w8, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_8, replace
clear




use sipp08w9, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_9, replace
clear




*read in asset data
use sipp08t10, clear

rename thhtwlth hhtwlth
rename thhscdbt hhscdbt                          
rename thhuscbt hhusdbt                     
rename thhdebt hhdebt
rename thhtnw hhtnw 
rename tvbva1 hhbusval1
rename tvbde1 hhbusdbt1
rename tvbva2 hhbusval2
rename tvbde2 hhbusdbt2

gen leqasset = thhintbk + thhintot + thhstk

#delimit ;
keep (ssuid eentaid epppnum hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr
sort ssuid eentaid epppnum

save "F:\Data\SIPP\Extracts\08_t10", replace

use sipp08w10, clear
sort ssuid eentaid epppnum
merge ssuid eentaid epppnum using "F:\Data\SIPP\Extracts\08_t10.dta"
drop if _merge==2
drop _merge


rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2
hhtwlth hhscdbt hhusdbt hhdebt hhtnw hhbusval1 hhbusdbt1 hhbusval2 hhbusdbt2 leqasset)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_10, replace
clear



use sipp08w11, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_11, replace
clear


use sipp08w12, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_12, replace
clear





use sipp08w13, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_13, replace
clear



use sipp08w14, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_14, replace
clear


use sipp08w15, clear

rename ssuid su_id
rename ssuseq suseqnum
rename epppnum pp_pnum
rename eentaid pp_entry
rename srotaton su_rot

**To use homogeneous suseqnum**
destring suseqnum, replace
destring su_id, replace
format su_id %11.0f


egen id = group(su_id pp_entry pp_pnum)

gen u_comp = t05amt+t06amt

rename shhadid h_addid_
rename rhcalmn h_month_
rename rhcalyr h_year_
rename tfipsst state_
rename ehrefper h_refper_
rename ehhnumpp h_np_
rename whfnwgt h_wgt_
rename tmetro h_metro_
rename rhpov h_povd_

rename thtotinc h_totinc
rename thearn h_earn 
rename thprpinc h_prop
rename thtrninc h_tran
rename thothinc h_other
rename thnoncsh h_noncsh
rename thsocsec h_socsec
rename thssi h_ssi
rename thunemp h_unemp
rename thvets h_vets
rename thafdc h_afdc
rename thfdstp h_fdstp


rename tptotinc pp_totin 
rename tpearn pp_earn
rename tpprpinc pp_prop
rename tptrninc pp_tran
rename tpothinc pp_other
rename swave pp_wave

*rename grdcmpl grd_cmp
*rename inaf in_af
*rename empled sc1714


*rename r05 i05amt
*rename r06 i06amt
*rename r07 i07amt


*New variables to adjust
gen disab = 0
replace disab = 1 if edisabl==1
rename tage age
rename errp rrp
rename eeno1 jobid1
rename eeno2 jobid2
rename tjbocc1 ws1_oc
rename tjbocc2 ws2_oc
rename ejbind1 ws1_in
rename ejbind2 ws2_in
rename ejbhrs1 ws1_hr
rename ejbhrs2 ws2_hr
rename tpyrate1 ws1_ra
rename tpyrate2 ws2_ra
rename renroll att_sch
rename rwksperm wksper
gen ethnicty=erace
rename eppintvw pp_mis
*Number of weeks employed in the month is general, does not specify the job. Consider both jobs to be the same amount of months worked in the month*
gen ws1_wk=rmwkwjb
gen ws2_wk=rmwkwjb 
replace ws2_wk=-9 if jobid1==-9
replace ws1_wk=-9 if jobid2==-9
*join part time and full time school
gen school =0 if att_sch==-1
replace school =1 if att_sch==1
replace school =2 if att_sch==2
replace school =3 if att_sch==3
rename wpfinwgt p_wgt_

rename esex sex
rename eeducate higrade
rename ems ms
rename erace race
gen esr_=rmesr 
*Self employed variable not there, take as a proxy if the person owns a business*
gen sc1714=0
replace sc1714=1 if rmesr>0
replace sc1714=2 if ebuscntr>0
gen ws1_cl=eclwrk1
gen ws2_cl=eclwrk2
gen ws1_amt=tpmsum1 
gen ws2_amt=tpmsum2 
gen in_af=eafnow

**Imputed earnings and hourly rate
rename apmsum1 ws1calc
rename apmsum2 ws2calc
rename apyrate1 ws1imp05
rename apyrate2 ws2imp05

**Was respondent paid by the hour?
rename epayhr1 ws1_2026
rename epayhr2 ws2_2026

**Part time work. Reason
rename eptresn reason_part
rename aptresn imp_reason_part

rename ebno1 se1_id
rename ebno2 se2_id
rename tbmsum1 se1_am
rename tbmsum2 se2_am
rename tbsind1 se1_ind
rename tbsind2 se2_ind
rename tbsocc1 se1_occ
rename tbsocc2 se2_occ
rename ehrsbs1 se1_hr
rename ehrsbs2 se2_hr
rename tprftb1 se12256
rename tprftb2 se22256
rename tempb1 se12218
rename tempb2 se22218
rename eincpb1 se12220
rename eincpb2 se22220
rename aincpb1 ise12220
rename aincpb2 ise22220
rename aempb1 ise12218
rename aempb2 ise22218
rename abmsum1 se1cal
rename abmsum2 se2cal
rename eresnss1 socsr1
rename eresnss2 socsr2
rename ecdmth caidcov
rename eeveret retird

#delimit ;
keep (id suseqnum su_id su_rot h_month_ h_year_ age h_addid_ h_refper_ h_np_ h_wgt_ p_wgt_ h_povd_ state_ etenure rfoklt18
h_metro_ h_povd_ h_totinc h_earn h_prop h_tran h_other h_noncsh h_socsec h_ssi h_unemp h_vets 
h_afdc h_fdstp pp_totin pp_earn pp_prop pp_tran pp_other rrp rmhrswk caidcov retird
tsjdate1 tsjdate2 tejdate1 tejdate2 t31amt t34amt t35amt 
pp_wave pp_entry pp_pnum disab age rrp jobid* ws1_oc ws2_oc ws1_in ws2_in ws1_hr ws2_hr ws1_wk ws2_wk
ws1_ra ws2_ra att_sch wksper ethnicty pp_mis ws1_wk ws2_wk school sex school higrade ms race esr_ ersnowrk sc1714 ws1_cl ws2_cl ws1_amt ws2_amt in_af ws1calc ws2calc ws1imp05 ws2imp05 ws1_2026 ws2_2026 tsjdate1 tejdate1 tsjdate2 tejdate2 reason_part imp_reason_part
se1_id se2_id se1_am se2_am se1_ind se2_ind se1_occ se2_occ se1_hr se2_hr se12256 se22256 se12218 se22218 se12220 se22220 ise12220 ise22220 ise12218 ise22218
socsr1 socsr2 u_comp 
tsbdate1 tsbdate2 tebdate1 tebdate2 se1cal se2cal tempsiz1 tempall1 tempsiz2 tempall2)
;
#delimit cr

gen month_tsjdate1=-99
gen month_tsjdate2=-99
gen year_tsjdate1=-99
gen year_tsjdate2=-99
gen tmakmnyr =-99
gen eyrsince =-99
gen eyrsinc2 =-99


drop tsbdate1 tsbdate2 tebdate1 tebdate2

gen month_tsbdate1=-99
gen month_tsbdate2=-99
gen year_tsbdate1=-99
gen year_tsbdate2=-99

sort id pp_wave

save 2008_15, replace
clear


/***********************************************************
*merge monthly data (should be no matches)
**********************************************************/
use "2008_1.dta", clear
merge id pp_wave using "2008_2.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_3.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_4.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_5.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_6.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_7.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_8.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_9.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_10.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_11.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_12.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_13.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_14.dta"
tab _merge
drop _merge
sort id pp_wave
merge id pp_wave using "2008_15.dta"
tab _merge
drop _merge

drop id

/*
*replace start and end dates in false months
replace tsjdate1 = 0 if ws1_2016 != h_month_
replace tejdate1 = 0 if ws1_2020 != h_month_
replace tsjdate2 = 0 if ws2_2016 != h_month_
replace tejdate2 = 0 if ws2_2020 != h_month_
*/

*drop if pp_mis !=1
*drop pp_mis



rename month_tsjdate1 month_tenure1
rename year_tsjdate1 year_tenure1
rename month_tsjdate2 month_tenure2
rename year_tsjdate2 year_tenure2
rename tmakmnyr first_exp
rename eyrsince all_work
rename eyrsinc2 years_exp
rename etenure h_tenur 
rename rfoklt18 f_oklt18
rename h_month_ h_month 
rename h_year_ h_year
rename h_refper_ h_refper
rename h_np_ h_np
rename h_wgt_ h_wgt
rename h_povd_ h_povd
rename esr_ esr

egen id = group(su_id pp_entry pp_pnum)

*clean experience
replace years_exp=-5 if all_work==2
drop all_work
sort id
by id: egen index = max(first_exp)
replace first_exp = index
replace first_exp = first_exp-1900 if first_exp>=1900
drop index
gen index = years_exp==-5
by id: egen index2 = sum(index)
replace years_exp=-5 if index2>0
drop index
gen index = years_exp>0
by id: egen index3 = sum(index)
*CHANGE!
by id: egen index4=max(years_exp)
replace years_exp=index4 if index3>0 & index2==0
drop index index2 index3 index4


drop imp_reason_part
cap drop school
rename att_sch school


*clean tenure
gen emp = esr>0 & esr<=4 & (jobid1>0| jobid2>0)
replace year_tenure1 = h_year-year_tenure1 if year_tenure1>0
replace year_tenure2 = h_year-year_tenure2 if year_tenure2>0
replace month_tenure1= year_tenure1*12+month_tenure1 if year_tenure1>=0 & month_tenure1>=0
replace month_tenure2= year_tenure2*12+month_tenure2 if year_tenure2>=0 & month_tenure2>=0
replace month_tenure1 = -99 if emp==0
replace month_tenure2 = -99 if emp==0


*define disability insurance
gen index = socsr1==2 | socsr2==2
sort id h_year h_month
by id: egen di= sum(index)
replace di=0 if h_socsec==0
replace di = di>0
drop socsr1 socsr2 index


****************generate experience****************************
*generate experience accumulated in panel: Worker gets an extra year of experience if he worked at least half of the observed months in a callender year
sort id h_year h_month
egen id_year = group(id h_year)
sort id_year
by id_year: gen obs_month = _N
by id_year: egen extra_exp_aux = sum(emp)
replace extra_exp_aux = extra_exp_aux/obs_month
replace extra_exp_aux=1 if extra_exp_aux>=0.5
replace extra_exp_aux=0 if extra_exp_aux<0.5
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux=0 if index!=.
sort id h_year h_month
sort id
by id: gen index2 = extra_exp_aux[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp = sum(index2)
drop id_year obs_month index emp index2
*generate potential experience based on first calendeer year
gen first_exp_aux = 0
replace first_exp_aux =h_year if extra_exp_aux==1
replace first_exp_aux = 99999 if first_exp_aux ==0
sort id
by id: egen index = min(first_exp_aux)
by id: egen index2 = max(first_exp)
replace index2=99999 if index2<=0
replace index2 = index if index<index2 
gen h_year_aux = h_year-1900
by id: egen index3 = min(h_year_aux)
gen pot_exp = 0
replace pot_exp = index3-index2
replace pot_exp = 0 if pot_exp<0
replace index=0 if index>2008
replace index2=0 if index2>2008
drop index3 first_exp_aux extra_exp_aux h_year_aux
*generate actual experience 
gen exper = 0
gen index3 = index==index2
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp==-5 & exper==0
replace exper = pot_exp+extra_exp if index3==1
drop index3
gen index3 = years_exp>0 & exper==0
replace exper = years_exp+extra_exp if index3==1
drop index index2 index3 extra_exp pot_exp
drop first_exp years_exp

****************generate tenure****************************
*find the main job to which tenure belongs
sort id pp_wave h_month
egen wave_month = group(id pp_wave)
sort wave_month
by wave_month: gen index = _n
drop wave_month
gen ref_m = 0
replace ref_m = 1 if pp_wave==1 & index==4
gen aux = 0
replace aux = jobid1 if pp_wave==1 & index==4
sort id
by id: egen ten_job = max(aux)
drop aux
gen index2 = ten_job==0 & month_tenure1>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==1 & index==3
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_tenure1>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==1 & index==2
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_tenure1>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid1 if pp_wave==1 & index==1
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index index2 index3 ten_job2
gen index_job1 = jobid1==ten_job
replace index_job1=0 if jobid1<=0
drop ten_job
*find the job to which tenure2 belongs
sort id pp_wave h_month
egen wave_month = group(id pp_wave)
sort wave_month
by wave_month: gen index = _n
drop wave_month
gen aux = 0
replace aux = jobid2 if pp_wave==1 & index==4
sort id
by id: egen ten_job = max(aux)
drop aux
gen index2 = ten_job==0 & month_tenure2>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid2 if pp_wave==1 & index==3
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_tenure2>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid2 if pp_wave==1 & index==2
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index2 index3 ten_job2
gen index2 = ten_job==0 & month_tenure2>0
by id: egen index3 = max(index2)
gen aux = 0
replace aux = jobid2 if pp_wave==1 & index==1
by id: egen ten_job2 = max(aux)
drop aux
replace ten_job = ten_job2 if index3 ==1
drop index index2 index3 ten_job2
gen index_job2 = jobid2==ten_job
replace index_job2=0 if jobid2<=0
drop ten_job
*generate tenure for all jobs of jobid1
sort id h_year h_month
egen id_job = group(id jobid1)
sort id_job h_year h_month
by id_job: gen tenure1 = _n
egen time = group(h_year h_month)
gen index2 = time if ref_m==1 
replace index2=0 if index2==.
by id_job: egen index3 = max(index2)
by id_job: egen index4 = max(month_tenure1)
replace index4=0 if index_job1==0
gen tenure_main = index4+time-index3
replace tenure1 = tenure_main if index_job1==1 & tenure_main>tenure1
drop index_job1 id_job tenure_main time index2 index3 index4
replace tenure1 = 0 if jobid1<=0
*generate tenure for all jobs of jobid2
sort id h_year h_month
egen id_job = group(id jobid2)
sort id_job h_year h_month
by id_job: gen tenure2 = _n
egen time = group(h_year h_month)
gen index2 = time if ref_m==1 
replace index2=0 if index2==.
by id_job: egen index3 = max(index2)
by id_job: egen index4 = max(month_tenure2)
replace index4=0 if index_job2==0
gen tenure_main = index4+time-index3
replace tenure2 = tenure_main if index_job2==1 & tenure_main>tenure2
drop ref_m index_job2 id_job tenure_main time index2 index3 index4
replace tenure2 = 0 if jobid2<=0
drop month_tenure1 year_tenure1 month_tenure2 year_tenure2


****************generate business experience****************************
*generate experience accumulated in panel: Worker gets an extra year of experience each callender year that he has the business
sort id h_year h_month
egen id_year = group(id h_year)
sort id_year
gen index = 0
replace index=1 if se1_id>0
by id_year: egen extra_exp_aux1 = sum(index)
drop index
replace extra_exp_aux1=1 if extra_exp_aux1>0
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux1=0 if index!=.
sort id h_year h_month
by id: gen index2 = extra_exp_aux1[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp_b1 = sum(index2)
drop index index2
gen index = 0
replace index=1 if se2_id>0
sort id_year
by id_year: egen extra_exp_aux2 = sum(index)
drop index
replace extra_exp_aux2=1 if extra_exp_aux2>0
by id_year: gen index = id_year[_n+1]
replace extra_exp_aux2=0 if index!=.
sort id h_year h_month
by id: gen index2 = extra_exp_aux2[_n-1]
replace index2=0 if index2==.
by id: gen extra_exp_b2 = sum(index2)
drop index index2 
*potential experience
sort id
by id: egen index = min(h_year)
replace index=index==h_year
gen pot_exp1_aux = 0
replace pot_exp1_aux = h_year-year_tsbdate1 if index==1
replace pot_exp1_aux = 0 if year_tsbdate1==-99
by id: egen pot_exp1 = max(pot_exp1_aux)
gen pot_exp2_aux = 0
replace pot_exp2_aux = h_year-year_tsbdate2 if index==1
replace pot_exp2_aux = 0 if year_tsbdate2==-99
by id: egen pot_exp2 = max(pot_exp2_aux)
drop index pot_exp1_aux pot_exp2_aux
*generate actual experience 
gen exper_b1 = pot_exp1+extra_exp_b1
gen exper_b2 = pot_exp2+extra_exp_b2
drop pot_exp2 pot_exp1 extra_exp_b2 extra_exp_aux2 extra_exp_b1 extra_exp_aux1 id_year year_tsbdate2 month_tsbdate2 year_tsbdate1 month_tsbdate1


replace ws1_hr = 40 if ws2_hr <=0 & ws1_hr==-8 & (rmhrswk==1 | rmhrswk==5)
replace ws2_hr = 40 if ws1_hr <=0 & ws2_hr==-8 & (rmhrswk==1 | rmhrswk==5)
drop rmhrswk

*join private profit, not profit, and family worker
replace ws1_cl =0 if ws1_cl==-1
replace ws1_cl =1 if ws1_cl==2
replace ws1_cl =2 if ws1_cl==3
replace ws1_cl =3 if ws1_cl==4
replace ws1_cl =4 if ws1_cl==5
replace ws1_cl =2 if ws1_cl==6
replace ws2_cl =0 if ws2_cl==-1
replace ws2_cl =1 if ws2_cl==2
replace ws2_cl =2 if ws2_cl==3
replace ws2_cl =3 if ws2_cl==4
replace ws2_cl =4 if ws2_cl==5
replace ws2_cl =2 if ws2_cl==6


label variable ws1_cl   "Worker class"
label define ws1_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws1_cl ws1_class	
label variable ws2_cl   "Worker class"
label define ws2_class 0 "Not in Universe" 1 "A private company or individual" 2 "Federal government" 3 "State government" 4 "Local government" 5 "Armed Forces"                  
label values ws2_cl ws2_class

gen gov_pension = t31amt+t34amt+t35amt

gen panel = 2008
sort su_id pp_entry pp_pnum h_year h_month panel

save "2008_panel.dta", replace
clear
