%-------------------------
% Sub Function: MOMENT
%-------------------------
function distance=MOMENT_b(c,d)

s_z=abs(c(1));
s_e=abs(c(2));
s_a=abs(c(3));
r_zp =c(4);				
r_zm =c(5);
r_dp =c(6);
r_dp1=c(7); 
r_dm =c(8);
theta_1 =c(9);
theta_2 =c(10);
theta_3 =0;
theta_4 =0;




%first moment, M=0
% MO_1_0 = (s_z.*((r_zp.*d.den_z.*d.cdf_1_z_min1_z)./d.cdf_11 - r_zm.*d.den_kq./d.cdf_kq));
MO_1_0 = (s_z.*(r_zp.*d.E_12_13 - r_zm.*d.E_21_23));

%first moment, M=1, z component
%MO_1_1_z = (s_z.*((r_zp.*d.den_z.*d.cdf_1_z_min1_z)./d.cdf_11 + r_zm.*d.den_kq./d.cdf_1_kq));
MO_1_1_z = (s_z.*(r_zp.*d.G_12_13 + r_zm.*d.G_21_23));

%first moment, M=1, a component
%MO_1_1_a = 2^(1/2) .* s_a .* ((r_dp.*d.den_z.*d.cdf_1_z_min1_z./d.cdf_11)+(r_dp1.*d.den_z_min1.*d.cdf_1_z_z_min1./d.cdf_11)+(r_dm.*d.den_kq./d.cdf_1_kq));
MO_1_1_a = 2^(1/2) .* s_a .* (r_dp.*d.G_12_13+r_dp1.*d.G_31_32+r_dm.*d.G_21_23);

%second moment, M=0
%MO_2_0 = (s_z.^2.*(1-r_zp.^2.*d.z_g.*d.den_z.*d.cdf_1_z_min1_z./d.cdf_11+r_zm.^2.*d.k_q.*d.den_kq./d.cdf_kq-2.*r_zp.*r_zm.*d.den_z.*d.den_kq.*d.cdf_1_z_min1_z./(d.cdf_11.*d.cdf_kq)-r_zp.^2.*d.rho_pi_min1_pi.*d.pdf_z_min1_z_neg./d.cdf_11));
MO_2_0 = (s_z.^2.*(1-r_zp.^2.*d.F1+r_zm.^2.*d.F2-r_zp.*r_zm.*d.F12+r_zp.^2.*d.rho_pimu.*d.F12-r_zp.^2.*d.rho_pipi1.*d.F13...
    -r_zp.*r_zm.*d.F21+r_zm.^2.*d.rho_pimu.*d.F21+r_zm.^2.*d.rho_pi1mu.*d.F23));

%second moment, M=1, z component
%MO_2_1_z = s_z.^2.*(1-r_zp.^2.*d.z_g.*d.den_z.*d.cdf_1_z_min1_z./d.cdf_11-r_zm.^2.*d.k_q.*d.den_kq./d.cdf_1_kq+2.*r_zp.*r_zm.*d.den_z.*d.den_kq.*d.cdf_1_z_min1_z./(d.cdf_11.*d.cdf_1_kq)-r_zp.^2.*d.rho_pi_min1_pi.*d.pdf_z_min1_z_neg./d.cdf_11);
MO_2_1_z = s_z.^2.*(1-r_zp.^2.*d.H1-r_zm.^2.*d.H2+r_zp.*d.H12.*(r_zm-d.rho_pimu*r_zp)-r_zp.^2.*d.rho_pipi1.*d.H13...
    +r_zm.*d.H21.*(r_zp-d.rho_pimu.*r_zm)-r_zm.^2.*d.rho_pi1mu.*d.H23);

%second moment, M=1, a component
MO_2_1_a = 2.*s_a^2.*(1-r_dm.^2.*d.H1 - r_dp.^2.*d.H2 - r_dp1.^2.*d.H3+r_dp.*d.H12.*(r_dm-d.rho_pimu.*r_dp)+r_dp.*d.H13.*(r_dp1-d.rho_pipi1.*r_dp)...
    +r_dm.*d.H21.*(r_dp-d.rho_pimu.*r_dm)+r_dm.*d.H23.*(r_dp1-d.rho_pi1mu.*r_dm)...
    +r_dp1.*d.H31.*(r_dp-d.rho_pipi1.*r_dp1)+r_dp1.*d.H32.*(r_dm-d.rho_pi1mu.*r_dp1));


orth=[d.y.*(d.index_d1+d.index_d2+d.index_d3+d.index_d4+d.index_d5)-...
    MO_1_0.*d.index_d1.*(1-d.M)-...
    MO_1_1_z.*d.index_d1.*d.M-...
    MO_1_1_a.*d.index_d1.*d.M-...
    MO_2_0.*d.index_d2.*(1-d.M)-...
    (MO_2_1_z+...
    MO_2_1_a).*d.index_d2.*d.M-...
     (s_e.^2 .* (1+(1+theta_1).^2+(theta_2-theta_1).^2+(theta_3-theta_2).^2+(theta_4-theta_3).^2+theta_4.^2)).*d.index_d2-...
     (s_e.^2.*(-(1+theta_1)+(1+theta_1).*(theta_2-theta_1)+(theta_2-theta_1).*(theta_3-theta_2)+(theta_4-theta_3).*(theta_3-theta_2)-(theta_4-theta_3).*theta_4)).*d.index_d3-...
     (s_e.^2.*(-(theta_2-theta_1)+(1+theta_1).*(theta_3-theta_2)+(theta_4-theta_3).*(theta_2-theta_1)-(theta_3-theta_2).*theta_4)).*d.index_d4-...
     (s_e.^2.*(-(theta_3-theta_2)+(1+theta_1).*(theta_4-theta_3)-(theta_2-theta_1).*theta_4)).*d.index_d5];



sample_orth=[(orth.*sqrt(d.weight)).^2];
%  sample_orth=[(orth.*sqrt(d.weight_adj)).^2];


distance=sum(sample_orth);

end
