%-------------------------
% Sub Function: READ_DATA
%-------------------------
function [data,observation,num_variable,header]=READ_DATA(file_name)

%[data_ori,header]=xlsread(file_name);
[data_ori]=textread(file_name);

% SPECIFY ALWAYS THIS ORDERING, IMPORTANT FOR ESTIMATION!



header={'newid','y','index_d1','index_d2','index_d3','index_d4','index_d5','index_d6','index_d7',...
'M','wpfinwgt','rho_pimu', 'rho_pipi1',...
'rho_pi1mu','F1','F2','F12','F13','F21','F23','F31','F32','PHI011',...
'PHI012','PHI111','E_12_13','E_21_23','G_12_13','G_21_23','G_31_32','H1','H2','H3','H12', 'H13',...
'H21','H23','H31','H32','M_w','M_b'};



[observation,num_variable]=size(data_ori);
[ob_temp,num_variable_temp]=size(header);
disp(' ')

if num_variable~=num_variable_temp    
    for m=1:num_variable
        header_temp{m}=header{1,m+1};
    end
    header=header_temp;
else
    if ob_temp>1
        for m=1:num_variable
            header_temp{m}=header{1,m};
        end
        header=header_temp;
    end        
end

disp(['There are ' num2str(num_variable) ' variables in your data file'])
output_vari=' ';
for m=1:num_variable
    output_vari=[output_vari,header{1,m},' '];
end
disp(['They are ',num2str(output_vari)])

check_data=isnan(data_ori);
sum_all=sum(sum(check_data));
if sum_all==0
    data=data_ori;
else
    sum_column=sum(check_data');
    observation_now=sum(sum_column==0);   
    data=zeros(observation_now,num_variable); 
    
    k=1;
    for m=1:observation
        if sum(check_data(m,:))==0
            data(k,:)=data_ori(m,:);
            k=k+1;
        end
    end
    [observation,num_variable]=size(data);   
end
disp(['After deleting missing/invalid data, there are ' num2str(observation) ' observations'])
disp(' ')
end
