clear global;
clear all;


warning off all;

addpath('D:\Uni\Ariel\SIPP 7.7.2023') 
%% Estimation option: 


est_opt=1.5; % Estimate full model (2 thetas)

% Number of iterations per group
iter=12;

write=1; % saves the mat tables from stata data

% Grade
grade=2; % Three skill groups

% Group to estimate
%data=1; % Low skilled Period 1
%data=2; % Low skilled Period 2
%data=3; % Low skilled Period 3
%data=4; % High skilled Period 1
%data=5; % High skilled Period 2
%data=6; % High skilled Period 3

%% Save data

if write==1
    [d]=PREPARE_DATA('period1_grade1.txt');
    save male_lowskill_period1.mat d
    [d]=PREPARE_DATA('period2_grade1.txt');
    save male_lowskill_period2.mat d
    [d]=PREPARE_DATA('period3_grade1.txt');
    save male_lowskill_period3.mat d
    %
    [d]=PREPARE_DATA('period1_grade2.txt');
    save male_medskill_period1.mat d
    [d]=PREPARE_DATA('period2_grade2.txt');
    save male_medskill_period2.mat d
    [d]=PREPARE_DATA('period3_grade2.txt');
    save male_medskill_period3.mat d
    % %
    [d]=PREPARE_DATA('period1_grade3.txt');
    save male_highskill_period1.mat d
    [d]=PREPARE_DATA('period2_grade3.txt');
    save male_highskill_period2.mat d
    [d]=PREPARE_DATA('period3_grade3.txt');
    save male_highskill_period3.mat d
end


%% Estimation

for x=1:1

    data=x;
    if data==1
        diary ('Results/Estimation_lowskill1_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - low skill Males Period 1_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==2
        diary ('Results/Estimation_lowskill2_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - low skill Males Period 2_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==3
        diary ('Results/Estimation_lowskill3_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - low skill Males Period 3_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==4
        diary ('Results/Estimation_medskill1_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - med skill Males Period 1_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==5
        diary ('Results/Estimation_medskill2_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - med skill Males Period 2_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==6
        diary ('Results/Estimation_medskill3_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - med skill Males Period 3_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==7
        diary ('Results/Estimation_highskill1_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - high skill Males Period 1_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==8
        diary ('Results/Estimation_highskill2_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - high skill Males Period 2_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    elseif data==9
        diary ('Results/Estimation_highskill3_2thetas.txt');
        disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');disp(' ');%Generating a bit of space in output file to indicate start of new run
        disp('Estimating - high skill Males Period 3_2thetas'); %Write in what the file is doing
        disp(datestr(now));
    end


    
    %This is just a menu of different initial parameter values
    for ii=1:iter
        if ii==1
            if x==1
                z = [0.030 0.071 0.260 0.313 -0.358 0.104 0.180 0.039 -0.455 0 0 0]; 
            elseif x==2
                z = [0.035 0.070 0.262 0.670 -1.000 0.046 -0.030 0.110 -0.403 0 0 0]; 
            elseif x==3
                z = [0.040 0.043 0.225 0.220 -0.193 -0.337 -1.000 0.039 -0.441 0 0 0];     
            elseif x==4
                z = [0.042 0.079 0.217 0.079 -0.714 -0.250 0.439 0.111 -0.433 0 0 0];   
            elseif x==5
                z = [0.047 0.083 0.225 0.805 -0.531 0.268 0.243 0.128 -0.484 0 0 0];       
            elseif x==6
                z = [0.047 0.053 0.231 0.393 1.000 -0.470 -0.213 -0.121 -0.4256 0 0 0]; 
            elseif x==7
                z = [0.050 0.107 0.267 0.495 -0.582 0.004 0.147 0.091 -0.435 0 0 0];     
            elseif x==8
                z = [0.048 0.114 0.265 0.864 -0.168 0.057 0.417 0.081 -0.444 0 0 0]; 
            elseif x==9
                z = [0.058 0.073 0.300 0.679 -0.847 -0.131 -0.953 0.132 -0.474 0 0 0];     
            % else
                % z=zeros(1,12);
                % z(1,1:12) = (randn(1,12)/8);
                % z(1,1:3)=abs(z(1,1:3));
                % %From those which are used in thetas, change it to
                % %negative
                % 
                % z(1,9:12)=-abs(z(1,9:12));
             end
            c_initial=z;
            [estimator,distance]=Value_gmm(c_initial(1,1),c_initial(1,2),c_initial(1,3),c_initial(1,4),c_initial(1,5),c_initial(1,6),c_initial(1,7),c_initial(1,8),c_initial(1,9),c_initial(1,10),c_initial(1,11),c_initial(1,12),data,est_opt);
            estimator1=estimator; distance1=distance; c_initial1=c_initial;
            
        else
            randn('state',sum(100*clock));
            z=zeros(1,12);
            z(1,1:12) = (randn(1,12)/8);
            z(1,1:3)=abs(z(1,1:3));
            %From those which are used in thetas, change it to
            %negative
            z(1,9:12)=-abs(z(1,9:12));
            
            c_initial=z;
            [estimator,distance]=Value_gmm(c_initial(1,1),c_initial(1,2),c_initial(1,3),c_initial(1,4),c_initial(1,5),c_initial(1,6),c_initial(1,7),c_initial(1,8),c_initial(1,9),c_initial(1,10),c_initial(1,11),c_initial(1,12),data,est_opt);
            
        end
        %This shows the results after each loop
        disp(' '); disp({'loop',ii,get(0,'diaryfile')});
        
        disp({'Starting values'})
        disp([c_initial;c_initial1]);
        disp({'Estimated coefficients'})
        disp({ 's_z ','s_e ','s_a','r_zp','r_zm ','r_dp ','r_dp1 ','r_dm ','r_pipi-1 ','r_pimu ','r_pi-1mu ','theta1 ','theta2 ','theta3 ','theta4 '});
        disp([estimator;estimator1]);
        disp({'criterion', distance/10000,'criterion1',distance1/10000});
        disp(datestr(now));
        if (distance<distance1) ; c_initial1=c_initial; distance1=distance;  
            estimator1=estimator;
        else 
            c_initial=c_initial1;
        end
    end
    disp(estimator1);
    diary off
end
