#include "fintrf.h"

!----------------------------------------------------------------------------
! Gateway routine
!----------------------------------------------------------------------------

subroutine mexFunction(nlhs,plhs,nrhs,prhs)
    implicit none
    
    ! Arguments in mexFunction
      mwPointer  :: plhs(*), prhs(*)
      integer    :: nlhs, nrhs
    
    ! Function declarations
      mwPointer     mxCreateNumericArray ,mxGetPr, mxGetM, mxGetN
      mwPointer     mxGetDimensions, mxCreateDoubleMatrix
      integer(4)    mxClassIDFromClassName
      mwSize        mxGetNumberOfDimensions
      
      ! Pointers to input/output mxArrays:
      ! Input           
      mwPointer  :: H,T,na,np,nc,fnodes,destruct_age &
                    ,prod_initial,prod_shock,gamma_w,agrid,pgrid,grid_nc &
                    ,mu,mu2,delta1,amin,amax,nmin,nmax,w_s,transfer_w,inc_wel &
                    ,b,inc_d,inc_d_trans,inc_ss,inc_ss_trans,interest,work,disable,psi_y,psi_o &
                    ,policyu_g,policyu_g_s,policye_g,policye_g_s,policyuj_g &
                    ,policyu_b,policyu_b_s,policye_b,policye_b_s,policyuj_b,policyd,policyr &
                    ,emp_pol_e_g,emp_pol_u_g,emp_pol_e_b,emp_pol_u_b,d_pol_g,d_pol_b,ini_asset &
                    ,tau_p,tau_c,disab_c,b2,transfer_b2,delta2,lambda_d,ini_emp,ini_firm &
                    ,pi_gb,pi_bg,abar,ini_disab_u,xi,fc,prod_initial_e,transfer_w_old &
                    ,transfer_b2_old,inc_d_trans_old,ini_disab_e,panel_in

       ! Output
      mwPointer  :: panel
      
    ! Array size information
      integer(4) :: Nx,Ny,complexFlag,classid                       ! length of input (output) array
	  mwSize     :: ndim
      mwSize     :: dims(3)                    ! dimensions (for mxCreateNumericArray)

      
!--------------------------------------------------------------------------------    

	  
	  classid = mxClassIDFromClassName('double')
      complexFlag = 0  
      
    ! Retrieve input parameter pointers
      H = mxGetPr(prhs(1))
      T = mxGetPr(prhs(2))
	  na = mxGetPr(prhs(3))
      np = mxGetPr(prhs(4))
      nc = mxGetPr(prhs(5))
      fnodes = mxGetPr(prhs(6))
      destruct_age = mxGetPr(prhs(7))
      prod_initial = mxGetPr(prhs(8))
      prod_shock = mxGetPr(prhs(9))
      gamma_w = mxGetPr(prhs(10))
      agrid = mxGetPr(prhs(11))
      pgrid = mxGetPr(prhs(12))
      grid_nc = mxGetPr(prhs(13))
      mu = mxGetPr(prhs(14))
      mu2 = mxGetPr(prhs(15))
      delta1 = mxGetPr(prhs(16))
      amin = mxGetPr(prhs(17))
      amax = mxGetPr(prhs(18))
      nmin = mxGetPr(prhs(19))
      nmax = mxGetPr(prhs(20))
      w_s = mxGetPr(prhs(21))
      transfer_w = mxGetPr(prhs(22))
      inc_wel = mxGetPr(prhs(23))
      b = mxGetPr(prhs(24))
      inc_d = mxGetPr(prhs(25))
      inc_d_trans = mxGetPr(prhs(26))
      inc_ss = mxGetPr(prhs(27))
      inc_ss_trans = mxGetPr(prhs(28))
      interest = mxGetPr(prhs(29))
      work = mxGetPr(prhs(30))
      disable = mxGetPr(prhs(31))
      psi_y = mxGetPr(prhs(32))
      psi_o = mxGetPr(prhs(33))
      policyu_g = mxGetPr(prhs(34))
      policyu_g_s = mxGetPr(prhs(35))
      policye_g = mxGetPr(prhs(36))
      policye_g_s = mxGetPr(prhs(37))
      policyuj_g = mxGetPr(prhs(38))
      policyu_b = mxGetPr(prhs(39))
      policyu_b_s = mxGetPr(prhs(40))
      policye_b = mxGetPr(prhs(41))
      policye_b_s = mxGetPr(prhs(42))
      policyuj_b = mxGetPr(prhs(43))
      policyd = mxGetPr(prhs(44))
      policyr = mxGetPr(prhs(45))
      emp_pol_e_g = mxGetPr(prhs(46))
      emp_pol_u_g = mxGetPr(prhs(47))
      emp_pol_e_b = mxGetPr(prhs(48))
      emp_pol_u_b = mxGetPr(prhs(49))
      d_pol_g = mxGetPr(prhs(50))
      d_pol_b = mxGetPr(prhs(51))
      ini_asset = mxGetPr(prhs(52))
      tau_p = mxGetPr(prhs(53))
      tau_c = mxGetPr(prhs(54))
      disab_c = mxGetPr(prhs(55))
      b2 = mxGetPr(prhs(56))
      transfer_b2 = mxGetPr(prhs(57))
      delta2 = mxGetPr(prhs(58))
      lambda_d = mxGetPr(prhs(59))
      ini_emp = mxGetPr(prhs(60))
      ini_firm = mxGetPr(prhs(61))
      pi_gb = mxGetPr(prhs(62))
      pi_bg = mxGetPr(prhs(63))
      abar = mxGetPr(prhs(64))
      ini_disab_u = mxGetPr(prhs(65))
      xi = mxGetPr(prhs(66))
      fc = mxGetPr(prhs(67))
      prod_initial_e = mxGetPr(prhs(68))
      transfer_w_old = mxGetPr(prhs(69))
      transfer_b2_old = mxGetPr(prhs(70))
      inc_d_trans_old = mxGetPr(prhs(71))
      ini_disab_e = mxGetPr(prhs(72))
      panel_in = mxGetPr(prhs(73))

     ! Create matrices for return arguments
      
     !size of output vector
     !call mxCopyPtrToReal8(H,Nx,1)
     !call mxCopyPtrToReal8(T,Ny,1)
     ndim = 2
	 dims(1) = 1036000 !H*T
	 dims(2) = 18

     plhs(1) = mxCreateNumericArray(ndim, dims, classid, complexflag)
 
     panel = mxGetPr(plhs(1))


      !call computation function
	  call  sub_val_fun(%val(panel),%val(H),%val(T),%val(na),%val(np),%val(nc),%val(fnodes) &
                        ,%val(destruct_age),%val(prod_initial),%val(prod_shock),%val(gamma_w) &
                        ,%val(agrid),%val(pgrid),%val(grid_nc),%val(mu),%val(mu2),%val(delta1) &
                        ,%val(amin),%val(amax),%val(nmin),%val(nmax),%val(w_s),%val(transfer_w) &
                        ,%val(inc_wel),%val(b),%val(inc_d),%val(inc_d_trans),%val(inc_ss),%val(inc_ss_trans) &  
                        ,%val(interest),%val(work),%val(disable),%val(psi_y),%val(psi_o),%val(policyu_g) &
                        ,%val(policyu_g_s),%val(policye_g),%val(policye_g_s),%val(policyuj_g),%val(policyd) &
                        ,%val(policyr),%val(emp_pol_e_g),%val(emp_pol_u_g),%val(emp_pol_e_b),%val(emp_pol_u_b) &
                        ,%val(policyu_b),%val(policyu_b_s),%val(policye_b),%val(policye_b_s),%val(policyuj_b) &
                        ,%val(d_pol_g),%val(d_pol_b),%val(ini_asset),%val(tau_p),%val(tau_c),%val(disab_c) &
                        ,%val(b2),%val(transfer_b2),%val(delta2),%val(lambda_d),%val(ini_emp),%val(ini_firm) &
                        ,%val(pi_gb),%val(pi_bg),%val(abar),%val(ini_disab_u),%val(xi),%val(fc) &
                        ,%val(prod_initial_e),%val(transfer_w_old),%val(transfer_b2_old) &
                        ,%val(inc_d_trans_old),%val(ini_disab_e),%val(panel_in))
								  
        
      return  
      
end subroutine



subroutine sub_val_fun(panel,H,T,na,np,nc,fnodes &
                        ,destruct_age,prod_initial,prod_shock,gamma_w &
                        ,agrid,pgrid,grid_nc,mu,mu2,delta1 &
                        ,amin,amax,nmin,nmax,w_s,transfer_w &
                        ,inc_wel,b,inc_d,inc_d_trans,inc_ss,inc_ss_trans &  
                        ,interest,work,disable,psi_y,psi_o,policyu_g,policyu_g_s &
                        ,policye_g,policye_g_s,policyuj_g,policyd,policyr &
                        ,emp_pol_e_g,emp_pol_u_g,emp_pol_e_b,emp_pol_u_b &
                        ,policyu_b,policyu_b_s,policye_b,policye_b_s,policyuj_b &
                        ,d_pol_g,d_pol_b,ini_asset,tau_p,tau_c,disab_c &
                        ,b2,transfer_b2,delta2,lambda_d,ini_emp,ini_firm &
                        ,pi_gb,pi_bg,abar,ini_disab_u,xi,fc,prod_initial_e &
                        ,transfer_w_old,transfer_b2_old,inc_d_trans_old,ini_disab_e &
                        ,panel_in)

implicit none

integer(4), intent(in)					      :: H,T,na,np,nc,fnodes,work,disable
real(8), intent(in)							  :: lambda_d,tau_p,tau_c,disab_c,abar,fc
real(8), intent(in)							  :: mu,mu2,delta1,delta2,amin,amax,nmin,nmax,inc_wel
real(8), intent(in)							  :: interest,b2,transfer_b2,transfer_b2_old,ini_emp,xi
real(8), intent(in)							  :: ini_disab_u,ini_disab_e
real(8), dimension(work), intent(in)            :: pi_gb,pi_bg
real(8), dimension(2), intent(in)             :: psi_y,psi_o
real(8), dimension(3), intent(in)             :: destruct_age
real(8), dimension(H), intent(in)             :: prod_initial,prod_initial_e
real(8), dimension(H,T), intent(in)             :: prod_shock
real(8), dimension(fnodes), intent(in)             :: gamma_w,ini_firm
real(8), dimension(na), intent(in)             :: agrid
real(8), dimension(np), intent(in)             :: pgrid
real(8), dimension(nc), intent(in)             :: grid_nc,inc_d,inc_d_trans,inc_d_trans_old,inc_ss,inc_ss_trans
real(8), dimension(np,fnodes), intent(in)             :: w_s,transfer_w,transfer_w_old,b
real(8), dimension(na,np,nc,work), intent(in)       :: policyu_g,policyu_g_s,policyu_b,policyu_b_s
real(8), dimension(na,np,nc,fnodes,work), intent(in) :: policye_g,policye_g_s,emp_pol_u_g,emp_pol_u_b
real(8), dimension(na,np,nc,fnodes,work), intent(in)             :: policye_b,policye_b_s
real(8), dimension(na,np,nc,fnodes,disable), intent(in)         :: emp_pol_e_g,emp_pol_e_b
real(8), dimension(na,np,nc,disable), intent(in)     :: policyuj_g,policyuj_b,d_pol_g,d_pol_b
real(8), dimension(na,nc,disable), intent(in)             :: policyd
real(8), dimension(na,nc), intent(in)             :: policyr
real(8), dimension(10,2), intent(in)             :: ini_asset
real(8), dimension(1036000,18), intent(in)        :: panel_in

real(8), dimension(1036000,18), intent(out)        :: panel



!define further variables
integer(4)                    :: m=1,seed(2)=2916013
real(8), dimension(H)         :: sim_asset,sim_emp,sim_firm,sim_ini_disab
real(8), dimension(H,T)       :: sim_destruct,sim_offer,sim_on_offer
real(8), dimension(H,T)       :: sim_off_offer,sim_real,sim_disin,sim_distran
real(8), dimension(fnodes)    :: trans_firm
real(8)                       :: w_t,w_tran,ben,dinc,a_dec,e_dec,s_dec,aux_ss,net_wage,destruct,psi_aux,inc_aux
real(8)                       :: pi_gb_t,pi_bg_t,trick,transfer_b2_aux
real(8), dimension(2)         :: psi
integer(4)				     :: i1,t1,i2,offer_index,aux_a_ini,aux_f_ini,aux_a_ini2,cont
real(8), dimension(na,np,nc)    :: aux_resh
real(8), dimension(np,fnodes) :: transfer_w_aux
real(8), dimension(nc)        :: inc_d_trans_aux

!call sub_mexWriteString('head works')

call random_seed(size=m)
call random_seed(put=seed)
!CALL RANDOM_SEED()
do i1=1,H
    call random_number(sim_asset(i1))
    call random_number(sim_emp(i1))
    call random_number(sim_firm(i1))
    call random_number(sim_ini_disab(i1))
	do t1 = 1,T
		call random_number(sim_destruct(i1,t1))
		call random_number(sim_offer(i1,t1))
		call random_number(sim_on_offer(i1,t1))
        call random_number(sim_off_offer(i1,t1))
        call random_number(sim_real(i1,t1))
        call random_number(sim_disin(i1,t1))
        call random_number(sim_distran(i1,t1))
    end do
end do

call cumsum(gamma_w,trans_firm,fnodes)


panel = panel_in

!call sub_mexWriteString('initialization works')

do i2 = 1,1036000
    t1 = panel_in(i2,13) !age
    i1 = panel_in(i2,9)  !original worker index
    !call sub_mexWriteString('i2 running')
    if (t1 <= 40) then
        destruct = destruct_age(1)
    elseif (t1 <= 100) then
        destruct = destruct_age(2)
    else
        destruct = destruct_age(3)
    end if
    if (t1 <= 100) then
        psi = psi_y
    else
        psi = psi_o
    end if
        
        if (t1 < work) then !cannot apply
             !worker can apply for disability insurance
            if (panel(i2,1) == 1) then !employed
                
                if (sim_destruct(i1,t1) > destruct) then !job not destroyed
                    if (sim_real(i1,t1) > lambda_d) then !no reallocation
                        if (sim_on_offer(i1,t1) <= panel(i2,10)) then !get a job offer
                            call find_pos(trans_firm,sim_offer(i1,t1),offer_index,fnodes)  
                            offer_index = offer_index+1
                            panel(i2,4) = max(real(offer_index),panel(i2,4))
                            if ((panel(i2,14)-panel(i2,3))<disab_c) then !large negative productivity shock
                                if (panel(i2,17)==0) then !not disabled next period
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_e_g(:,:,:,panel(i2,4), &
                                            t1-(work-disable)),na,np,nc &
                                            ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                else
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_e_b(:,:,:,panel(i2,4), &
                                            t1-(work-disable)),na,np,nc &
                                            ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                end if
                            else
                                if (panel(i2,17)==0) then !not disabled
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_u_g(:,:,:,panel(i2,4),t1) &
                                                ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                else
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_u_b(:,:,:,panel(i2,4),t1) &
                                                ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                end if
                            end if
                            if (e_dec >= 0.5) then !chooses employment
                                panel(i2,1) = 1
                            else !chooses unemployment
                                panel(i2,1) = 2
                            end if
                        else !no job offer
                            if ((panel(i2,14)-panel(i2,3))<disab_c) then !large negative productivity shock
                                if (panel(i2,17)==0) then !not disabled
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_e_g(:,:,:,panel(i2,4), &
                                                t1-(work-disable)),na,np,nc &
                                                ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                else
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_e_b(:,:,:,panel(i2,4), &
                                                t1-(work-disable)),na,np,nc &
                                                ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                end if   
                            else
                                if (panel(i2,17)==0) then !not disabled
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_u_g(:,:,:,panel(i2,4),t1) &
                                            ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                else
                                    call interp3(agrid,pgrid,grid_nc,emp_pol_u_b(:,:,:,panel(i2,4),t1) &
                                            ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                                end if
                            end if

                            if (e_dec >= 0.5) then !chooses employment
                                panel(i2,1) = 1
                            else
                                panel(i2,1) = 2
                            end if
                        
                        end if
                    else !reallocation
                        call find_pos(trans_firm,sim_offer(i1,t1),offer_index,fnodes)  
                        offer_index = offer_index+1
                        panel(i2,4) = real(offer_index)
                        if ((panel(i2,14)-panel(i2,3))<disab_c) then !large negative productivity shock
                            if (panel(i2,17)==0) then !not disabled
                                call interp3(agrid,pgrid,grid_nc,emp_pol_e_g(:,:,:,panel(i2,4), &
                                    t1-(work-disable)),na,np,nc &
                                    ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                            else
                                call interp3(agrid,pgrid,grid_nc,emp_pol_e_b(:,:,:,panel(i2,4), &
                                    t1-(work-disable)),na,np,nc &
                                    ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                            end if
                        else
                            if (panel(i2,17)==0) then !not disabled
                                call interp3(agrid,pgrid,grid_nc,emp_pol_u_g(:,:,:,panel(i2,4),t1) &
                                        ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                            else
                                call interp3(agrid,pgrid,grid_nc,emp_pol_u_b(:,:,:,panel(i2,4),t1) &
                                        ,na,np,nc,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)   
                            end if
                        end if
                        
                        if (e_dec >= 0.5) then !chooses employment
                            panel(i2,1) = 1
                        else !chooses unemployment
                            panel(i2,1) = 2
                        end if
                    end if
                else !job destroyed
                    panel(i2,1) = 2
                end if
                
            elseif (panel(i2,1) == 2) then !just unemployed


                if ((panel(i2,3)-panel(i2,18))<disab_c) then !large negative productivity shock got him unemployed
                    if (panel(i2,11)==0) then !not disabled today
                        call interp3(agrid,pgrid,grid_nc,d_pol_g(:,:,:,t1-(work-disable)),na,np,nc &
                                ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                    else
                        call interp3(agrid,pgrid,grid_nc,d_pol_b(:,:,:,t1-(work-disable)),na,np,nc &
                                ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                    end if
                else
                    e_dec = 0.d0
                end if
                if (e_dec >= 0.5) then !applies to disability
                    if (sim_disin(i1,t1) <= psi_aux) then !moves to disability
                        panel(i2,1) = 4
                    else !move to unemployment
                        panel(i2,1) = 3
                    end if
                else !does not apply for disability
                    if (sim_off_offer(i1,t1) < panel(i2,10)) then !gets offer
                        call find_pos(trans_firm,sim_offer(i1,t1),offer_index,fnodes)  
                        offer_index = offer_index+1
                        if (panel(i2,17)==0) then !not disabled 
                            call interp3(agrid,pgrid,grid_nc,emp_pol_u_g(:,:,:,offer_index,t1),na,np,nc &
                                    ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                        else
                            call interp3(agrid,pgrid,grid_nc,emp_pol_u_b(:,:,:,offer_index,t1),na,np,nc &
                                    ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                        end if
                        if (e_dec >= 0.5) then !does accept job
                            panel(i2,1) = 1
                        else !stay unemployed
                            panel(i2,1) = 3
                        end if
                    else
                        panel(i2,1) = 3
                    end if
                end if
            elseif (panel(i2,1) == 3) then !long unemployed 
               
                if (sim_off_offer(i1,t1) < panel(i2,10)) then !become employed
                    call find_pos(trans_firm,sim_offer(i1,t1),offer_index,fnodes)  
                    offer_index = offer_index+1
                    if (panel(i2,17)==0) then !not disabled
                        call interp3(agrid,pgrid,grid_nc,emp_pol_u_g(:,:,:,offer_index,t1),na,np,nc &
                            ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                    else
                        call interp3(agrid,pgrid,grid_nc,emp_pol_u_b(:,:,:,offer_index,t1),na,np,nc &
                            ,panel(i2,15),panel(i2,14),panel(i2,16),e_dec)
                    end if
                    if (e_dec >= 0.5) then !does accept job
                        panel(i2,1) = 1
                    else
                        panel(i2,1) = 3
                    end if
                else !stay unemployed
                    panel(i2,1) = 3
                end if
            else !DI
                panel(i2,1) = 4
            end if
        
        else !goes to retirement
            panel(i2,1) = 5
        end if    


end do



end subroutine



    
    
subroutine cumsum(vec_in,vec_out,n)
!performs cumsum on vector vec_in

!define in and outputs
integer(4), intent(in)	   :: n
real(8), intent(in)    :: vec_in(n)
real(8), intent(out)   :: vec_out(n)
integer(4)                :: i1

vec_out(1) = vec_in(1)
do i1 = 2,n
	vec_out(i1) = vec_out(i1-1)+vec_in(i1)
end do


end subroutine




subroutine find_pos(vec_in,sca,pos,n)
!finds sca on monotone vector vec_in (number of smaller/equal points)

!define in and outputs
integer(4), intent(in)	   :: n
real(8), intent(in)    :: vec_in(n),sca
integer(4), intent(out)   :: pos
integer(4)                :: i1

pos = 0
do i1 = 1,n
	if (sca>=vec_in(i1)) then
		pos = i1
	end if
	if (vec_in(i1)>sca) exit
end do

end subroutine




subroutine lininter(x,y,n,x0,y0)

!Function lininter computes a linear interpolation for point x0
!given the vector of x-values in x and their corresponding funtional values y with length n

implicit none

!define in and outputs
integer(4), intent(in)                  :: n
real(8), intent(in)             		:: x(n),y(n)
real(8), intent(in)                     :: x0
real(8), intent(out)                    :: y0

!further variables 
integer(4)                                 :: j

!call locate(x,n,x0,j)
call find_pos(x,x0,j,n)

if (j==0) then
    j=1
elseif (j==n) then
    j=n-1
end if

y0 = y(j)+(y(j+1)-y(j))*(x0-x(j))/(x(j+1)-x(j));

end subroutine lininter

    
    
subroutine interp2(x,y,v,nx,ny,x0,y0,v0)

!Function lininter computes a 2D linear interpolation for point x0,y0
!given the vector of x and y-values in x and y and their 
!corresponding funtional values v 

implicit none

!define in and outputs
integer(4), intent(in)                  :: nx,ny
real(8), intent(in)             		:: x(nx),y(ny),v(nx,ny)
real(8), intent(in)                     :: x0,y0
real(8), intent(out)                    :: v0

!further variables 
integer(4)                                 :: jx,jy,n
real(8)                                 :: num,a00,a01,a10,a11

!call locate(x,n,x0,j)
call find_pos(x,x0,jx,nx)

if (jx==0) then
    jx=1
elseif (jx==nx) then
    jx=nx-1
end if

call find_pos(y,y0,jy,ny)

if (jy==0) then
    jy=1
elseif (jy==ny) then
    jy=ny-1
end if


num = ((x(jx+1)-x(jx))*(y(jy+1)-y(jy)))
a00 = ((x(jx+1)-x0)*(y(jy+1)-y0))/num
a01 = ((x(jx+1)-x0)*(y0-y(jy)))/num
a10 = ((x0-x(jx))*(y(jy+1)-y0))/num
a11 = ((x0-x(jx))*(y0-y(jy)))/num

v0 = a00*v(jx,jy)+a01*v(jx,jy+1)+a10*v(jx+1,jy)+a11*v(jx+1,jy+1)

end subroutine interp2
    
    
    
subroutine interp3(x,y,z,v,nx,ny,nz,x0,y0,z0,v0)
!Function interp3 computes a 3D linear interpolation for point x0,y0,z0
!given the vector of x, y and z-values in x and y and their 
!corresponding funtional values v 

implicit none

!define in and outputs
integer(4), intent(in)                  :: nx,ny,nz
real(8), intent(in)             		:: x(nx),y(ny),z(nz),v(nx,ny,nz)
real(8), intent(in)                     :: x0,y0,z0
real(8), intent(out)                    :: v0

!further variables 
integer(4)                              :: jx,jy,jz,n
real(8)                                 :: num,a000,a001,a010,a011
real(8)                                 :: a100,a101,a110,a111



call find_pos(x,x0,jx,nx)

if (jx==0) then
    jx=1
elseif (jx==nx) then
    jx=nx-1
end if

call find_pos(y,y0,jy,ny)

if (jy==0) then
    jy=1
elseif (jy==ny) then
    jy=ny-1
end if


call find_pos(z,z0,jz,nz)

if (jz==0) then
    jz=1
elseif (jz==nz) then
    jz=nz-1
end if


num = ((x(jx+1)-x(jx))*(y(jy+1)-y(jy))*(z(jz+1)-z(jz)))

a000 = ((x(jx+1)-x0)*(y(jy+1)-y0)*(z(jz+1)-z0))/num
a001 = ((x(jx+1)-x0)*(y(jy+1)-y0)*(z0-z(jz)))/num
a010 = ((x(jx+1)-x0)*(y0-y(jy))*(z(jz+1)-z0))/num
a011 = ((x(jx+1)-x0)*(y0-y(jy))*(z0-z(jz)))/num
a100 = ((x0-x(jx))*(y(jy+1)-y0)*(z(jz+1)-z0))/num
a101 = ((x0-x(jx))*(y(jy+1)-y0)*(z0-z(jz)))/num
a110 = ((x0-x(jx))*(y0-y(jy))*(z(jz+1)-z0))/num
a111 = ((x0-x(jx))*(y0-y(jy))*(z0-z(jz)))/num


v0 = a000*v(jx,jy,jz)+a001*v(jx,jy,jz+1)+a010*v(jx,jy+1,jz)+a011*v(jx,jy+1,jz+1) &
        +a100*v(jx+1,jy,jz)+a101*v(jx+1,jy,jz+1)+a110*v(jx+1,jy+1,jz)+a111*v(jx+1,jy+1,jz+1)
        
end subroutine interp3
    

    
    
    
subroutine max_int(int_out,int1,int2)

!max of integer

implicit none

!define in and outputs
integer, intent(in)						:: int1,int2
integer, intent(out)                    :: int_out


if (int1>=int2) then
    int_out = int1
else
    int_out = int2
end if

end subroutine max_int


subroutine sub_mexWriteString(String)
  implicit none
  character(*),intent(in):: String
  call mexPrintf(achar(10))
  call mexPrintf(trim(adjustl(String)))
end subroutine sub_mexWriteString