function con_drop = comp_condrop(NLSY_aux,work)

%sum all non-employed
NLSY_aux(NLSY_aux(:,1)==4,:) = []; %drop disabled
NLSY_aux(NLSY_aux(:,1)==3,1) = 2; %all unemployed

%compute employment transition rates
fcn = @(x){create_diff(x)};
NLSY_aux(:,14) = accumarray_expand(NLSY_aux(:,1),NLSY_aux(:,9),fcn); %employment transitions
NLSY_aux(:,15) = accumarray_expand(log(NLSY_aux(:,8)),NLSY_aux(:,9),fcn); %consumption growth
index = (NLSY_aux(:,1)==5).*(NLSY_aux(:,14)~=4); %non-employed to retire
NLSY_aux(logical(index),14) = 0;
NLSY_aux(:,14) = NLSY_aux(:,14)>0; %disregard those becoming employed
% NLSY_aux(NLSY_aux(:,1)==3,13)=0;

% NLSY_aux(1:end-1,13) = NLSY_aux(2:end,13); %move transition 1 back
% NLSY_aux(1:end-1,14) = NLSY_aux(2:end,14); %move consumption growth back
% NLSY_aux(NLSY_aux(:,13)==-1,13) = 0; %keep only consumption growth with eu and er
% NLSY_aux(NLSY_aux(:,12)==3,12) = 0; %keep only consumption growth with eu and er
% NLSY_aux(NLSY_aux(:,12)==work+1,:) = []; %delete last period, worker cannot make a transition
index = NLSY_aux(:,14)==1;
con_drop.total = mean(NLSY_aux(index,15));
con_drop.total_N = sum(index);
index = (NLSY_aux(:,14)==1).*(NLSY_aux(:,1)==2);
con_drop.eu = mean(NLSY_aux(logical(index),15));
con_drop.eu_N = sum(index);
index = (NLSY_aux(:,14)==1).*(NLSY_aux(:,1)==5);
con_drop.er = mean(NLSY_aux(logical(index),15));

%year ahead
NLSY_aux(:,14)=NLSY_aux(:,14).*(NLSY_aux(:,1)==2); %keep only those moving to unemployment
NLSY_aux(1:end-1,14) = NLSY_aux(2:end,14); %move transition 1 back
fcn = @(x){create_LEAD(x,3)};
NLSY_aux(:,16) = accumarray_expand(NLSY_aux(:,8),NLSY_aux(:,9),fcn); %consumption lead
NLSY_aux(:,17) = accumarray_expand(NLSY_aux(:,1),NLSY_aux(:,9),fcn); %employment lead
NLSY_aux(isnan(NLSY_aux(:,17)),:) = [];
index = logical((NLSY_aux(:,14)==1).*(NLSY_aux(:,17)==2));
NLSY_aux = NLSY_aux(index,:);
NLSY_aux(:,15) = log(NLSY_aux(:,16))-log(NLSY_aux(:,8));
con_drop.eu_long = mean(NLSY_aux(:,15));
con_drop.eu_long_N = length(NLSY_aux(:,15));

end