function disab_info = comp_disab(NLSY_aux,work,disable,names)

%compute number of diabled and share of people in DI

%disability rate by age
aux = sortrows(NLSY_aux,13);
fcn = @(x){mean(x)};
disab_info.rate_age = accumarray_expand_s(aux(:,11),aux(:,13),fcn); 

%share in DI old age
aux = NLSY_aux; 
aux(:,1) = aux(:,1)==4;
aux = sortrows(aux,13);
fcn = @(x){mean(x)};
disab_info.DI_rate_age = accumarray_expand_s(aux(:,1),aux(:,13),fcn);
disab_info.DI_rate_young = mean(disab_info.DI_rate_age(1:work-44));
disab_info.DI_rate_old = mean(disab_info.DI_rate_age(work-44+1:work));

%conditional on good health status, share in DI old age
aux = NLSY_aux(NLSY_aux(:,11)==0,:); %good health
aux(:,1) = aux(:,1)==4;
aux = sortrows(aux,13);
fcn = @(x){mean(x)};
disab_info.DI_rate_age_g = accumarray_expand_s(aux(:,1),aux(:,13),fcn);
disab_info.DI_rate_g = mean(disab_info.DI_rate_age_g(work-44+1:work));


%conditional on bad health status, share in DI old age
aux = NLSY_aux(NLSY_aux(:,11)==1,:); %bad health
aux(:,1) = aux(:,1)==4;
aux = sortrows(aux,13);
fcn = @(x){mean(x)};
disab_info.DI_rate_age_b = [0; accumarray_expand_s(aux(:,1),aux(:,13),fcn)];
disab_info.DI_rate_b = mean(disab_info.DI_rate_age_b(work-44+1:work));

aux = NLSY_aux(NLSY_aux(:,1)==1,:); %keep the employed
aux(:,7) = log(aux(:,7));
aux(:,13) = ceil(aux(:,13)/4); %yearly age
dummy_age = dummyvar(aux(:,13));
reg = ols(aux(:,7),[ones(length(aux),1) dummy_age(:,2:end) aux(:,11)]);

disab_info.dummy = reg.beta(end);
end