function [excess,movers,stayers] = comp_excess_wg(NLSY_aux,names)

%compute reduced form depretiation coefficient

%keep only employed
NLSY_aux(NLSY_aux(:,1)>1,:) = [];

%compute wage growth
fcn = @(x){create_diff2(x)};
NLSY_aux(:,14) = accumarray_expand(log(NLSY_aux(:,7)),NLSY_aux(:,9),fcn);

%replace wage growth NaN if period missing (unemployment spell)
fcn = @(x){create_diff(x)};
NLSY_aux(:,15) = accumarray_expand(NLSY_aux(:,13),NLSY_aux(:,9),fcn);
NLSY_aux(NLSY_aux(:,15)>1,14) = NaN;

%move JTJ one front
NLSY_aux(2:end,2)=NLSY_aux(1:end-1,2);

%keep only valid observations
NLSY_aux(isnan(NLSY_aux(:,14)),:)=[];

%variance job stayers
stayers = var(NLSY_aux(NLSY_aux(:,2)==0,14));

%variance job movers
movers = var(NLSY_aux(NLSY_aux(:,2)==1,14));

excess = movers-stayers;
end