function [ue,en,ee,ee_p,share_loss,ee_gain,Neu_age,young,eu,eolf] = comp_trans(NLSY_aux,work,names)

%compute employment transition rates

%drop retired (and DI) 
NLSY_aux(NLSY_aux(:,1)==5,:) = [];
NLSY_aux(NLSY_aux(:,1)==4,:) = [];

%sum all unemployed
aux = NLSY_aux(:,1); %used later
NLSY_aux(NLSY_aux(:,1)==3,1) = 2;

fcn = @(x){create_diff(x)};
NLSY_aux(:,14) = accumarray_expand(NLSY_aux(:,1),NLSY_aux(:,9),fcn); %employment transitions
NLSY_aux(:,15) = accumarray_expand(log(NLSY_aux(:,7)),NLSY_aux(:,9),fcn); %wage growth
NLSY_aux(NLSY_aux(:,14)==Inf,15)=0;
NLSY_aux(NLSY_aux(:,14)==-Inf,15)=0;
NLSY_aux(isnan(NLSY_aux(:,14)),15)=0;
NLSY_aux(1:end-1,14) = NLSY_aux(2:end,14); %move transition 1 back
NLSY_aux(1:end-1,15) = NLSY_aux(2:end,15); %move wage growth back
NLSY_aux(NLSY_aux(:,2)==0,15) = 0; %keep only wage growth with jtj

%retirenemnt, disability, last period, worker cannot make a transition
NLSY_aux(aux==4,:) = [];
NLSY_aux(NLSY_aux(:,1)==5,:) = []; 
NLSY_aux(NLSY_aux(:,11)>=work-1,:) = []; 

en.all = sum(NLSY_aux(:,14)==1)./sum(NLSY_aux(:,1)==1);
ee = sum(NLSY_aux(:,2)==1)./sum(NLSY_aux(:,1)==1);
ee_p = sum(logical((NLSY_aux(:,2)==1).*(NLSY_aux(:,15)>=0)))./sum(NLSY_aux(:,1)==1);
aux = NLSY_aux(NLSY_aux(:,2)==1,15);
share_loss.all = sum(aux<0)./length(aux);
ee_gain.t = mean(aux);
aux1 = aux(aux>0);
ee_gain.g = mean(aux1);
aux2 = aux(aux<0);
ee_gain.l = mean(aux2);
index = (NLSY_aux(:,2)==1).*(NLSY_aux(:,13)<=100);
aux = NLSY_aux(index==1,15);
share_loss.young = sum(aux<0)./length(aux);
index = (NLSY_aux(:,2)==1).*(NLSY_aux(:,13)>100);
aux = NLSY_aux(index==1,15);
share_loss.old = sum(aux<0)./length(aux);

%en by age
aux = NLSY_aux(NLSY_aux(:,13)<=40,:);
en.a1 = sum(aux(:,14)==1)./sum(aux(:,1)==1);
aux = NLSY_aux(logical((NLSY_aux(:,13)>40).*(NLSY_aux(:,13)<=100)),:);
en.a2 = sum(aux(:,14)==1)./sum(aux(:,1)==1);
aux = NLSY_aux(NLSY_aux(:,13)>100,:);
en.a3 = sum(aux(:,14)==1)./sum(aux(:,1)==1);

%decompose EN into EU and EOLF
olf = ((NLSY_aux(:,1)>1)).*(NLSY_aux(:,10)==0);
olf_next = [olf(2:end); 0];
aux = NLSY_aux(:,14);
aux(olf_next==1) = 0;
eu.all = sum(aux==1)./sum(NLSY_aux(:,1)==1);
aux = NLSY_aux(:,14);
aux(olf_next==0) = 0;
eolf.all = sum(aux==1)./sum(NLSY_aux(:,1)==1);

%transition rates young
aux = NLSY_aux(NLSY_aux(:,13)<=100,:);
young.en = sum(aux(:,14)==1)./sum(aux(:,1)==1);
young.ee = sum(aux(:,2)==1)./sum(aux(:,1)==1);
young.ee_p = sum(logical((aux(:,2)==1).*(aux(:,15)>=0)))./sum(aux(:,1)==1);

NLSY_aux(logical(olf==1),:) = []; %drop unemployed not searching

ue = sum(NLSY_aux(:,14)==-1)./sum(NLSY_aux(:,1)==2);

aux = NLSY_aux(NLSY_aux(:,13)<=100,:); %transition rates young
young.ue = sum(aux(:,14)==-1)./sum(aux(:,1)==2);

%number of en transitions by age
NLSY_aux(:,14)= NLSY_aux(:,14)==1;
aux = sortrows(NLSY_aux(:,[13 14]),1);
fcn = @(x){count_true(x)};
Neu_age = accumarray_expand_s(aux(:,2),aux(:,1),fcn); 


end