
set more off
clear all

cd "D:\Uni\Ariel\SIPP 7.7.2023"
set more off

set matsize 2000

*When using the wages in level use the adjusted data from top coded. While when using the wage growth use the unadjusted data* 



cap log close
log using calibration_growth, replace






****************************************************************************************************
******************************GRAPHS RESIDUAL WAGE GROWTH AND WAGE LEVELS***************************
****************************************************************************************************



u data3_sipp_qt_calib,clear
keep id old_id su_id pp_entry pp_pnum pp_wave year nom_q_hwage quarter firm q_hwage q_hours q_earn g gE M M_2 oth_inc oth_ear hh_inc hh_ear hh_tra pp_ear obs_firm panel_year sex emp lout grades age white married f_oklt18 publ region state h_tenur h_metro ind_group occupation_main class_worker_main tenure_main exper wpfinwgt cpi disab disab_ss lout nom_q_hwage partner_work single_work partner_move_job child_male hhtwlth hhscdbt hhusdbt hhdebt hhtnw nomearn_main_hh nomearn_spouse_hh weekly_hours ui uirank uirank2 unemp_rate min_wage min_state_tax max_state_tax home_value h_metro f_oklt18 sex oth_inc oth_ear industry ind type agr cons manuf trade fin serv publ notforprof ind_change_wave dsingle_work dpartner_move_job dregd1 dregd2 dregd3 regd* dmarr dh_metro dagr dcons dmanuf dfin dserv dpubl dnotfor dunemp_rate df_oklt18 dtenure_main dh_tenur dexper doth_ear ddisab dpartner_work dexper2 dtenure_main2 inter_married_kids new_disag_group_occ disag_group_occ2 mayor_group_occ1  dummy_occ* docc* dummy_disag_occ* disag_group_occ2 d_disag_occ* age_old age2 exper_sq dummy_quarter* dummy_h_tenur* dummy_f_oklt18* part yrd* prev_* disag_group_occ2 caidcov_ave hh_tra_ave d_new_disag_occ* new_dummy_disag_occ*  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr 
sort id year quarter
by id: gen count = _N
drop if count==1
drop count
gen period=. 
replace period=1 if year>=1983 & year<=1993
replace period=2 if year>=1994 & year<=2003
replace period=3 if year>=2004 & year<=2013
drop if sex==2
cap drop time
egen time = group(year quarter)


save data_sipp_new_forlater_forcalib_qt,replace		/*Save intermediate data set for wage level equation*/




use data_sipp_new_forlater_forcalib_qt, clear

cap drop time
cap drop time
egen time = group(year quarter)
egen id2 = group(id period panel_year)
drop id
rename id2 id

*start new idea when time period missing
egen time2=group(year quarter)
sort id time2
by id: gen diff_time = time2-time2[_n-1]
replace diff_time=1 if diff_time==.
replace diff_time= diff_time>1
by id: gen aux = sum(diff_time)
egen id2 = group(id aux)
drop id
rename id2 id
gen aux3=id
destring aux3, replace
xtset aux3 time2
drop diff_time aux

gen log_week_hours=log(weekly_hours)
gen log_change_hours=log_week_hours-L.log_week_hours

tab year,gen(yrd)



***Wage growth***
sort id year quarter


gen resid =.
forval x=1(1)3 {

reg g age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==1 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid= g-yhat  if grades==1 & sex==1 & period==`x'
cap drop yhat

reg g age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==2 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid= g-yhat  if grades==2 & sex==1 & period==`x'
cap drop yhat

reg g age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==3 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid= g-yhat  if grades==3 & sex==1 & period==`x'
cap drop yhat

}


gen hours_resid =.
forval x=1(1)3 {

reg log_change_hours age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==1 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace hours_resid= log_change_hours-yhat  if grades==1 & sex==1 & period==`x'
cap drop yhat

reg log_change_hours age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==2 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace hours_resid= log_change_hours-yhat  if grades==2 & sex==1 & period==`x'
cap drop yhat

reg log_change_hours age age2 married dmarr white unemp_rate dunemp_rate exper exper_sq dh_metro h_metro disab ddisab  prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr dpubl dcons dmanuf dserv dfin dagr d_new_disag_occ1 d_new_disag_occ2 d_new_disag_occ3 d_new_disag_occ4 d_new_disag_occ5 d_new_disag_occ6 d_new_disag_occ7 d_new_disag_occ8 d_new_disag_occ9 yrd* dummy_quarter2 dummy_quarter3 dummy_quarter4 dregd1 dregd2 dregd3 regd1 regd2 regd3 if grades==3 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace hours_resid= g-yhat  if grades==3 & sex==1 & period==`x'
cap drop yhat

}

*Distribution of residual wage growth of job stayers
preserve
keep if M==0
foreach r in     1 2 3 {
         foreach l in     1 2 3 {
			sum(resid) [aweight=wpfinwgt] if grade==`r' & period==`l', d
			gen kelly = (r(p90)+r(p10)-2*r(p50))/(r(p90)-r(p10))
			sum kelly
			drop kelly
	}
}
restore

*Distribution of residual wage growth of job movers
preserve
keep if M==1
foreach r in     1 2 3 {
         foreach l in     1 2 3 {
			sum(resid) [aweight=wpfinwgt] if grade==`r' & period==`l', d
			gen kelly = (r(p90)+r(p10)-2*r(p50))/(r(p90)-r(p10))
			sum kelly
			drop kelly
	}
}
restore

*Distribution of residual wage growth of job stayers with positive residual growth
preserve
keep if M==0
keep if resid>=0
foreach r in     1 2 3 {
         foreach l in     1 2 3 {
			sum(resid) [aweight=wpfinwgt] if grade==`r' & period==`l', d
	}
}
restore

**Get table of residual wage growth by period all****
preserve
collapse (sd) resid hours_resid [aweight=wpfinwgt], by(period sex grade)
save "sd_resid_g.dta", replace
drop hours_resid
outsheet using sd_resid_g, comma nolabel nonames replace
*export excel "raw_dispersions_alltogether.xls", firstrow(variables) replace
restore

preserve
collapse (sd) resid hours_resid [aweight=wpfinwgt], by(period sex grade M)
drop if M==.
save "sd_resid_g_byM.dta", replace
drop hours_resid
outsheet using sd_resid_g_byM, comma nolabel nonames replace
*export excel "raw_dispersions_jobstatus.xls", firstrow(variables) replace
restore

*autocovariance structure
preserve
sort id year quarter
drop if g==.
drop time
egen time = group(year quarter)
by id: gen diff_time = time-time[_n-1]
replace diff_time=1 if diff_time==.
replace diff_time= diff_time>1
by id: gen aux = sum(diff_time)
egen id2 = group(id aux)
sort id2 time
keep period grade id2 resid
by id: gen l1 =resid[_n-1]
by id: gen l2 =resid[_n-2]
by id: gen l3 =resid[_n-3]
replace l3=l3*resid
replace l2=l2*resid
replace l1=l1*resid
replace resid=resid*resid
sort period grade
by period grade: sum resid l1 l2 l3
restore


******************************************************************************************************************************
***CALIBRATION TARGETS
******************************************************************************************************************************
use data_sipp_new_forlater_forcalib_qt, clear

cap drop time
cap drop time
egen time = group(year quarter)

gen age_bin=1 if age_old>=25 & age_old<=34
replace age_bin=2 if age_old>=35 & age_old<=49
replace age_bin=3 if age_old>=50 & age_old<=61

*employment, out of the labor force, and di rates by education and time
bysort grade: tab period [weight=wpfinwgt], sum(part)
bysort grade: tab period [weight=wpfinwgt], sum(lout)
bysort grade: tab period [weight=wpfinwgt], sum(disab_ss)
bysort grade: tab period if age_old>54 [weight=wpfinwgt], sum(part)
bysort grade: tab period if age_old>54 [weight=wpfinwgt], sum(lout)
bysort grade: tab period if age_old>54 [weight=wpfinwgt], sum(disab_ss)




**Average wage growth conditional on positive wage growth and EE**
bysort grade: tab period if g>0 & M_2==1 [weight=wpfinwgt], sum(g)

**Average wage decline conditional on positive wage growth and EE**
bysort grade: tab period if g<0 & M_2==1 [weight=wpfinwgt], sum(g)

**Average wage growth conditional on EE and young**
bysort grade: tab period if M_2==1 & age_old<30 [weight=wpfinwgt], sum(g)

**Average wage growth conditional on EE and prime-age**
bysort grade: tab period if M_2==1 & age_old>=30 & age_old<50 [weight=wpfinwgt], sum(g)

**Average wage growth conditional on EE and old-age**
bysort grade: tab period if M_2==1 & age_old>=50 [weight=wpfinwgt], sum(g)

*Moments of wage growth cobditional of job-to-job
bysort grade sex: tab period if M_2==1, sum(g), [aweight=wpfinwgt]
bysort grade sex: tab period if M_2==0, sum(g), [aweight=wpfinwgt]

tab year,gen(yrd)

***EMPLOYMENT SHARE AT different ages****
bysort grade: tab part if sex==1 & period==1 & age_old==25 [iweight=wpfinwgt]
*bysort grade: tab part if sex==1 & period==1 & age_old>=42 & age_old<=45 [iweight=wpfinwgt]
*bysort grade: tab part if sex==1 & period==1 & age_old>=55 & age_old<=58 [iweight=wpfinwgt]
*bysort grade: tab part if sex==1 & period==1 & age_old>=50 & age_old<=60 [iweight=wpfinwgt]
*bysort grade: tab part if sex==1 & period==1 & age_old>=58 & age_old<=61 [iweight=wpfinwgt]
*bysort grade: tab part if sex==1 & period==1 & age_old==61 [iweight=wpfinwgt]
*preserve
*gen emp_aux = emp<3
*sort age_old
*by age_old: tab emp_aux lout [iweight=wpfinwgt]
*restore


**flow rates
egen time2=group(year quarter)
gen aux3=id
destring aux3, replace
xtset aux3 time2
sort aux3 time2




**Share loss at jtj**
gen g_nom=nom_q_hwage-L.nom_q_hwage  
gen share_loss=.
gen share_loss_young=.
gen share_loss_old=.
replace share_loss=0 if firm!=L.firm & L.firm!=. & firm!=. & M_2==1
replace share_loss_young=0 if firm!=L.firm & L.firm!=. & firm!=. & M_2==1 & age_old<50
replace share_loss_old=0 if firm!=L.firm & L.firm!=. & firm!=. & M_2==1 & age_old>=50
replace share_loss=1 if firm!=L.firm & L.firm!=. & g_nom<0  & firm!=. & g_nom!=. & M_2==1
replace share_loss_young=1 if firm!=L.firm & L.firm!=. & g_nom<0  & firm!=. & g_nom!=. & M_2==1 & age_old<50
replace share_loss_old=1 if firm!=L.firm & L.firm!=. & g_nom<0  & firm!=. & g_nom!=. & M_2==1 & age_old>=50
bysort grade: tab period, sum(share_loss)
bysort grade: tab period, sum(share_loss_young)
bysort grade: tab period, sum(share_loss_old)



**Job finding rate unemployed**
sort aux3 time2
*by aux3: gen N = _n
*gen jf=.
*replace jf=0 if part!=1 & part!=. & lout==0
*replace jf=1 if L.part!=1 & part==1 & L.part!=. & lout==0
*by aux3: gen Nlast = _N
by aux3: gen diff_emp = part[_n+1]-part[_n]
replace diff_emp = diff_emp==1 if diff_emp!=.
by aux3: gen diff_time = time2[_n+1]-time2[_n]
replace diff_time=1 if diff_time==.
preserve
keep if part==0 & lout==0
drop if diff_emp==.
drop if diff_time>1
*drop if N==1  
*bysort grade sex: tab period, sum(jf), [aweight=wpfinwgt]
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
keep if age_old<50
*bysort grade sex: tab period, sum(jf), [aweight=wpfinwgt]
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
restore
**Job finding rate out of labor force**
preserve
keep if part==0 & lout==1
drop if diff_emp==.
drop if diff_time>1
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
keep if age_old<50
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
restore
**Job destruction rate employed**
*xtset aux3 time2
*gen jd=.
*xtset aux3 time2
*replace jd=0 if part==1 
*replace jd=1 if L.part==1 & part!=1 & part!=. 
drop diff_emp
sort aux3 time2
by aux3: gen diff_emp = part[_n+1]-part[_n]
replace diff_emp = diff_emp==-1 if diff_emp!=.
preserve
keep if part==1
drop if diff_emp==.
drop if diff_time>1
*drop if N==1  
*bysort grade sex: tab period, sum(jd), [aweight=wpfinwgt]
*bysort grade period sex: tab age_bin, sum(jd), [aweight=wpfinwgt]
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
bysort grade period sex: tab age_bin, sum(diff_emp), [aweight=wpfinwgt]
keep if age_old<50
*bysort grade sex: tab period, sum(jd), [aweight=wpfinwgt]
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
restore
**EU rate**
preserve
gen index = 1 if part==1 & F.lout==1 & F.part==0
replace diff_emp=0 if index==1
keep if part==1 
drop if diff_emp==.
drop if diff_time>1
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
keep if age_old<50
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
restore
**E OLF rate**
preserve
gen index = 1 if part==1 & F.lout==0 & F.part==0
replace diff_emp=0 if index==1
keep if part==1
drop if diff_emp==.
drop if diff_time>1
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
keep if age_old<50
bysort grade sex: tab period, sum(diff_emp), [aweight=wpfinwgt]
restore

**Job to Job transition rate**
xtset aux3 time2
gen jtj=.
replace jtj=0 if part==1   
replace jtj=1 if L.part==1 & part==1 & L.firm!=firm & L.firm!=. & M_2==1
drop diff_time
sort aux3 time2
by aux3: gen diff_job = firm[_n]-firm[_n-1]
replace diff_job = diff_job!=0 if diff_job!=.
by aux3: gen diff_time = time2[_n]-time2[_n-1]
replace diff_time=1 if diff_time==.
preserve
keep if part==1
drop if diff_job==.
drop if diff_time>1
*drop if N==1  
*bysort grade sex: tab period, sum(jtj), [aweight=wpfinwgt]
*keep if age_old<50
*bysort grade sex: tab period, sum(jtj), [aweight=wpfinwgt]
bysort grade sex: tab period, sum(diff_job), [aweight=wpfinwgt]
keep if age_old<50
bysort grade sex: tab period, sum(diff_job), [aweight=wpfinwgt]
restore
**Job to Job transition rate conditional on wage growth**
xtset aux3 time2
gen jtj_p=.
*replace jtj=0 if part==1  & F.part!=. 
*replace jtj=1 if L.part==1 & part==1 & L.firm!=firm & L.firm!=. & F.part!=. & M_2==1
replace jtj_p=0 if part==1   
replace jtj_p=1 if L.part==1 & part==1 & L.firm!=firm & L.firm!=. & M_2==1 & g_nom>=0
preserve
*drop if N==1  
bysort grade sex: tab period, sum(jtj_p), [aweight=wpfinwgt]
keep if age_old<50
bysort grade sex: tab period, sum(jtj_p), [aweight=wpfinwgt]
restore


*composition of the newley unemployed depending on business cycle state
drop diff_emp
sort aux3 time2
by aux3: gen diff_emp = part[_n+1]-part[_n]
replace diff_emp = diff_emp==-1 if diff_emp!=.
preserve
gen recession = 0
replace recession = 1 if year==1990 & quarter==4
replace recession = 1 if year==1991 & quarter==1
replace recession = 1 if year==2001 & quarter==2
replace recession = 1 if year==2001 & quarter==3
replace recession = 1 if year==2001 & quarter==4
replace recession = 1 if year==2008
replace recession = 1 if year==2009 & quarter==1
replace recession = 1 if year==2009 & quarter==2
bysort grade sex part: tab recession, sum(age_old), [aweight=wpfinwgt]
drop if diff_emp==.
keep if diff_emp ==1
bysort grade sex: tab recession, sum(age_old), [aweight=wpfinwgt]
bysort grade sex: tab recession, sum(q_hwage), [aweight=wpfinwgt]
restore


xtset aux3 time2

gen change_occ=0
replace change_occ=1 if new_disag_group_occ!=L.new_disag_group_occ & new_disag_group_occ!=. & L.new_disag_group_occ!=. 
gen change_ind=0
replace change_ind=1 if ind_group!=L.ind_group & ind_group!=. & L.ind_group!=. 
**Generate the within and between M***
gen M_w=0
replace M_w=1 if M==1 & change_ind==0 & change_occ==0
gen M_b=0
replace M_b=1 if M==1 & (change_ind==1 | change_occ==1)

*MEAN WAGE GROWTH CONDITIONAL ON WITHIN/Between movements equal to 1*
bysort grade sex: tab period if M_w==1, sum(g), [aweight=wpfinwgt]
bysort grade sex: tab period if M_b==1, sum(g), [aweight=wpfinwgt]


*Conditional on an E to NE movement at time t, look at the share of workers (relative to all E to NE) that have found a job within a year
xtset aux3 time2
gen quit_after_find_job=.
replace quit_after_find_job=1 if part==0 & L.part==1 & L2.part==1 & L3.part==0 & F.part!=.
replace quit_after_find_job=1 if part==0 & L.part==1 & L2.part==0 & L3.part==0 & F.part!=.
replace quit_after_find_job=1 if part==0 & L.part==1 & L2.part==0 & L3.part==1 & F.part!=.
replace quit_after_find_job=0 if part==0 & L.part==1 & L2.part!=. & L3.part!=. & F.part!=. & quit_after_find_job!=1
bysort grade sex: tab period, sum(quit_after_find_job), [aweight=wpfinwgt]

preserve
keep if emp==1 & sex==1 & period==1
keep if tenure_main~=.
replace tenure_main = exp(tenure_main)-1
sort grade
tab grade, sum(tenure_main), [aweight=wpfinwgt]
restore

*education shares
tab grade if period==1 [iweight=wpfinwgt]
tab grade if period==3 [iweight=wpfinwgt]
tab grade if period==1 & age_old>50 [iweight=wpfinwgt] 
tab grade if period==3 & age_old>50 [iweight=wpfinwgt] 

*education shares over the life-cycle
preserve
gen share_g1 = grade==1
gen share_g2 = grade==2
collapse (mean) share_g1 share_g2 [aweight=wpfinwgt], by(period age_old)
outsheet using educ_share_age, comma nolabel nonames replace
restore
 

**Share of elderly in disability insurance**
sum disab_ss [aweight=wpfinwgt] if disab==0
preserve
keep if age_old<=61 & age_old>=50
collapse (mean) disab_ss [aweight=wpfinwgt], by(period grade) 
restore
*conditional on health status
preserve
keep if disab==0
keep if age_old<=61 & age_old>=50
collapse (mean) disab_ss [aweight=wpfinwgt], by(period grade) 
restore
preserve
keep if disab==1
keep if age_old<=61 & age_old>=50
collapse (mean) disab_ss [aweight=wpfinwgt], by(period grade) 
restore

*disability rate by age
preserve
collapse (mean) disab [aweight=wpfinwgt], by(period grade age_old) 
outsheet using disab_age, comma nolabel nonames replace
restore

*disability rate of young by employment
preserve
keep if age_old<=27
replace emp = emp==1
sort period grade emp
by period grade emp: sum disab [aweight=wpfinwgt]
restore

*transition rate from disability to health by age
preserve
keep if panel_year>=96 
sort aux3 time2
by aux3: gen diff_disab = disab[_n+1]-disab
drop if diff_disab==.
replace diff_disab = diff_disab==-1
keep if disab==1
collapse (mean)diff_disab [aweight=wpfinwgt], by(grade age_old) 
outsheet using disab_to_health_age, comma nolabel nonames replace
restore

*transition rate from health to disability by age
preserve
keep if panel_year>=96 
sort aux3 time2
by aux3: gen diff_disab = disab[_n+1]-disab
drop if diff_disab==.
replace diff_disab = diff_disab==1
keep if disab==0
collapse (mean)diff_disab [aweight=wpfinwgt], by(grade age_old) 
outsheet using health_to_disab_age, comma nolabel nonames replace
restore

log close
