
set more off
clear all

cd "D:\Uni\Ariel\SIPP 7.7.2023"
set more off

set matsize 2000

*When using the wages in level use the adjusted data from top coded. While when using the wage growth use the unadjusted data* 








cap log close
log using calibration_levels, replace


****************************************************************************************************
******************************GRAPHS RESIDUAL WAGE GROWTH AND WAGE LEVELS***************************
****************************************************************************************************

u data3_sipp_qt_calib_topcoded,clear
keep id old_id su_id pp_entry pp_pnum pp_wave year nom_q_hwage quarter real_net_worth firm q_hwage q_hours q_earn g gE M M_2 oth_inc oth_ear hh_inc hh_ear hh_tra pp_ear obs_firm panel_year sex emp lout grades age white married f_oklt18 publ region state h_tenur h_metro ind_group occupation_main class_worker_main tenure_main exper wpfinwgt cpi disab disab_ss lout nom_q_hwage partner_work single_work partner_move_job child_male hhtwlth hhscdbt hhusdbt hhdebt hhtnw nomearn_main_hh nomearn_spouse_hh weekly_hours ui uirank uirank2 unemp_rate min_wage min_state_tax max_state_tax home_value h_metro f_oklt18 sex oth_inc oth_ear industry ind type agr cons manuf trade fin serv publ notforprof ind_change_wave dsingle_work dpartner_move_job dregd1 dregd2 dregd3 regd* dmarr dh_metro dagr dcons dmanuf dfin dserv dpubl dnotfor dunemp_rate df_oklt18 dtenure_main dh_tenur dexper doth_ear ddisab dpartner_work dexper2 dtenure_main2 inter_married_kids new_disag_group_occ disag_group_occ2 mayor_group_occ1  dummy_occ* docc* dummy_disag_occ* disag_group_occ2 d_disag_occ* age_old age2 exper_sq dummy_quarter* dummy_h_tenur* dummy_f_oklt18* part yrd* prev_* disag_group_occ2 caidcov_ave hh_tra_ave d_new_disag_occ* new_dummy_disag_occ* real_after_tax_q_hw q_earn_tax u_comp soc_sec_inc 
sort id year quarter
by id: gen count = _N
drop if count==1
drop count
gen period=. 
replace period=1 if year>=1983 & year<=1993
replace period=2 if year>=1994 & year<=2003
replace period=3 if year>=2004 & year<=2013
drop if sex==2
cap drop time
egen time = group(year quarter)
egen id2 = group(id period panel_year)
drop id
rename id2 id


**Drop nonsense data
**Drop 1st percentile of hourly wage to get robust variance**
cap drop outl
gen outl=.
foreach z in 1 2 3 {
foreach t in 1 2 3 {
cap noi qui sum q_hwage if q_hwage!=. & grades==`t' & period==`z', d
cap noi replace outl=1 if q_hwage!=. & q_hwage<`r(p1)'  & grades==`t' & period==`z'
}
}




drop if outl==1

*start new idea when time period missing
egen time2=group(year quarter)
sort id time2
by id: gen diff_time = time2-time2[_n-1]
replace diff_time=1 if diff_time==.
replace diff_time= diff_time>1
by id: gen aux = sum(diff_time)
egen id2 = group(id aux)
drop id
rename id2 id
gen aux3=id
destring aux3, replace
xtset aux3 time2
drop diff_time aux

save data_sipp_new_forlater_forcalib_qt_topcoded,replace		/*Save intermediate data set for wage level equation*/





use data_sipp_new_forlater_forcalib_qt_topcoded, clear


*labor force participation rate, employment rate and DI rate
preserve
replace emp = emp==1
collapse (mean) lout emp disab_ss [aweight=wpfinwgt], by(period age_old)
outsheet using rates_life_all, comma nolabel nonames replace
restore


*labor force participation rate over age by education
preserve
replace emp = emp==1
*drop if gov_pension>500 & lout==1 & di==0
collapse (mean) lout emp disab_ss [aweight=wpfinwgt], by(period grade age_old)
drop if period ==2
outsheet using rates_life, comma nolabel nonames replace
restore


cap drop time
egen time = group(year quarter)

gen lwage = log(q_hwage)

*mean log wage
preserve
keep if emp==1
collapse (mean) lwage [aweight=wpfinwgt], by(period grade age_old)
outsheet using wages_life, comma nolabel nonames replace
restore


***Wage levels***
*Do not need industry and occupations here! Correlated with sa
gen resid =.

forval x=1(1)3 {


reg lwage age age2 uirank oth_inc    dummy_h_tenur2  disab   exper exper_sq h_metro  married unemp_rate   white    regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4 yrd* if grades==1 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid= lwage-yhat  if grades==1 & sex==1 & period==`x'
cap drop yhat
reg  lwage age age2 uirank oth_inc    dummy_h_tenur2  disab   exper exper_sq h_metro  married unemp_rate   white  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4 yrd* if grades==2 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid= lwage-yhat  if grades==2 & sex==1 & period==`x'
cap drop yhat
reg  lwage age age2 uirank oth_inc    dummy_h_tenur2  disab   exper exper_sq h_metro  married unemp_rate   white   regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4 yrd*  if grades==3 & sex==1 & period==`x' [pweight=wpfinwgt], r 
predict yhat
replace resid= lwage-yhat  if grades==3 & sex==1 & period==`x'
cap drop yhat


}

/*
preserve

gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61
cap drop q_hwage
gen q_hwage=exp(resid)
collapse (mean) mean_lwage=q_hwage (p1) min1_lwage=q_hwage (p5) min2_lwage=q_hwage (p10) min3_lwage=q_hwage (p90) max_lwage=q_hwage (p50) median_lwage=q_hwage  [aweight=wpfinwgt], by(period age_bin sex)
save allvars_lifecycle_wage, replace
restore
*/

/*
preserve

gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61
cap drop q_hwage
collapse (sd) sd_lwage=resid (sum) importance=wpfinwgt [aweight=wpfinwgt], by(period grade age_bin sex)
save allvars_lifecycle_wage, replace
restore
*/


***Control for those variables which are not in the model***

gen resid2=.
gen resid3=.


forval x=1(1)3 {

qui sum lwage if grades==1 & sex==1 & period==`x' [aweight=wpfinwgt]
qui gen mw=`r(mean)' 
reg lwage h_metro  married white regd* yrd* dummy_quarter* if grades==1 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid2= lwage-yhat  if grades==1 & sex==1 & period==`x'
replace resid3= resid2+mw  if grades==1 & sex==1 & period==`x'
cap drop yhat mw

qui sum lwage if grades==2 & sex==1 & period==`x' [aweight=wpfinwgt]
qui gen mw=`r(mean)' 
reg  lwage h_metro  married white regd* yrd* dummy_quarter* if grades==2 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid2= lwage-yhat  if grades==2 & sex==1 & period==`x'
replace resid3= resid2+mw  if grades==2 & sex==1 & period==`x'
cap drop yhat mw

qui sum lwage if grades==3 & sex==1 & period==`x' [aweight=wpfinwgt]
qui gen mw=`r(mean)' 
reg  lwage h_metro  married white regd* yrd* dummy_quarter* if grades==3 & sex==1 & period==`x' [pweight=wpfinwgt], r
predict yhat
replace resid2= lwage-yhat  if grades==3 & sex==1 & period==`x'
replace resid3= resid2+mw  if grades==3 & sex==1 & period==`x'
cap drop yhat mw

}

*cross sectional distribution of residual inequality
tab period [aweight=wpfinwgt], sum(resid2)
tab period if grade==1 [aweight=wpfinwgt], sum(resid2)
tab period if grade==2 [aweight=wpfinwgt], sum(resid2)
tab period if grade==3 [aweight=wpfinwgt], sum(resid2)


/*
*cross sectional inequality using resid2
gen level_resid=exp(resid2)
ineqdeco level_resid  [aweight=wpfinwgt] if period==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==3

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==1

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==2

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==3
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==3
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==3
*/

*cross sectional inequality using resid3 
gen level_resid=exp(resid3)
ineqdeco level_resid  [aweight=wpfinwgt] if period==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==3

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==1
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==1

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==2
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==2

ineqdeco level_resid  [aweight=wpfinwgt] if period==1 & grade==3
ineqdeco level_resid  [aweight=wpfinwgt] if period==2 & grade==3
ineqdeco level_resid  [aweight=wpfinwgt] if period==3 & grade==3

ineqdecgini level_resid [aweight=wpfinwgt] if period==1 & grade==1
ineqdecgini level_resid [aweight=wpfinwgt] if period==2 & grade==1
ineqdecgini level_resid [aweight=wpfinwgt] if period==3 & grade==1

ineqdecgini level_resid [aweight=wpfinwgt] if period==1 & grade==2
ineqdecgini level_resid [aweight=wpfinwgt] if period==2 & grade==2
ineqdecgini level_resid [aweight=wpfinwgt] if period==3 & grade==2

ineqdecgini level_resid [aweight=wpfinwgt] if period==1 & grade==3
ineqdecgini level_resid [aweight=wpfinwgt] if period==2 & grade==3
ineqdecgini level_resid [aweight=wpfinwgt] if period==3 & grade==3

*Cross sectional Mean min ratio
preserve

gen resid3_level = exp(resid3)
forval x=1(1)3 {
qui sum resid3_level if period==1 & sex==1 & grade==`x', d
gen min_1_`x'=`r(p1)'
qui sum resid3_level if period==1 & sex==1 & grade==`x', d
gen min_2_`x'=`r(p5)'
qui sum resid3_level if period==1 & sex==1 & grade==`x', d
gen min_3_`x'=`r(p10)'
qui sum resid3_level if period==1 & sex==1 & grade==`x', d
gen mean_`x'=`r(mean)'
di "Mean - Min ratio Skill `x' Period 1"
di mean_`x'/min_1_`x'
di mean_`x'/min_2_`x'
di mean_`x'/min_3_`x'
}
restore

preserve
gen resid3_level = exp(resid3)
forval x=1(1)3 {
qui sum resid3_level if period==3 & sex==1 & grade==`x', d
gen min_1_`x'=`r(p1)'
qui sum resid3_level if period==3 & sex==1 & grade==`x', d
gen min_2_`x'=`r(p5)'
qui sum resid3_level if period==3 & sex==1 & grade==`x', d
gen min_3_`x'=`r(p10)'
qui sum resid3_level if period==3 & sex==1 & grade==`x', d
gen mean_`x'=`r(mean)'
di "Mean - Min ratio Skill `x' Period 3"
di mean_`x'/min_1_`x'
di mean_`x'/min_2_`x'
di mean_`x'/min_3_`x'
}

restore


*inequality over the life-cycle all in period 1
preserve
*gen age_bin=1 if age_old>=25 & age_old<=27
*replace age_bin=2 if age_old>=28 & age_old<=30
*replace age_bin=3 if age_old>=31 & age_old<=33
*replace age_bin=4 if age_old>=34 & age_old<=36
*replace age_bin=5 if age_old>=37 & age_old<=39
*replace age_bin=6 if age_old>=40 & age_old<=42
*replace age_bin=7 if age_old>=43 & age_old<=45
*replace age_bin=8 if age_old>=46 & age_old<=48
*replace age_bin=9 if age_old>=49 & age_old<=51
*replace age_bin=10 if age_old>=52 & age_old<=54
*replace age_bin=11 if age_old>=55 & age_old<=57
*replace age_bin=12 if age_old>=58 & age_old<=61

*gen age_bin=1 if age_old>=25 & age_old<=29
*replace age_bin=2 if age_old>=30 & age_old<=34
*replace age_bin=3 if age_old>=35 & age_old<=39
*replace age_bin=4 if age_old>=40 & age_old<=44
*replace age_bin=5 if age_old>=45 & age_old<=49
*replace age_bin=6 if age_old>=50 & age_old<=54
*replace age_bin=7 if age_old>=55 & age_old<=61

gen age_bin=age_old

keep if period==1
*keep if grades==1
gen resid3_level = exp(resid3)
gen gini=.
gen vari=.
gen meani=.
gen p5 = .
gen p10 = .
gen p50 = .
gen p90 = .
forval z=1983(1)1993 {
*forval z=2004(1)2013 {
forval x=25(1)61 {
cap qui ineqdecgini resid3_level [aweight=wpfinwgt] if age_bin==`x' & year==`z'
cap qui replace gini=`r(gini)'  if age_bin==`x' & year==`z'
qui summ resid3_level if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace vari=`r(Var)'  if age_bin==`x' & year==`z'
cap qui replace meani=`r(mean)'  if age_bin==`x' & year==`z'
cap qui replace p5=`r(p5)'  if age_bin==`x' & year==`z'
cap qui replace p10=`r(p10)'  if age_bin==`x' & year==`z'
cap qui replace p50=`r(p50)'  if age_bin==`x' & year==`z'
cap qui replace p90=`r(p90)'  if age_bin==`x' & year==`z'
}
}
gen mean_min = meani/p5
gen p90_p10 = p90/p10
collapse (first) gini vari mean_min p90_p10, by(age_bin year)

*collapse (sd) resid2 [aweight=wpfinwgt], by(age_bin year)
gen cohort=year-age_bin
*rename resid2 dispersion
*gen vari=dispersion^2
reg vari i.age_bin i.cohort, nocons
mat beta=e(b)
svmat double beta
reg gini i.age_bin i.cohort, nocons
mat beta_g=e(b)
svmat double beta_g
reg mean_min i.age_bin i.cohort, nocons
mat beta_mm=e(b)
svmat double beta_mm
reg p90_p10 i.age_bin i.cohort, nocons
mat beta_p9010=e(b)
svmat double beta_p9010
keep beta*
drop if beta1==.
save life_cycle_resid_variance, replace
restore


*inequality over the life-cycle by education all ages period 1
forval y=1(1)3 {
preserve
keep if period==1
keep if grades==`y'

gen age_bin = age_old
*gen age_bin=1 if age_old>=25 & age_old<=27
*replace age_bin=2 if age_old>=28 & age_old<=30
*replace age_bin=3 if age_old>=31 & age_old<=33
*replace age_bin=4 if age_old>=34 & age_old<=36
*replace age_bin=5 if age_old>=37 & age_old<=39
*replace age_bin=6 if age_old>=40 & age_old<=42
*replace age_bin=7 if age_old>=43 & age_old<=45
*replace age_bin=8 if age_old>=46 & age_old<=48
*replace age_bin=9 if age_old>=49 & age_old<=51
*replace age_bin=10 if age_old>=52 & age_old<=54
*replace age_bin=11 if age_old>=55 & age_old<=57
*replace age_bin=12 if age_old>=58 & age_old<=61

*gen age_bin=1 if age_old>=25 & age_old<=29
*replace age_bin=2 if age_old>=30 & age_old<=34
*replace age_bin=3 if age_old>=35 & age_old<=39
*replace age_bin=4 if age_old>=40 & age_old<=44
*replace age_bin=5 if age_old>=45 & age_old<=49
*replace age_bin=6 if age_old>=50 & age_old<=54
*replace age_bin=7 if age_old>=55 & age_old<=61


gen resid3_level = exp(resid3)
gen gini=.
gen vari=.
gen meani=.
gen p5 = .
gen p10 = .
gen p50 = .
gen p90 = .
forval z=1983(1)1993 {
*forval z=2004(1)2013 {
forval x=25(1)61 {
cap qui ineqdecgini resid3_level [aweight=wpfinwgt] if age_bin==`x' & year==`z'
cap qui replace gini=`r(gini)'  if age_bin==`x' & year==`z'
qui summ resid3_level if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace meani=`r(mean)'  if age_bin==`x' & year==`z'
cap qui replace p5=`r(p5)'  if age_bin==`x' & year==`z'
cap qui replace p10=`r(p10)'  if age_bin==`x' & year==`z'
cap qui replace p50=`r(p50)'  if age_bin==`x' & year==`z'
cap qui replace p90=`r(p90)'  if age_bin==`x' & year==`z'
qui summ resid3 if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace vari=`r(Var)'  if age_bin==`x' & year==`z'
}
}
gen mean_min = meani/p5
gen p90_p10 = p90/p10
collapse (first) gini vari mean_min p90_p10, by(age_bin year)

*collapse (sd) resid2 [aweight=wpfinwgt], by(age_bin year)
gen cohort=year-age_bin
*rename resid2 dispersion
*gen vari=dispersion^2
reg vari i.age_bin i.cohort, nocons
mat beta=e(b)
svmat double beta
reg gini i.age_bin i.cohort, nocons
mat beta_g=e(b)
svmat double beta_g
reg mean_min i.age_bin i.cohort, nocons
mat beta_mm=e(b)
svmat double beta_mm
reg p90_p10 i.age_bin i.cohort, nocons
mat beta_p9010=e(b)
svmat double beta_p9010
keep beta*
drop if beta1==.
save life_cycle_resid_variance_educ_`y', replace
restore
}


*inequality over the life-cycle by education by age bins period 1
forval y=1(1)3 {
preserve
keep if period==1
keep if grades==`y'


*gen age_bin=1 if age_old>=25 & age_old<=27
*replace age_bin=2 if age_old>=28 & age_old<=30
*replace age_bin=3 if age_old>=31 & age_old<=33
*replace age_bin=4 if age_old>=34 & age_old<=36
*replace age_bin=5 if age_old>=37 & age_old<=39
*replace age_bin=6 if age_old>=40 & age_old<=42
*replace age_bin=7 if age_old>=43 & age_old<=45
*replace age_bin=8 if age_old>=46 & age_old<=48
*replace age_bin=9 if age_old>=49 & age_old<=51
*replace age_bin=10 if age_old>=52 & age_old<=54
*replace age_bin=11 if age_old>=55 & age_old<=57
*replace age_bin=12 if age_old>=58 & age_old<=61

gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61


gen resid3_level = exp(resid3)
gen gini=.
gen vari=.
gen meani=.
gen p5 = .
gen p10 = .
gen p50 = .
gen p90 = .
forval z=1983(1)1993 {
*forval z=2004(1)2013 {
forval x=1(1)7 {
cap qui ineqdecgini resid3_level [aweight=wpfinwgt] if age_bin==`x' & year==`z'
cap qui replace gini=`r(gini)'  if age_bin==`x' & year==`z'
qui summ resid3_level if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace meani=`r(mean)'  if age_bin==`x' & year==`z'
cap qui replace p5=`r(p5)'  if age_bin==`x' & year==`z'
cap qui replace p10=`r(p10)'  if age_bin==`x' & year==`z'
cap qui replace p50=`r(p50)'  if age_bin==`x' & year==`z'
cap qui replace p90=`r(p90)'  if age_bin==`x' & year==`z'
qui summ resid3 if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace vari=`r(Var)'  if age_bin==`x' & year==`z'
}
}
gen mean_min = meani/p5
gen p90_p10 = p90/p10
collapse (first) gini vari mean_min p90_p10, by(age_bin year)

*collapse (sd) resid2 [aweight=wpfinwgt], by(age_bin year)
gen cohort=year-age_bin
*rename resid2 dispersion
*gen vari=dispersion^2
reg vari i.age_bin i.cohort, nocons
mat beta=e(b)
svmat double beta
reg gini i.age_bin i.cohort, nocons
mat beta_g=e(b)
svmat double beta_g
reg mean_min i.age_bin i.cohort, nocons
mat beta_mm=e(b)
svmat double beta_mm
reg p90_p10 i.age_bin i.cohort, nocons
mat beta_p9010=e(b)
svmat double beta_p9010
keep beta*
drop if beta1==.
save life_cycle_resid_variance_educ_agebin_`y', replace
restore
}


*inequality over the life-cycle by education by age bins period 3
forval y=1(1)3 {
preserve
keep if period==3
keep if grades==`y'


*gen age_bin=1 if age_old>=25 & age_old<=27
*replace age_bin=2 if age_old>=28 & age_old<=30
*replace age_bin=3 if age_old>=31 & age_old<=33
*replace age_bin=4 if age_old>=34 & age_old<=36
*replace age_bin=5 if age_old>=37 & age_old<=39
*replace age_bin=6 if age_old>=40 & age_old<=42
*replace age_bin=7 if age_old>=43 & age_old<=45
*replace age_bin=8 if age_old>=46 & age_old<=48
*replace age_bin=9 if age_old>=49 & age_old<=51
*replace age_bin=10 if age_old>=52 & age_old<=54
*replace age_bin=11 if age_old>=55 & age_old<=57
*replace age_bin=12 if age_old>=58 & age_old<=61

gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61


gen resid3_level = exp(resid3)
gen gini=.
gen vari=.
gen meani=.
gen p5 = .
gen p10 = .
gen p50 = .
gen p90 = .
*forval z=1983(1)1993 {
forval z=2004(1)2013 {
forval x=1(1)7 {
cap qui ineqdecgini resid3_level [aweight=wpfinwgt] if age_bin==`x' & year==`z'
cap qui replace gini=`r(gini)'  if age_bin==`x' & year==`z'
qui summ resid3_level if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace meani=`r(mean)'  if age_bin==`x' & year==`z'
cap qui replace p5=`r(p5)'  if age_bin==`x' & year==`z'
cap qui replace p10=`r(p10)'  if age_bin==`x' & year==`z'
cap qui replace p50=`r(p50)'  if age_bin==`x' & year==`z'
cap qui replace p90=`r(p90)'  if age_bin==`x' & year==`z'
qui summ resid3 if age_bin==`x' & year==`z' [aweight=wpfinwgt], detail
cap qui replace vari=`r(Var)'  if age_bin==`x' & year==`z'
}
}
gen mean_min = meani/p5
gen p90_p10 = p90/p10
collapse (first) gini vari mean_min p90_p10, by(age_bin year)

*collapse (sd) resid2 [aweight=wpfinwgt], by(age_bin year)
gen cohort=year-age_bin
*rename resid2 dispersion
*gen vari=dispersion^2
reg vari i.age_bin i.cohort, nocons
mat beta=e(b)
svmat double beta
reg gini i.age_bin i.cohort, nocons
mat beta_g=e(b)
svmat double beta_g
reg mean_min i.age_bin i.cohort, nocons
mat beta_mm=e(b)
svmat double beta_mm
reg p90_p10 i.age_bin i.cohort, nocons
mat beta_p9010=e(b)
svmat double beta_p9010
keep beta*
drop if beta1==.
save life_cycle_resid_variance_educ_agebin_`y'_p3, replace
restore
}

/*
preserve
replace resid2=exp(resid2)

gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

gen gini=.
keep if period==1
forval z=1983(1)1993 {
forval x=1(1)12 {
cap qui ineqdeco resid2  [aweight=wpfinwgt] if age_bin==`x' & year==`z'
cap qui replace gini=`r(gini)'  if age_bin==`x' & year==`z'

}
}
collapse (mean) gini, by(age_bin  year)
gen cohort=year-age_bin
reg gini i.age_bin i.cohort, nocons
restore
*/


/*
preserve

gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

/*
gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61
*/
cap drop q_hwage
gen q_hwage=exp(resid2)
collapse (mean) mean_lwage=q_hwage (p1) min1_lwage=q_hwage (p5) min2_lwage=q_hwage (p10) min3_lwage=q_hwage (p90) p90_lwage=q_hwage  (p95) p95_lwage=q_hwage (p50) median_lwage=q_hwage  [aweight=wpfinwgt], by(period grade age_bin sex)
save vars_notmodel_lifecycle_wage, replace
restore
*/



/*
preserve


gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

/*
gen age_bin=1 if age_old>=25 & age_old<=29
replace age_bin=2 if age_old>=30 & age_old<=34
replace age_bin=3 if age_old>=35 & age_old<=39
replace age_bin=4 if age_old>=40 & age_old<=44
replace age_bin=5 if age_old>=45 & age_old<=49
replace age_bin=6 if age_old>=50 & age_old<=54
replace age_bin=7 if age_old>=55 & age_old<=61
*/
collapse (mean) mean_lwage=resid2 (p1) min1_lwage=resid2 (p5) min2_lwage=resid2 (p10) min3_lwage=resid2 (p90) max_lwage=resid2  [aweight=wpfinwgt], by(period grade age_bin sex)
save mean_min_lifecycle_lwage, replace
restore
*/




/*
preserve

gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

collapse (sd) resid2 [aweight=wpfinwgt], by(period age_bin sex grade)
save "sd_resid_lwage_notmodel_agebin.dta", replace
restore

preserve
gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

collapse (sd) resid2 [aweight=wpfinwgt], by(period age_bin sex)
save "sd_resid_lwage_notmodel_agebin_notskill.dta", replace
restore
*/

/*
preserve

/*
gen age_bin=1 if age_old>=25 & age_old<=28
replace age_bin=2 if age_old>=29 & age_old<=32
replace age_bin=3 if age_old>=33 & age_old<=36
replace age_bin=4 if age_old>=37 & age_old<=40
replace age_bin=5 if age_old>=41 & age_old<=44
replace age_bin=6 if age_old>=45 & age_old<=48
replace age_bin=7 if age_old>=49 & age_old<=52
replace age_bin=8 if age_old>=53 & age_old<=56
replace age_bin=9 if age_old>=57 & age_old<=61
*/

gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

replace resid2=exp(resid2)

collapse (mean) mean_lwage=resid2 (p1) min1_lwage=resid2 (p5) min2_lwage=resid2 (p10) min3_lwage=resid2  [aweight=wpfinwgt], by(period age_bin sex)
save mean_min_lifecycle_aggregate, replace
restore

preserve
replace resid2=exp(resid2)
foreach x in 1 2 3 {
foreach y in 1 2 3 {
di "********************"
di "Grade `x' Period `y'"
di "********************"
ineqdeco resid2  [aweight=wpfinwgt] if grade==`x' & period==`y'
}
}
restore
*/

/*
preserve
collapse (sd) resid2 [aweight=wpfinwgt], by(period age_old sex grade)
save "sd_resid_lwage_notmodel.dta", replace
restore

preserve
collapse (sd) resid2 [aweight=wpfinwgt], by(period sex grade)
save "sd_resid_lwage_notmodel.dta", replace
restore

preserve
gen trends_period=. 
replace trends_period=1 if year>=1983 & year<=1989
replace trends_period=2 if year>=1990 & year<=1999
replace trends_period=3 if year>=2000 & year<=2009
replace trends_period=4 if year>=2010 & year<=2013
collapse (sd) resid2 [aweight=wpfinwgt], by(trends_period sex grade)
save "sd_resid_lwage_trend_notmodel.dta", replace
restore
*/

cap drop age_bin
gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61


******************************************************************************************************************************
***CALIBRATION TARGETS
******************************************************************************************************************************
use data_sipp_new_forlater_forcalib_qt_topcoded, clear

tab grade if period==1 & sex==1 [aweight=wpfinwgt]
tab grade if period==3 & sex==1 [aweight=wpfinwgt]
tab grade if period==1 & sex==1 & age>=50 & age<=61 [aweight=wpfinwgt]
tab grade if period==3 & sex==1 & age>=50 & age<=61 [aweight=wpfinwgt]


*Wealth distribution
pctile pct_networth_low = real_net_worth [w=wpfinwgt]  if period==1 & grade==1 & age<=61, nq(20)
pctile pct_networth_med = real_net_worth [w=wpfinwgt]  if period==1 & grade==2 & age<=61, nq(20)
pctile pct_networth_hig = real_net_worth [w=wpfinwgt]  if period==1 & grade==3 & age<=61, nq(20)
tab pct_networth_low
tab pct_networth_med
tab pct_networth_hig
drop pct_networth_low pct_networth_med pct_networth_hig

pctile pct_networth_low = real_net_worth [w=wpfinwgt]  if period==3 & grade==1 & age<=61, nq(20)
pctile pct_networth_med = real_net_worth [w=wpfinwgt]  if period==3 & grade==2 & age<=61, nq(20)
pctile pct_networth_hig = real_net_worth [w=wpfinwgt]  if period==3 & grade==3 & age<=61, nq(20)
tab pct_networth_low
tab pct_networth_med
tab pct_networth_hig
drop pct_networth_low pct_networth_med pct_networth_hig

/*
**WAGE/HOUSEHOLD NET WORTH**
gen tot_wage_quart=nom_q_hwage*q_hours
*gen wage_networth_ratio=tot_wage_quart/hhtnw
gen wage_networth_ratio=tot_wage_quart/real_net_worth
bysort sex grade: sum wage_networth_ratio if period==1 & age<=61, d
bysort sex grade: sum wage_networth_ratio if period==3 & age<=61, d
*/



*initial asset distribution
xtile pct_networth_low = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==1 & grade==1, nq(10)
xtile pct_networth_med = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==1 & grade==2, nq(10)
xtile pct_networth_hig = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==1 & grade==3, nq(10)
tab pct_networth_low, sum(real_net_worth) 
tab pct_networth_med, sum(real_net_worth) 
tab pct_networth_hig, sum(real_net_worth) 
drop pct_networth_low pct_networth_med pct_networth_hig

xtile pct_networth_low = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==3 & grade==1, nq(10)
xtile pct_networth_med = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==3 & grade==2, nq(10)
xtile pct_networth_hig = real_net_worth [w=wpfinwgt]  if age_old<=27 & period==3 & grade==3, nq(10)
tab pct_networth_low, sum(real_net_worth) 
tab pct_networth_med, sum(real_net_worth) 
tab pct_networth_hig, sum(real_net_worth) 
drop pct_networth_low pct_networth_med pct_networth_hig
/*
bysort pct_networth_low: sum real_net_worth if pct_networth_low!=., d
bysort pct_networth_med: sum real_net_worth if pct_networth_med!=., d
bysort pct_networth_hig: sum real_net_worth if pct_networth_hig!=., d
*/



*****Wealth of newely unemployed*****
drop time2 aux3
preserve
cap drop time
egen time = group(year quarter)
egen id2 = group(id)
egen time2=group(year quarter)
sort id2 time2

*compute eu movements
gen d_id = id2[_n]-id2[_n-1] if time2[_n]-time2[_n-1]==1
sort id2 time2
by id2: gen count=_n
replace d_id=0 if count==1
replace d_id=1 if d_id!=0
gen d_eu = part[_n]-part[_n-1] if time2[_n]-time2[_n-1]==1
replace d_eu=0 if count==1
replace d_eu=0 if d_id==1
gen d_eu2=.
**Is -1 implies transition from E to U**
**Is 1 implies transition from U to E**
replace d_eu2=0 if d_eu==0 | d_eu==1
replace d_eu2=1 if d_eu==-1
cap drop d_eu
rename d_eu2 d_eu
by id2: gen lag_q_earn = q_earn[_n-1]
keep if d_eu==1
sum real_net_worth [weight=wpfinwgt] if period==1 & age<=61, d
sum real_net_worth [weight=wpfinwgt] if period==1 & age<=61 & grade==1, d
sum real_net_worth [weight=wpfinwgt] if period==1 & age<=61 & grade==2, d
sum real_net_worth [weight=wpfinwgt] if period==1 & age<=61 & grade==3, d
sum real_net_worth [weight=wpfinwgt] if period==3 & age<=61, d
sum real_net_worth [weight=wpfinwgt] if period==3 & age<=61 & grade==1, d
sum real_net_worth [weight=wpfinwgt] if period==3 & age<=61 & grade==2, d
sum real_net_worth [weight=wpfinwgt] if period==3 & age<=61 & grade==3, d
gen replace_earn = real_net_worth/lag_q_earn
sum replace_earn [weight=wpfinwgt] if period==1 & age<=61 & grade==1, d
sum replace_earn [weight=wpfinwgt] if period==1 & age<=61 & grade==2, d
sum replace_earn [weight=wpfinwgt] if period==1 & age<=61 & grade==3, d
sum replace_earn [weight=wpfinwgt] if period==3 & age<=61 & grade==1, d
sum replace_earn [weight=wpfinwgt] if period==3 & age<=61 & grade==2, d
sum replace_earn [weight=wpfinwgt] if period==3 & age<=61 & grade==3, d
restore


preserve
keep if emp==1
gen imp_hours = q_earn/q_hwage
bysort grade period: sum imp_hours [weight=wpfinwgt] if age<=61, d
gen wage_level=q_hwage*549
gen log_wage_level=log(wage_level)
gen log_q_earn = log(q_earn)
keep if age_old<28
collapse (sd) log_wage_level log_q_earn (mean) mean_wl=log_wage_level mean_e1=log_q_earn [aweight=wpfinwgt], by(period sex grade)
di "Calibration beginning of working life"

di "*******Average wage*********"
bysort grade: tab period, sum(mean_wl)
bysort grade: tab period, sum(mean_e1)

di "*******Heterogeneity wage*********"
bysort grade: tab period, sum(log_wage_level)
bysort grade: tab period, sum(log_q_earn)

restore


**AVERAGE WAGE GROWTH OVER THE LIFE CYCLE***
egen time2=group(year quarter)
gen aux3=id
destring aux3, replace
xtset aux3 time2
preserve
******Look also at age bins of three years***
gen age_bin=1 if age_old>=25 & age_old<=27
replace age_bin=2 if age_old>=28 & age_old<=30
replace age_bin=3 if age_old>=31 & age_old<=33
replace age_bin=4 if age_old>=34 & age_old<=36
replace age_bin=5 if age_old>=37 & age_old<=39
replace age_bin=6 if age_old>=40 & age_old<=42
replace age_bin=7 if age_old>=43 & age_old<=45
replace age_bin=8 if age_old>=46 & age_old<=48
replace age_bin=9 if age_old>=49 & age_old<=51
replace age_bin=10 if age_old>=52 & age_old<=54
replace age_bin=11 if age_old>=55 & age_old<=57
replace age_bin=12 if age_old>=58 & age_old<=61

collapse (mean) q_hwage [weight=wpfinwgt], by(age_bin sex grade period)

forval x=1(1)3 {
qui sum q_hwage if period==1 & sex==1 & grade==`x' & age_bin==1
gen wage_young=`r(mean)'
qui sum q_hwage if period==1 & sex==1 & grade==`x' & age_bin==12
gen wage_adult=`r(mean)'
di "Wage growth life cycle"
di (wage_adult-wage_young)/wage_young
drop wage_young wage_adult
}

save average_wage_age, replace
restore



**AVERAGE WAGE GROWTH OVER TWO AGE BINS***
xtset aux3 time2
preserve
replace q_hwage = q_hwage*549
******Look also at age bins of three years***
*gen age_bin=1 if age_old>=25 & age_old<=44
*replace age_bin=2 if age_old>=45 & age_old<=61
*collapse (mean) q_hwage [weight=wpfinwgt], by(age_bin sex grade period)
forval x=1(1)3 {
qui sum q_hwage [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=25 & age_old<=27
gen wage_young=`r(mean)'
qui sum q_hwage [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=47 & age_old<=49
gen wage_adult=`r(mean)'
di "Period 1 Wage growth life cycle (Group 1-Grade `x')"
*di (wage_adult-wage_young)/wage_young
di log(wage_adult)-log(wage_young)
drop wage_young wage_adult


qui sum q_hwage [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=50 & age_old<=52
gen wage_young=`r(mean)'
qui sum q_hwage [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=59 & age_old<=61
gen wage_adult=`r(mean)'
di "Period 1 Wage growth life cycle (Group 2-Grade `x')"
*di (wage_adult-wage_young)/wage_young
di log(wage_adult)-log(wage_young)
drop wage_young wage_adult

qui sum q_hwage [weight=wpfinwgt] if period==3 & sex==1 & grade==`x' & age_old>=25 & age_old<=27
gen wage_young=`r(mean)'
qui sum q_hwage [weight=wpfinwgt] if period==3 & sex==1 & grade==`x' & age_old>=47 & age_old<=49
gen wage_adult=`r(mean)'
di "Period 3 Wage growth life cycle (Group 1-Grade `x')"
*di (wage_adult-wage_young)/wage_young
di log(wage_adult)-log(wage_young)
drop wage_young wage_adult


qui sum q_hwage [weight=wpfinwgt] if period==3 & sex==1 & grade==`x' & age_old>=50 & age_old<=52
gen wage_young=`r(mean)'
qui sum q_hwage [weight=wpfinwgt] if period==3 & sex==1 & grade==`x' & age_old>=59 & age_old<=61
gen wage_adult=`r(mean)'
di "Period 3 Wage growth life cycle (Group 2-Grade `x')"
*di (wage_adult-wage_young)/wage_young
di log(wage_adult)-log(wage_young)
drop wage_young wage_adult

}

restore


**Measure tax progressivity**
gen log_hwage=log(q_hwage)
gen log_aftax_hwage=log(real_after_tax_q_hw)

gen log_wage=log(q_earn)
gen real_after_tax_earn=q_earn_tax/(cpi/100)
gen log_aftax_wage=log(real_after_tax_earn)


reg log_aftax_wage log_wage if period==1 [weight=wpfinwgt], r
reg log_aftax_wage log_wage if period==3 [weight=wpfinwgt], r
/*
reg log_aftax_wage log_wage if grade==1 & period==1 [weight=wpfinwgt], r
reg log_aftax_wage log_wage if grade==2 & period==1 [weight=wpfinwgt], r
reg log_aftax_wage log_wage if grade==3 & period==1 [weight=wpfinwgt], r


reg log_aftax_wage log_wage if grade==1 & period==3 [weight=wpfinwgt], r
reg log_aftax_wage log_wage if grade==2 & period==3 [weight=wpfinwgt], r
reg log_aftax_wage log_wage if grade==3 & period==3 [weight=wpfinwgt], r
*/
**Unemployment benefits****
preserve
drop if emp==1
drop if disab_ss==1
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==1
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==2
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==3
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==1
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==2
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==3
restore

**Unemployment benefits conditional on being non-employed, non-DI for more than 2 quarters
preserve
replace emp = emp==1
sort aux3 time2
by aux3: gen diff_emp = emp-emp[_n-1]
replace diff_emp = diff_emp==-1
by aux3: gen index = sum(diff_emp)
egen u_spell = group(aux3 index)
drop if emp==1
drop if disab_ss==1
sort u_spell time2
drop index
gen index = 1
by u_spell: gen tenure = sum(index)
drop if tenure<=2
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==1
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==2
sum u_comp [weight=wpfinwgt] if period==1 & sex==1 & grade==3
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==1
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==2
sum u_comp [weight=wpfinwgt] if period==3 & sex==1 & grade==3
restore


**Disability insurance payments****
preserve
keep if disab_ss==1
keep if age_old>=50
sum soc_sec_inc [weight=wpfinwgt] if period==1 & sex==1 & grade==1
sum soc_sec_inc [weight=wpfinwgt] if period==1 & sex==1 & grade==2
sum soc_sec_inc [weight=wpfinwgt] if period==1 & sex==1 & grade==3
sum soc_sec_inc [weight=wpfinwgt] if period==3 & sex==1 & grade==1
sum soc_sec_inc [weight=wpfinwgt] if period==3 & sex==1 & grade==2
sum soc_sec_inc [weight=wpfinwgt] if period==3 & sex==1 & grade==3
restore


**disability dummy in log wages**
preserve
keep if emp==1
reg log_hwage i.disab i.age_old if grade==1 & period==1
reg log_hwage i.disab i.age_old if grade==2 & period==1
reg log_hwage i.disab i.age_old if grade==3 & period==1
*reg log_hwage i.disab i.age_old if grade==1 & period==2
*reg log_hwage i.disab i.age_old if grade==2 & period==2
*reg log_hwage i.disab i.age_old if grade==3 & period==2
reg log_hwage i.disab i.age_old if grade==1 & period==3
reg log_hwage i.disab i.age_old if grade==2 & period==3
reg log_hwage i.disab i.age_old if grade==3 & period==3
restore



**AVERAGE WAGE GROWTH CONDITIONAL ON M==1***
xtset aux3 time2
gen wage_growth=D.q_hwage/L.q_hwage
preserve
******Look also at age bins of three years***
*gen age_bin=1 if age_old>=25 & age_old<=44
*replace age_bin=2 if age_old>=45 & age_old<=61
*collapse (mean) q_hwage [weight=wpfinwgt], by(age_bin sex grade period)
forval x=1(1)3 {
qui sum wage_growth [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=25 & age_old<=27
gen group1=`r(mean)'
qui sum wage_growth [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=28 & age_old<=31
gen group2=`r(mean)'
qui sum wage_growth [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=32 & age_old<=34
gen group3=`r(mean)'
qui sum wage_growth [weight=wpfinwgt] if period==1 & sex==1 & grade==`x' & age_old>=35 & age_old<=37
gen group4=`r(mean)'
sum group1 group2 group3 group4
drop group1 group2 group3 group4
}

restore


***DEPRECIATION***
use data_sipp_new_forlater_forcalib_qt, clear
cap drop time
egen time = group(year quarter)
egen id2 = group(id)
egen time2=group(year quarter)
sort id2 time2

*compute eu movements
gen d_id = id2[_n]-id2[_n-1] if time2[_n]-time2[_n-1]==1
sort id2 time2
by id2: gen count=_n
replace d_id=0 if count==1
replace d_id=1 if d_id!=0
gen d_eu = part[_n]-part[_n-1] if time2[_n]-time2[_n-1]==1
replace d_eu=0 if count==1
replace d_eu=0 if d_id==1
gen d_eu2=.
**Is -1 implies transition from E to U**
**Is 1 implies transition from U to E**
replace d_eu2=0 if d_eu==0 | d_eu==1
replace d_eu2=1 if d_eu==-1
cap drop d_eu
rename d_eu2 d_eu

sort id2 time2

*compute ue movements
gen d_ue = part[_n]-part[_n-1] if time2[_n]-time2[_n-1]==1
replace d_ue=0 if count==1
replace d_ue=0 if d_id==1
*replace d_ue=0 if d_ue==1
*replace d_ue=1 if d_ue==-1
**Is -1 implies transition from E to U**
**Is 1 implies transition from U to E**
gen d_ue2=.
replace d_ue2=0 if d_ue==0 | d_ue==-1
replace d_ue2=1 if d_ue==1
cap drop d_ue
rename d_ue2 d_ue

*create employment spells
***Get first time observed EU movement****
xtset id2 time2
sort id2 time2
by id2: gen aux = sum(d_eu)
egen aux2 = group(id2 aux)
gen lag_wage = L.q_hwage 
drop if aux==0
drop if d_ue==0 & d_eu==0
sort aux2
by aux2: gen aux3 = _N
drop if aux3!=2
replace lag_wage = lag_wage[_n-1] if lag_wage==. 
keep if d_ue==1
gen logwage = log(q_hwage)
gen loglag_wage = log(lag_wage)
gen wgrowth = logwage-loglag_wage
/*
***Get first time observed EU movement****
**Get minimum period of doing EU
bysort id2: egen min_ind_last_eu=min(time2) if d_eu==1
***Getting this info for all years
bysort id2: egen min_ind_last_eu2=mean(min_ind_last_eu)
keep if min_ind_last_eu2!=0 & min_ind_last_eu2!=. 
*drop observations before first EU movement
by id2: drop if time2+1<min_ind_last_eu2
sort id2 time2
***Get first time observed UE movement****
**Get maximum period of doing UE
bysort id2: egen min_ind_last_ue=min(time2) if d_ue==1
***Getting this info for all years
bysort id2: egen min_ind_last_ue2=mean(min_ind_last_ue)
keep if min_ind_last_ue2!=0 & min_ind_last_ue2!=. 
keep if min_ind_last_ue2>min_ind_last_eu2
by id2: drop if time2>min_ind_last_ue2
sort id2 time2

gen lwage = log(q_hwage)


xtset id2 time2
**Compute the change in log wage after going back to work***
**Use the information of wage before getting U spell**
gen lwage_before_eu=L.lwage if d_eu==1 & min_ind_last_eu2==time2
bysort id2: egen lwage_before_eu2=mean(lwage_before_eu)
**Keep the first period when starting being employed again**
keep if time2==min_ind_last_ue2
gen wgrowth = lwage-lwage_before_eu2
*/

di "Wage loss from Unemployment"
bysort sex grade period: sum wgrowth [weight=wpfinwgt], d


log close
