

set more off
clear all
cd 
cd "D:\Uni\Ariel\SIPP 7.7.2023"

set more off


cap log close



log using selection_quarter_new, replace

u data3_sipp_qt,clear
keep id old_id su_id pp_entry pp_pnum pp_wave year quarter firm q_hwage q_hours q_earn g gE M M_2 oth_inc oth_ear hh_inc hh_ear hh_tra pp_ear obs_firm panel_year sex emp lout grades age white married f_oklt18 publ region state h_tenur h_metro ind_group occupation_main class_worker_main tenure_main exper wpfinwgt cpi disab lout nom_q_hwage partner_work single_work partner_move_job child_male hhtwlth hhscdbt hhusdbt hhdebt hhtnw nomearn_main_hh nomearn_spouse_hh weekly_hours ui uirank uirank2 unemp_rate min_wage min_state_tax max_state_tax home_value h_metro f_oklt18 sex oth_inc oth_ear industry ind type agr cons manuf trade fin serv publ notforprof ind_change_wave dsingle_work dpartner_move_job dregd1 dregd2 dregd3 regd* dmarr dh_metro dagr dcons dmanuf dfin dserv dpubl dnotfor dunemp_rate df_oklt18 dtenure_main dh_tenur dexper doth_ear ddisab dpartner_work dexper2 dtenure_main2 inter_married_kids new_disag_group_occ disag_group_occ2 mayor_group_occ1  dummy_occ* docc* dummy_disag_occ* disag_group_occ2 d_disag_occ* age_old age2 exper_sq dummy_quarter* dummy_h_tenur* dummy_f_oklt18* part yrd* prev_* disag_group_occ2 caidcov_ave hh_tra_ave d_new_disag_occ* new_dummy_disag_occ* prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9 



*drop workers observed only 1 period
sort id year quarter
by id: gen count = _N
drop if count==1
drop count


gen period=. 
replace period=1 if year>=1983 & year<=1993
replace period=2 if year>=1994 & year<=2003
replace period=3 if year>=2004 & year<=2013
***DROP FEMALES**
drop if sex==2
save data_sipp_new_forlater_qt,replace		/*Save intermediate data set for wage level equation*/


cap program drop myll
program define myll 
	   args lnf x1 x2 x3  c21 c31 c32  
	   tempvar sp2 sp3 k1 k2 k3 
quietly { 
	   gen double `k1' = 2*$ML_y1 - 1 
	   gen double `k2' = 2*$ML_y2 - 1        
	   gen double `k3' = 2*$ML_y3 - 1        
	   tempname cf21 cf22 cf31 cf32 cf33 C1 C2 
	   su `c21', meanonly            
	   scalar `cf21' = r(mean) 
	   su `c31', meanonly            
	   scalar `cf31' = r(mean) 
	   su `c32', meanonly            
	   scalar `cf32' = r(mean) 
	   scalar `cf22' = sqrt( 1 - `cf21'^2 ) 
	   scalar `cf33' = sqrt( 1 - `cf31'^2 - `cf32'^2 ) 
	   mat `C1' = (1, 0 , 0 \ `cf21', `cf22', 0 \ `cf31' , `cf32' , `cf33') 
	   mat `C2' = (1, 0 \ `cf21', `cf22') 
	   egen `sp3' = mvnp(`x1' `x2' `x3') if   $ML_y1==1 & $ML_y2==1, /// 
			  chol(`C1') dr($dr) prefix(z) signs(`k1' `k2' `k3') 
	   egen `sp2' = mvnp(`x1' `x2' ) if   $ML_y1==0 | $ML_y2==0, /// 
			  chol(`C2') dr($dr) prefix(z) signs(`k1' `k2')
		replace `lnf'= ln(`sp3') if $ML_y1==1 & $ML_y2==1
		replace `lnf'= ln(`sp2') if $ML_y1==0 | $ML_y2==0
} 
end 



cap program drop myll_consrho
program define myll_consrho
	   args lnf x1 x2 x3      
	   tempvar sp2 sp3 k1 k2 k3 
quietly { 
	   gen double `k1' = 2*$ML_y1 - 1 
	   gen double `k2' = 2*$ML_y2 - 1        
	   gen double `k3' = 2*$ML_y3 - 1        
	   tempname cf21 cf22 cf31 cf32 cf33 C1 C2 
	   *su `c21', meanonly            
	   scalar `cf21' = $c21_cons 
	   *su `c31', meanonly            
	   scalar `cf31' = $c31_cons 
	   *su `c32', meanonly            
	   scalar `cf32' = $c32_cons 
	   scalar `cf22' = sqrt( 1 - `cf21'^2 ) 
	   scalar `cf33' = sqrt( 1 - `cf31'^2 - `cf32'^2 ) 
	   mat `C1' = (1, 0 , 0 \ `cf21', `cf22', 0 \ `cf31' , `cf32' , `cf33') 
	   mat `C2' = (1, 0 \ `cf21', `cf22') 
	   egen `sp3' = mvnp(`x1' `x2' `x3') if   $ML_y1==1 & $ML_y2==1, /// 
			  chol(`C1') dr($dr) prefix(z) signs(`k1' `k2' `k3') 
	   egen `sp2' = mvnp(`x1' `x2' ) if   $ML_y1==0 | $ML_y2==0, /// 
			  chol(`C2') dr($dr) prefix(z) signs(`k1' `k2')
		replace `lnf'= ln(`sp3') if $ML_y1==1 & $ML_y2==1
		replace `lnf'= ln(`sp2') if $ML_y1==0 | $ML_y2==0
} 
end 

//cd "$PATH_ADO"
program _mvnp, plugin using("mvnp.plugin")
cd "D:\Uni\Ariel\SIPP 7.7.2023"





    foreach r in     3 2 1 {
         foreach l in     2 1 3 {
		
		
		**Extract the info for trivariate probit estimation***
		use data_sipp_new_forlater_qt,clear

		cap drop time
		sort year quarter
		egen time = group(year quarter)
		sort id year quarter

		set more off
		**Identify those yearly dummies to not be used by period**
		qui sum period, d
		local max_period=`r(max)'

		forval x= 1 (1) `max_period' {
			qui sum year if period==`x', d
			local max_year_period=`r(max)'
				forval y=1983 (1) 2013 {
					if `max_year_period'==`y' {
						drop yrd`y' 
				}
			}
		}

		order part age age2 uirank oth_inc dummy_h_tenur2  exper exper_sq  single_work h_metro married unemp_rate disab white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1983 yrd1984 yrd1985 yrd1986 yrd1987 yrd1988 yrd1989 yrd1990 yrd1991 yrd1992 M dummy_disag_occ1 dummy_disag_occ2 dummy_disag_occ3 dummy_disag_occ4 dummy_disag_occ5 notforprof publ cons manuf serv fin agr prev_part prev_age prev_age2 prev_uirank prev_oth_inc prev_oth_ear  prev_dummy_h_tenur*  prev_exper prev_exper_sq  prev_single_work prev_h_metro prev_married prev_unemp_rate prev_disab prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4 prev_yrd1983 prev_yrd1984 prev_yrd1985 prev_yrd1986 prev_yrd1987 prev_yrd1988 prev_yrd1989 prev_yrd1990 prev_yrd1991 prev_yrd1992 wpfinwgt


		drop if part==.
		drop if prev_part==.
		drop if M==. & part==1 & prev_part==1
		foreach var in prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  {
		drop if `var'==. & M!=.
		}

		// use those name to define the constraints
		constraint define 1  _b[part:age]   =  _b[prev_part:prev_age]
		constraint define 2  _b[part:age2] =  _b[prev_part:prev_age2]
		constraint define 3  _b[part:uirank] =  _b[prev_part:prev_uirank]
		constraint define 4  _b[part:oth_inc] =  _b[prev_part:prev_oth_inc]
		constraint define 5  _b[part:oth_ear] =  _b[prev_part:prev_oth_ear]
		constraint define 6  _b[part:dummy_h_tenur2] =  _b[prev_part:prev_dummy_h_tenur2]
		constraint define 7  _b[part:exper] =  _b[prev_part:prev_exper]
		constraint define 8  _b[part:exper_sq] =  _b[prev_part:prev_exper_sq]
		constraint define 9  _b[part:single_work] =  _b[prev_part:prev_single_work]
		constraint define 10  _b[part:h_metro] =  _b[prev_part:prev_h_metro]
		constraint define 11  _b[part:married] =  _b[prev_part:prev_married]
		constraint define 12  _b[part:unemp_rate] =  _b[prev_part:prev_unemp_rate]
		constraint define 13  _b[part:disab] =  _b[prev_part:prev_disab]
		constraint define 14  _b[part:white] =  _b[prev_part:prev_white]
		constraint define 15  _b[part:regd1] =  _b[prev_part:prev_regd1]
		constraint define 16  _b[part:regd2] =  _b[prev_part:prev_regd2]
		constraint define 17  _b[part:regd3] =  _b[prev_part:prev_regd3]
		constraint define 18  _b[part:dummy_quarter2] =  _b[prev_part:prev_dummy_quarter2]
		constraint define 19  _b[part:dummy_quarter3] =  _b[prev_part:prev_dummy_quarter3]
		constraint define 20  _b[part:dummy_quarter4] =  _b[prev_part:prev_dummy_quarter4]
		constraint define 21  _b[part:yrd1983] =  _b[prev_part:prev_yrd1983]
		constraint define 22  _b[part:yrd1984] =  _b[prev_part:prev_yrd1984]
		constraint define 23  _b[part:yrd1985] =  _b[prev_part:prev_yrd1985]
		constraint define 24  _b[part:yrd1986] =  _b[prev_part:prev_yrd1986]
		constraint define 25  _b[part:yrd1987] =  _b[prev_part:prev_yrd1987]
		constraint define 26  _b[part:yrd1988] =  _b[prev_part:prev_yrd1988]
		constraint define 27  _b[part:yrd1989] =  _b[prev_part:prev_yrd1989]
		constraint define 28  _b[part:yrd1990] =  _b[prev_part:prev_yrd1990]
		constraint define 29  _b[part:yrd1991] =  _b[prev_part:prev_yrd1991]
		constraint define 30  _b[part:yrd1992] =  _b[prev_part:prev_yrd1992]
		constraint define 32  _b[part:yrd1994] =  _b[prev_part:prev_yrd1994]
		constraint define 33  _b[part:yrd1995] =  _b[prev_part:prev_yrd1995]
		constraint define 34  _b[part:yrd1996] =  _b[prev_part:prev_yrd1996]
		constraint define 35  _b[part:yrd1997] =  _b[prev_part:prev_yrd1997]
		constraint define 36  _b[part:yrd1998] =  _b[prev_part:prev_yrd1998]
		constraint define 37  _b[part:yrd1999] =  _b[prev_part:prev_yrd1999]
		constraint define 38  _b[part:yrd2000] =  _b[prev_part:prev_yrd2000]
		constraint define 39  _b[part:yrd2001] =  _b[prev_part:prev_yrd2001]
		constraint define 40  _b[part:yrd2002] =  _b[prev_part:prev_yrd2002]
		constraint define 42  _b[part:yrd2004] =  _b[prev_part:prev_yrd2004]
		constraint define 43  _b[part:yrd2005] =  _b[prev_part:prev_yrd2005]
		constraint define 44  _b[part:yrd2006] =  _b[prev_part:prev_yrd2006]
		constraint define 45  _b[part:yrd2007] =  _b[prev_part:prev_yrd2007]
		constraint define 46  _b[part:yrd2008] =  _b[prev_part:prev_yrd2008]
		constraint define 47  _b[part:yrd2009] =  _b[prev_part:prev_yrd2009]
		constraint define 48  _b[part:yrd2010] =  _b[prev_part:prev_yrd2010]
		constraint define 49  _b[part:yrd2011] =  _b[prev_part:prev_yrd2011]
		constraint define 50  _b[part:yrd2012] =  _b[prev_part:prev_yrd2012]
		constraint define 51  _b[part:_cons] =  _b[prev_part:_cons]
		constraint define 52  _b[part:caidcov_ave] =  _b[prev_part:prev_caidcov_ave]
		
		

		****************************************************
		******KEEP ONLY THE OBSERVATIONS UNDER INTEREST*****
		****************************************************		
		keep if sex==1 & grade==`l' & period==`r'


		******************************************************************************************
		*********************MAXIMUM LIKELIHOOD TRIVARIATE PROBIT WITH SELECTION******************
		******************************************************************************************

		if (`r'==1) {
			quietly {
			**Store coefficients from univariate probits, use as starting values**
			probit part age age2 uirank oth_inc   dummy_h_tenur2 disab  exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992
			matrix b_1 = e(b)
			mat coleq b_1 = part
			probit prev_part prev_age prev_age2 prev_uirank prev_oth_inc prev_disab  prev_dummy_h_tenur2 prev_exper prev_exper_sq  prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4 prev_yrd1983 prev_yrd1984  prev_yrd1985  prev_yrd1986  prev_yrd1987  prev_yrd1988  prev_yrd1989  prev_yrd1990  prev_yrd1991  prev_yrd1992
			matrix b_2 = e(b)
			mat coleq b_2 = prev_part
			probit M age age2 uirank oth_inc    dummy_h_tenur2  disab   exper exper_sq h_metro  married unemp_rate   white  prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992
			matrix b_3 = e(b)
			mat coleq b_3 = M
			mat b0 = b_1, b_2, b_3
			}
		}

		if (`r'==2) {
			quietly {
			**Store coefficients from univariate probits, use as starting values**
			probit part age age2 uirank oth_inc   dummy_h_tenur2  disab  exper exper_sq   h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002
			matrix b_1 = e(b)
			mat coleq b_1 = part
			probit prev_part prev_age prev_age2 prev_uirank prev_oth_inc prev_disab prev_dummy_h_tenur2 prev_exper prev_exper_sq   prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4 prev_yrd1994  prev_yrd1995  prev_yrd1996  prev_yrd1997  prev_yrd1998  prev_yrd1999    prev_yrd2001  prev_yrd2002
			matrix b_2 = e(b)
			mat coleq b_2 = prev_part
			probit M age age2 uirank oth_inc disab   dummy_h_tenur2    exper exper_sq  h_metro  married unemp_rate   white  prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002
			matrix b_3 = e(b)
			mat coleq b_3 = M
			mat b0 = b_1, b_2, b_3
			}
		}

		if (`r'==3) {
			quietly {
			**Store coefficients from univariate probits, use as starting values**
			probit part age age2 uirank oth_inc   dummy_h_tenur2  disab  exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012
			matrix b_1 = e(b)
			mat coleq b_1 = part
			probit prev_part prev_age prev_age2 prev_uirank prev_oth_inc prev_disab  prev_dummy_h_tenur2 prev_exper prev_exper_sq   prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4 prev_yrd2004  prev_yrd2005  prev_yrd2006  prev_yrd2007  prev_yrd2008  prev_yrd2009  prev_yrd2010  prev_yrd2011  prev_yrd2012
			matrix b_2 = e(b)
			mat coleq b_2 = prev_part
			probit M age age2 uirank oth_inc  disab  dummy_h_tenur2     exper exper_sq h_metro  married unemp_rate   white prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012
			matrix b_3 = e(b)
			mat coleq b_3 = M
			mat b0 = b_1, b_2, b_3
			}
		}

		set seed 12345
		*mdraws, dr(110) neq(3) prefix(z) burn(20) antithetics
		*mdraws, dr(115) neq(3) prefix(z) burn(15) antithetics
		mdraws, dr(115) neq(3) prefix(z) burn(20) antithetics
		*mdraws, dr(115) neq(3) prefix(z) burn(25) antithetics
		
		*mdraws, dr(120) neq(3) prefix(z) burn(25) antithetics
		*mdraws, dr(120) neq(3) prefix(z) burn(40) antithetics
		*mdraws, dr(140) neq(3) prefix(z) burn(50) antithetics
		global dr = r(n_draws)
		
		qui sum wpfinwgt, d
		local median_weight=`r(p50)'
		***Proportionally adjust weights to not blow up the likelihood**
		gen adj_weight=wpfinwgt/`median_weight'

		if (`r'==1) {
		ml model lf myll (part: part=age age2 uirank oth_inc   dummy_h_tenur2 disab  exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992) /// 
					   (prev_part:  prev_part=prev_age prev_age2 prev_uirank prev_oth_inc prev_disab  prev_dummy_h_tenur2   prev_exper prev_exper_sq prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4 prev_yrd1983 prev_yrd1984  prev_yrd1985  prev_yrd1986  prev_yrd1987  prev_yrd1988  prev_yrd1989  prev_yrd1990  prev_yrd1991  prev_yrd1992) /// 
					   (M: M=age age2 uirank oth_inc    dummy_h_tenur2  exper exper_sq disab  h_metro  married unemp_rate   white   prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992) /// 
					   /c21  /c31 /c32 [iw=adj_weight], constraints(1 2 3 4  6 7 8  10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 51 ) missing title("3-var probit, 2 selection equations, MSL, $dr Halton draws") 
		}

		if (`r'==2) {
		ml model lf myll (part: part=age age2 uirank oth_inc  disab dummy_h_tenur2   exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002) /// 
					   (prev_part:  prev_part=prev_age prev_age2 prev_uirank prev_oth_inc prev_disab prev_dummy_h_tenur2  prev_exper prev_exper_sq  prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4  prev_yrd1994 prev_yrd1995  prev_yrd1996  prev_yrd1997  prev_yrd1998  prev_yrd1999    prev_yrd2001  prev_yrd2002) /// 
					   (M: M=age age2 uirank oth_inc  disab  dummy_h_tenur2   exper exper_sq   h_metro  married unemp_rate   white  prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002) /// 
					    /c21  /c31 /c32 [iw=adj_weight], constraints(1 2 3 4  6 7 8  10 11 12 13 14 15 16 17 18 19 20 32 33 34 35 36 37  39 40 51 ) missing title("3-var probit, 2 selection equations, MSL, $dr Halton draws") 
		}

		if (`r'==3) {
		ml model lf myll (part: part=age age2 uirank oth_inc  disab dummy_h_tenur2  exper exper_sq    h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012) /// 
					   (prev_part:  prev_part=prev_age prev_age2 prev_uirank prev_oth_inc  prev_disab prev_dummy_h_tenur2 prev_exper prev_exper_sq  prev_h_metro prev_married prev_unemp_rate  prev_white prev_regd1 prev_regd2 prev_regd3 prev_dummy_quarter2 prev_dummy_quarter3 prev_dummy_quarter4  prev_yrd2004 prev_yrd2005  prev_yrd2006  prev_yrd2007  prev_yrd2008  prev_yrd2009  prev_yrd2010  prev_yrd2011  prev_yrd2012) /// 
					   (M: M=age age2 uirank oth_inc  disab  dummy_h_tenur2  exper exper_sq  h_metro  married unemp_rate   white  prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4 yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012) /// 
					   /c21  /c31 /c32 [iw=adj_weight], constraints(1 2 3 4  6 7 8  10 11 12 13 14 15 16 17 18 19 20 42 43 44 45 46 47 48 49 50 51 ) missing title("3-var probit, 2 selection equations, MSL, $dr Halton draws") 
		}		

		

		ml init b0

		di "***********"
		di "Grade: `l'"
		di "Period: `r'"
		di "***********"
		ml maximize, iterate(20)  difficult
		

		**************************************
		***Calculate Predicted Probabilities**
		**************************************
		
		
		label variable age "Age"
		label variable age2 "Age sq."
		label variable uirank "UI"
		label variable oth_inc "Log(Other Income)"
		label variable oth_ear "Log(Other Earn)"
		label variable dummy_h_tenur2 "Housing"
		label variable exper "Exper"
		label variable exper_sq "Exper sq."
		label variable single_work "HH-Single Adult"
		label variable h_metro "Metro"
		label variable married "Married"
		label variable unemp_rate "State Unemp (\%)"
		label variable disab "Disability"
		label variable white "White"
		label variable regd1 "Region 1"
		label variable regd2 "Region 2"
		label variable regd3 "Region 3"		
		label variable dummy_quarter2 "Quarter 2"		
		label variable dummy_quarter3 "Quarter 3"		
		label variable dummy_quarter4 "Quarter 4"		
		cap label variable yrd1983 "Year 1983"		
		cap label variable yrd1984 "Year 1984"		
		cap label variable yrd1985 "Year 1985"		
		cap label variable yrd1986 "Year 1986"		
		cap label variable yrd1987 "Year 1987"		
		cap label variable yrd1988 "Year 1988"		
		cap label variable yrd1989 "Year 1989"		
		cap label variable yrd1990 "Year 1990"		
		cap label variable yrd1991 "Year 1991"		
		cap label variable yrd1992 "Year 1992"		
		cap label variable yrd1993 "Year 1993"		
		cap label variable yrd1994 "Year 1994"		
		cap label variable yrd1995 "Year 1995"		
		cap label variable yrd1996 "Year 1996"		
		cap label variable yrd1997 "Year 1997"		
		cap label variable yrd1998 "Year 1998"		
		cap label variable yrd1999 "Year 1999"		
		cap label variable yrd2001 "Year 2001"		
		cap label variable yrd2002 "Year 2002"		
		cap label variable yrd2003 "Year 2003"		
		cap label variable yrd2004 "Year 2004"		
		cap label variable yrd2005 "Year 2005"		
		cap label variable yrd2006 "Year 2006"		
		cap label variable yrd2007 "Year 2007"		
		cap label variable yrd2008 "Year 2008"		
		cap label variable yrd2009 "Year 2009"		
		cap label variable yrd2010 "Year 2010"		
		cap label variable yrd2011 "Year 2011"		
		cap label variable yrd2012 "Year 2012"		
		label variable prev_new_dummy_disag_occ1 "Occupation 1"
		label variable prev_new_dummy_disag_occ2 "Occupation 2"
		label variable prev_new_dummy_disag_occ3 "Occupation 3"
		label variable prev_new_dummy_disag_occ4 "Occupation 4"		
		label variable prev_new_dummy_disag_occ5 "Occupation 5"		
		label variable prev_new_dummy_disag_occ6 "Occupation 6"		
		label variable prev_new_dummy_disag_occ7 "Occupation 7"		
		label variable prev_new_dummy_disag_occ8 "Occupation 8"		
		label variable prev_new_dummy_disag_occ9 "Occupation 9"		
		label variable prev_publ "Public Ind"		
		label variable prev_cons "Construction Ind"		
		label variable prev_manuf "Manufacturing Ind"		
		label variable prev_serv "Services Ind"		
		label variable prev_fin "Finance Ind"		
		label variable prev_agr "Agriculture Ind"			
		
		
		if (`l'==1) {
		estimates store probit_low_period`r', title(Males: Period `y', Low)
		}
		if (`l'==2) {
		estimates store probit_med_period`r', title(Males: Period `y', Medium)
		}
		if (`l'==3) {
		estimates store probit_high_period`r', title(Males: Period `y', High)
		}
		
		
		cap clear matrix C
		cap clear matrix D
		matrix C= e(b)
		matrix D= e(V)	
		cap clear matrix result_part
		cap clear matrix result_mob
		
		if (`r'==1) {
		matrix result_part = J(29,1,0)
		matrix result_mob = J(44,1,0)
		
		forval k=1(1)29 {
		matrix result_part[`k',1] =round(C[1,`k'], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k',`k']), 0.001)
		}
		forval k=30(1)73 {
		matrix result_mob[`k'-29,1] =round(C[1,`k'+29], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k'+29,`k'+29]), 0.001)
		}
		}

		if (`r'==2) {
		matrix result_part = J(27,1,0)
		matrix result_mob = J(41,1,0)
	
		forval k=1(1)27 {
		matrix result_part[`k',1] =round(C[1,`k'], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k',`k']), 0.001)
		}
		forval k=28(1)68 {
		matrix result_mob[`k'-27,1] =round(C[1,`k'+27], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k'+27,`k'+27]), 0.001)
		}
		}
		
		if (`r'==3) {
		matrix result_part = J(28,1,0)
		matrix result_mob = J(43,1,0)

		forval k=1(1)28 {
		matrix result_part[`k',1] =round(C[1,`k'], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k',`k']), 0.001)
		}

		forval k=29(1)71 {
		matrix result_mob[`k'-28,1] =round(C[1,`k'+28], 0.001)
		*matrix result[`k',2] =round(sqrt(D[`k'+28,`k'+28]), 0.001)
		}
		}		
		
		preserve
		*Test variables are jointly zero*
			test [part]: regd1 regd2 regd3
			test [part]: dummy_quarter2 dummy_quarter3 dummy_quarter4
			
			if (`r'==1) {
			test [part]: yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992
			}
			
			if (`r'==2) {
			test [part]: yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002
			}			
			
			if (`r'==3) {
			test [part]: yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012
			}			
			
			test [M]: prev_new_dummy_disag_occ1 prev_new_dummy_disag_occ2 prev_new_dummy_disag_occ3 prev_new_dummy_disag_occ4 prev_new_dummy_disag_occ5 prev_new_dummy_disag_occ6 prev_new_dummy_disag_occ7 prev_new_dummy_disag_occ8 prev_new_dummy_disag_occ9
			test [M]: prev_publ prev_cons prev_manuf prev_serv prev_fin prev_agr
			test [M]: regd1 regd2 regd3
			test [M]: dummy_quarter2 dummy_quarter3 dummy_quarter4
			
			if (`r'==1) {
			test [M]: yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992
			}
			
			if (`r'==2) {
			test [M]: yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002
			}			
			
			if (`r'==3) {
			test [M]: yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012
			}				
		restore
		
			testparm yrd*
		testparm regd*
		testparm dummy_quarter*

		
		*Get coefficient vector*
		matrix coefs=e(b)
		*Create variable containing linear predictions by equation*		 
		matrix score lcpart=coefs,eq(part)
		matrix score lcprevpart=coefs,eq(prev_part)
		matrix score lcM=coefs,eq(M)
		*Create the sign variables*		 
		gen sign_eq1 = 2*part - 1 
		gen sign_eq2 = 2*prev_part - 1        
		gen sign_eq3 = 2*M - 1    
		gen positive=1
		gen negative=-1
		
		**Obtain the Cholesky matrix**
		matrix C3 = (1, 0 , 0 \ [c21]_b[_cons], sqrt( 1 - [c21]_b[_cons]^2 ), 0 \ [c31]_b[_cons] , [c32]_b[_cons] , sqrt( 1 - [c31]_b[_cons]^2 - [c32]_b[_cons]^2 )) 
		matrix C2 = (1, 0 \ [c21]_b[_cons], sqrt( 1 - [c21]_b[_cons]^2 ))

		*Get probabilities. 
		*P(P_it=1 & P_it=1 & M_it-1=1)		
		egen est_prob1 = mvnp(lcpart lcprevpart lcM), chol(C3) dr($dr) prefix(z) signs(positive positive positive) 
		*P(P_it=1 & P_it=1 & M_it-1=0)		
		egen est_prob2 = mvnp(lcpart lcprevpart lcM), chol(C3) dr($dr) prefix(z) signs(positive positive negative) 
		*P(P_it=1 & P_it=1)		
		egen est_prob3 = mvnp(lcpart lcprevpart), chol(C2) dr($dr) prefix(z) signs(positive positive) 
		*P(P_it=1 & P_it=1 & M_it-1=1 | P_it=1 & P_it-1=1)=P(M_it=1 | P_it=1 & P_it-1=1)		
		gen prob_M1=est_prob1/est_prob3
		*P(P_it=1 & P_it=1 & M_it-1=0 | P_it=1 & P_it-1=1)=P(M_it=0 | P_it=1 & P_it-1=1)		
		gen prob_M0=est_prob2/est_prob3
		gen PHI101=est_prob3

		
		
		 nlcom   ( r21: [c21]_b[_cons] )  /// 
				 ( r31: [c31]_b[_cons] ) /// 
				 ( r32: [c21]_b[_cons]*[c31]_b[_cons]  /// 
						 + sqrt( 1 - [c21]_b[_cons]^2 )*[c32]_b[_cons] ) /// 
				 , post 
				 
		matrix correlations=e(b)
		gen rho_pipi1=correlations[1,1]		 
		gen rho_pimu=correlations[1,2]		 
		gen rho_pi1mu=correlations[1,3]		
		
		if (`r'==1) {
		label variable age "Age"
		label variable age2 "Age sq."
		label variable uirank "UI"
		label variable oth_inc "Log(Other Income)"
		label variable oth_ear "Log(Other Earn)"
		label variable dummy_h_tenur2 "Housing"
		label variable exper "Exper"
		label variable exper_sq "Exper sq."
		label variable single_work "HH-Single Adult"
		label variable h_metro "Metro"
		label variable married "Married"
		label variable unemp_rate "State Unemp (\%)"
		label variable disab "Disability"
		label variable white "White"
		label variable regd1 "Region 1"
		label variable regd2 "Region 2"
		label variable regd3 "Region 3"		
		label variable dummy_quarter2 "Quarter 2"		
		label variable dummy_quarter3 "Quarter 3"		
		label variable dummy_quarter4 "Quarter 4"		
		cap label variable yrd1983 "Year 1983"		
		cap label variable yrd1984 "Year 1984"		
		cap label variable yrd1985 "Year 1985"		
		cap label variable yrd1986 "Year 1986"		
		cap label variable yrd1987 "Year 1987"		
		cap label variable yrd1988 "Year 1988"		
		cap label variable yrd1989 "Year 1989"		
		cap label variable yrd1990 "Year 1990"		
		cap label variable yrd1991 "Year 1991"		
		cap label variable yrd1992 "Year 1992"		
		cap label variable yrd1993 "Year 1993"		
		cap label variable yrd1994 "Year 1994"		
		cap label variable yrd1995 "Year 1995"		
		cap label variable yrd1996 "Year 1996"		
		cap label variable yrd1997 "Year 1997"		
		cap label variable yrd1998 "Year 1998"		
		cap label variable yrd1999 "Year 1999"		
		cap label variable yrd2001 "Year 2001"		
		cap label variable yrd2002 "Year 2002"		
		cap label variable yrd2003 "Year 2003"		
		cap label variable yrd2004 "Year 2004"		
		cap label variable yrd2005 "Year 2005"		
		cap label variable yrd2006 "Year 2006"		
		cap label variable yrd2007 "Year 2007"		
		cap label variable yrd2008 "Year 2008"		
		cap label variable yrd2009 "Year 2009"		
		cap label variable yrd2010 "Year 2010"		
		cap label variable yrd2011 "Year 2011"		
		cap label variable yrd2012 "Year 2012"		
		label variable prev_new_dummy_disag_occ1 "Occupation 1"
		label variable prev_new_dummy_disag_occ2 "Occupation 2"
		label variable prev_new_dummy_disag_occ3 "Occupation 3"
		label variable prev_new_dummy_disag_occ4 "Occupation 4"		
		label variable prev_new_dummy_disag_occ5 "Occupation 5"		
		label variable prev_new_dummy_disag_occ6 "Occupation 6"		
		label variable prev_new_dummy_disag_occ7 "Occupation 7"		
		label variable prev_new_dummy_disag_occ8 "Occupation 8"		
		label variable prev_new_dummy_disag_occ9 "Occupation 9"		
		label variable prev_publ "Public Ind"		
		label variable prev_cons "Construction Ind"		
		label variable prev_manuf "Manufacturing Ind"		
		label variable prev_serv "Services Ind"		
		label variable prev_fin "Finance Ind"		
		label variable prev_agr "Agriculture Ind"		

		
		
		
		matrix list result_part
		mat rownames result_part=age age2 uirank oth_inc   dummy_h_tenur2 disab  exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992  
		mat colnames result_part=Coeff 
		outtable using part_period`r'_grade`l', mat(result_part) label replace
		
		matrix list result_mob
		mat rownames result_mob=age age2 uirank oth_inc    dummy_h_tenur2  exper exper_sq disab  h_metro  married unemp_rate   white   prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9 regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1983 yrd1984  yrd1985  yrd1986  yrd1987  yrd1988  yrd1989  yrd1990  yrd1991  yrd1992  
		mat colnames result_mob=Coeff 
		outtable using mob_period`r'_grade`l', mat(result_mob) label replace		
		
		}
		
		if (`r'==2) {
		
		label variable age "Age"
		label variable age2 "Age sq."
		label variable uirank "UI"
		label variable oth_inc "Log(Other Income)"
		label variable oth_ear "Log(Other Earn)"
		label variable dummy_h_tenur2 "Housing"
		label variable exper "Exper"
		label variable exper_sq "Exper sq."
		label variable single_work "HH-Single Adult"
		label variable h_metro "Metro"
		label variable married "Married"
		label variable unemp_rate "State Unemp (\%)"
		label variable disab "Disability"
		label variable white "White"
		label variable regd1 "Region 1"
		label variable regd2 "Region 2"
		label variable regd3 "Region 3"		
		label variable dummy_quarter2 "Quarter 2"		
		label variable dummy_quarter3 "Quarter 3"		
		label variable dummy_quarter4 "Quarter 4"		
		cap label variable yrd1983 "Year 1983"		
		cap label variable yrd1984 "Year 1984"		
		cap label variable yrd1985 "Year 1985"		
		cap label variable yrd1986 "Year 1986"		
		cap label variable yrd1987 "Year 1987"		
		cap label variable yrd1988 "Year 1988"		
		cap label variable yrd1989 "Year 1989"		
		cap label variable yrd1990 "Year 1990"		
		cap label variable yrd1991 "Year 1991"		
		cap label variable yrd1992 "Year 1992"		
		cap label variable yrd1993 "Year 1993"		
		cap label variable yrd1994 "Year 1994"		
		cap label variable yrd1995 "Year 1995"		
		cap label variable yrd1996 "Year 1996"		
		cap label variable yrd1997 "Year 1997"		
		cap label variable yrd1998 "Year 1998"		
		cap label variable yrd1999 "Year 1999"		
		cap label variable yrd2001 "Year 2001"		
		cap label variable yrd2002 "Year 2002"		
		cap label variable yrd2003 "Year 2003"		
		cap label variable yrd2004 "Year 2004"		
		cap label variable yrd2005 "Year 2005"		
		cap label variable yrd2006 "Year 2006"		
		cap label variable yrd2007 "Year 2007"		
		cap label variable yrd2008 "Year 2008"		
		cap label variable yrd2009 "Year 2009"		
		cap label variable yrd2010 "Year 2010"		
		cap label variable yrd2011 "Year 2011"		
		cap label variable yrd2012 "Year 2012"		
		label variable prev_new_dummy_disag_occ1 "Occupation 1"
		label variable prev_new_dummy_disag_occ2 "Occupation 2"
		label variable prev_new_dummy_disag_occ3 "Occupation 3"
		label variable prev_new_dummy_disag_occ4 "Occupation 4"		
		label variable prev_new_dummy_disag_occ5 "Occupation 5"		
		label variable prev_new_dummy_disag_occ6 "Occupation 6"		
		label variable prev_new_dummy_disag_occ7 "Occupation 7"		
		label variable prev_new_dummy_disag_occ8 "Occupation 8"		
		label variable prev_new_dummy_disag_occ9 "Occupation 9"		
		label variable prev_publ "Public Ind"		
		label variable prev_cons "Construction Ind"		
		label variable prev_manuf "Manufacturing Ind"		
		label variable prev_serv "Services Ind"		
		label variable prev_fin "Finance Ind"		
		label variable prev_agr "Agriculture Ind"		
		
			
		matrix list result_part
		mat rownames result_part=age age2 uirank oth_inc  disab dummy_h_tenur2   exper exper_sq  h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999    yrd2001  yrd2002  
		mat colnames result_part=Coeff 
		outtable using part_period`r'_grade`l', mat(result_part) label replace
		
		matrix list result_mob
		mat rownames result_mob=age age2 uirank oth_inc  disab  dummy_h_tenur2   exper exper_sq   h_metro  married unemp_rate   white   prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9  regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4  yrd1994 yrd1995  yrd1996  yrd1997  yrd1998  yrd1999 yrd2001  yrd2002 
		mat colnames result_mob=Coeff 
		outtable using mob_period`r'_grade`l', mat(result_mob) label replace
		
		}		
			
		if (`r'==3) {
		
		label variable age "Age"
		label variable age2 "Age sq."
		label variable uirank "UI"
		label variable oth_inc "Log(Other Income)"
		label variable oth_ear "Log(Other Earn)"
		label variable dummy_h_tenur2 "Housing"
		label variable exper "Exper"
		label variable exper_sq "Exper sq."
		label variable single_work "HH-Single Adult"
		label variable h_metro "Metro"
		label variable married "Married"
		label variable unemp_rate "State Unemp (\%)"
		label variable disab "Disability"
		label variable white "White"
		label variable regd1 "Region 1"
		label variable regd2 "Region 2"
		label variable regd3 "Region 3"		
		label variable dummy_quarter2 "Quarter 2"		
		label variable dummy_quarter3 "Quarter 3"		
		label variable dummy_quarter4 "Quarter 4"		
		cap label variable yrd1983 "Year 1983"		
		cap label variable yrd1984 "Year 1984"		
		cap label variable yrd1985 "Year 1985"		
		cap label variable yrd1986 "Year 1986"		
		cap label variable yrd1987 "Year 1987"		
		cap label variable yrd1988 "Year 1988"		
		cap label variable yrd1989 "Year 1989"		
		cap label variable yrd1990 "Year 1990"		
		cap label variable yrd1991 "Year 1991"		
		cap label variable yrd1992 "Year 1992"		
		cap label variable yrd1993 "Year 1993"		
		cap label variable yrd1994 "Year 1994"		
		cap label variable yrd1995 "Year 1995"		
		cap label variable yrd1996 "Year 1996"		
		cap label variable yrd1997 "Year 1997"		
		cap label variable yrd1998 "Year 1998"		
		cap label variable yrd1999 "Year 1999"		
		cap label variable yrd2001 "Year 2001"		
		cap label variable yrd2002 "Year 2002"		
		cap label variable yrd2003 "Year 2003"		
		cap label variable yrd2004 "Year 2004"		
		cap label variable yrd2005 "Year 2005"		
		cap label variable yrd2006 "Year 2006"		
		cap label variable yrd2007 "Year 2007"		
		cap label variable yrd2008 "Year 2008"		
		cap label variable yrd2009 "Year 2009"		
		cap label variable yrd2010 "Year 2010"		
		cap label variable yrd2011 "Year 2011"		
		cap label variable yrd2012 "Year 2012"		
		label variable prev_new_dummy_disag_occ1 "Occupation 1"
		label variable prev_new_dummy_disag_occ2 "Occupation 2"
		label variable prev_new_dummy_disag_occ3 "Occupation 3"
		label variable prev_new_dummy_disag_occ4 "Occupation 4"		
		label variable prev_new_dummy_disag_occ5 "Occupation 5"		
		label variable prev_new_dummy_disag_occ6 "Occupation 6"		
		label variable prev_new_dummy_disag_occ7 "Occupation 7"		
		label variable prev_new_dummy_disag_occ8 "Occupation 8"		
		label variable prev_new_dummy_disag_occ9 "Occupation 9"		
		label variable prev_publ "Public Ind"		
		label variable prev_cons "Construction Ind"		
		label variable prev_manuf "Manufacturing Ind"		
		label variable prev_serv "Services Ind"		
		label variable prev_fin "Finance Ind"		
		label variable prev_agr "Agriculture Ind"		
		
		matrix list result_part
		mat rownames result_part=age age2 uirank oth_inc  disab dummy_h_tenur2  exper exper_sq    h_metro married unemp_rate  white regd1 regd2 regd3 dummy_quarter2 dummy_quarter3 dummy_quarter4 yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012  
		mat colnames result_part=Coeff 
		outtable using part_period`r'_grade`l', mat(result_part) label replace
		
		matrix list result_mob
		mat rownames result_mob=age age2 uirank oth_inc  disab  dummy_h_tenur2  exper exper_sq  h_metro  married unemp_rate   white   prev_publ  prev_cons  prev_manuf  prev_serv  prev_fin  prev_agr  prev_new_dummy_disag_occ1  prev_new_dummy_disag_occ2  prev_new_dummy_disag_occ3  prev_new_dummy_disag_occ4  prev_new_dummy_disag_occ5  prev_new_dummy_disag_occ6  prev_new_dummy_disag_occ7  prev_new_dummy_disag_occ8  prev_new_dummy_disag_occ9 regd1 regd2 regd3 dummy_quarter2 dummy_quarter3  dummy_quarter4 yrd2004 yrd2005  yrd2006  yrd2007  yrd2008  yrd2009  yrd2010  yrd2011  yrd2012 
		mat colnames result_mob=Coeff 
		outtable using mob_period`r'_grade`l', mat(result_mob) label replace
		}			
		
		gen partial_mu_pi1=(rho_pi1mu-rho_pimu*rho_pipi1)/sqrt((1-rho_pipi1^2)*(1-rho_pimu^2))
		gen partial_mu_pi=(rho_pimu-rho_pi1mu*rho_pipi1)/sqrt((1-rho_pipi1^2)*(1-rho_pi1mu^2))
		gen partial_pi_pi1=(rho_pipi1-rho_pimu*rho_pi1mu)/sqrt((1-rho_pi1mu^2)*(1-rho_pimu^2))

		rename lcpart z_g		 
		rename lcprevpart z1_g		 
		rename lcM k_t
		
		gen a1=-z_g
		gen a2=-k_t
		gen a3=-z1_g
		
		
		*get the distribution of participation and mobility likelihoods
		preserve
		keep if part==1
		drop if k_t==.
		gen cdf_a1=normal(z_g)
		gen cdf_a2=normal(k_t)
		keep cdf_a1 cdf_a2 adj_weight
		order cdf_a1 cdf_a2 adj_weight
		outsheet using dist_z_k_g`l'_p`r', comma nolabel nonames replace
		restore
		
		gen pdf_a1=normalden(a1)
		gen pdf_a2=normalden(a2)
		gen pdf_a3=normalden(a3)
		
		qui sum rho_pimu 
		bnormpdf a1 a2, rho(`r(mean)') dens(pdf_a1_a2) double replace
		qui sum rho_pipi1 
		bnormpdf a1 a3, rho(`r(mean)') dens(pdf_a1_a3) double replace
		qui sum rho_pi1mu 
		bnormpdf a2 a3, rho(`r(mean)') dens(pdf_a2_a3) double replace		
		
		
		gen A12=(a2+rho_pimu*(-a1))/sqrt(1-rho_pimu^2)
		gen A13=(a3+rho_pipi1*(-a1))/sqrt(1-rho_pipi1^2)		
		gen A21=(a1+rho_pimu*(-a2))/sqrt(1-rho_pimu^2)		
		gen A23=(a3+rho_pi1mu*(-a2))/sqrt(1-rho_pi1mu^2)		
		gen A31=(a1+rho_pipi1*(-a3))/sqrt(1-rho_pipi1^2)		
		gen A32=(a2+rho_pi1mu*(-a3))/sqrt(1-rho_pi1mu^2)	
		
		gen A123=(a3+partial_pi_pi1*(-a1)+partial_mu_pi1*(-a2))/(sqrt(1-rho_pipi1^2)*sqrt(1-partial_mu_pi1^2))
		gen A132=(a2+partial_mu_pi*(-a1)+partial_mu_pi1*(-a3))/(sqrt(1-rho_pimu^2)*sqrt(1-partial_mu_pi1^2))
		gen A213=(a3+partial_pi_pi1*(-a1)+partial_mu_pi1*(-a2))/(sqrt(1-rho_pi1mu^2)*sqrt(1-partial_pi_pi1^2))
		gen A231=(a1+partial_mu_pi*(-a2)+partial_pi_pi1*(-a3))/(sqrt(1-rho_pimu^2)*sqrt(1-partial_pi_pi1^2))
		gen A312=(a2+partial_mu_pi1*(-a3)+partial_mu_pi*(-a1))/(sqrt(1-rho_pi1mu^2)*sqrt(1-partial_mu_pi^2))
		gen A321=(a1+partial_pi_pi1*(-a3)+partial_mu_pi*(-a2))/(sqrt(1-rho_pipi1^2)*sqrt(1-partial_mu_pi^2))
		
		qui sum partial_mu_pi1 
		**Given that calculates from -infinity to upper bound. Need to translate to our interest**
		gen PHIA12A13=binormal(-A12, -A13,`r(mean)')
		qui sum partial_pi_pi1 
		gen PHIA21A23=binormal(-A21, -A23,`r(mean)')
		qui sum partial_mu_pi 
		gen PHIA31A32=binormal(-A31, -A32,`r(mean)')

		qui sum partial_mu_pi1 
		**Given that calculates from -infinity to upper bound. Need to translate to our interest**
		gen PHI2A12A13=binormal(A12, -A13,-`r(mean)')
		
		
		*P(P_it=1 & P_it=1 & M_it-1=0)		
		gen PHI011=est_prob2
		*P(P_it=1 & P_it=1 & M_it-1=1)		
		gen PHI111=est_prob1
		
		
		qui sum rho_pi1mu 
		**Given that calculates from -infinity to upper bound. Need to translate to our interest**
		gen PHI012=binormal(-a1, a2,-`r(mean)')		
		
		*******************
		* First moment M=0*
		*******************		
		gen E_12_13=pdf_a1*PHI2A12A13/PHI011
		gen E_21_23=pdf_a2*PHIA21A23/PHI011
		
		*******************
		*Second moment M=0*
		*******************		
		gen F1=-a1*pdf_a1*PHI2A12A13/PHI011
		gen F2=-a2*pdf_a2*PHIA21A23/PHI011
		gen F12=pdf_a1_a2*(1-normal(A123))/PHI011
		gen F13=pdf_a1_a3*normal(A132)/PHI011
		gen F21=pdf_a1_a2*(1-normal(A213))/PHI011
		gen F23=pdf_a2_a3*(1-normal(A231))/PHI011
		gen F31=pdf_a1_a3*normal(A312)/PHI011
		gen F32=pdf_a2_a3*(1-normal(A321))/PHI011
		
		
		*******************
		* First moment M=1*
		*******************		
		
		gen G_12_13=pdf_a1*PHIA12A13/PHI111
		gen G_21_23=pdf_a2*PHIA21A23/PHI111
		gen G_31_32=pdf_a3*PHIA31A32/PHI111

		
		*******************
		*Second moment M=1*
		*******************		
		gen H1=-a1*pdf_a1*PHIA12A13/PHI111
		gen H2=-a2*pdf_a2*PHIA21A23/PHI111
		gen H3=-a3*pdf_a3*PHIA31A32/PHI111
		gen H12=pdf_a1_a2*(1-normal(A123))/PHI111
		gen H13=pdf_a1_a3*(1-normal(A132))/PHI111
		gen H21=pdf_a1_a2*(1-normal(A213))/PHI111
		gen H23=pdf_a2_a3*(1-normal(A231))/PHI111
		gen H31=pdf_a1_a3*(1-normal(A312))/PHI111
		gen H32=pdf_a2_a3*(1-normal(A321))/PHI111
		
		**Save Estimated Selection**
        keep id year quarter age_old wpfinwgt grade period sex M part prev_part g panel_year age age2 married dmarr white unemp_rate dunemp_rate  exper exper_sq dh_metro h_metro single_work dsingle_work   dummy_disag_occ1 dummy_disag_occ2 dummy_disag_occ3 dummy_disag_occ4 dummy_disag_occ5 disab ddisab notforprof publ cons manuf serv fin agr yrd* dummy_quarter* dregd* regd* partial_pi_pi1 partial_mu_pi partial_mu_pi1 rho_pimu rho_pipi1 rho_pi1mu a1 a2 a3 pdf_a1 pdf_a2 pdf_a3 A12 A13 A21 A23 A31 A32 A123 A132 A213 A231 A312 A321 PHIA12A13 PHIA21A23 PHIA31A32 PHI2A12A13 pdf_a1_a2 pdf_a1_a3 pdf_a2_a3 F1 F2 F12 F13 F21 F23 F31 F32 PHI011 PHI012 PHI111 E_12_13 E_21_23 G_12_13 G_21_23 G_31_32 H1 H2 H3 H12 H13 H21 H23 H31 H32 prob_M1 prob_M0 adj_weight	PHI101	d_new_disag_occ* new_dummy_disag_occ*
			 
				 
		if (`l'==1) {		 
			save "est_selection_lowskill_period`r'", replace
		}

		if (`l'==2) {		 
			save "est_selection_mediumskill_period`r'", replace
		}

		if (`l'==3) {		 
			save "est_selection_highskill_period`r'", replace
		}

		 
	}		 
		 
}



/*
**Export tables to Latex**
foreach var in low med high {
esttab probit_`var'_period1 probit_`var'_period2 probit_`var'_period3 using selection_`var'.tex, cells(b(star fmt(3))) 
legend label varlabels(_cons Constant)               
stats(r2 N, fmt(3 0 1) label(R-sqr Obs)) replace      
}
*/

use est_selection_lowskill_period1, clear
append using est_selection_lowskill_period2
append using est_selection_lowskill_period3
append using est_selection_mediumskill_period1
append using est_selection_mediumskill_period2
append using est_selection_mediumskill_period3
append using est_selection_highskill_period1
append using est_selection_highskill_period2
append using est_selection_highskill_period3
save est_selection_all, replace		 



log close



